// Copyright 2013-2015, The Gtk-rs Project Developers.
// See the COPYRIGHT file at the top-level directory of this distribution.
// Licensed under the MIT license, see the LICENSE file or <http://opensource.org/licenses/MIT>

#[allow(non_upper_case_globals)]
pub mod key {
    use gdk_sys;

    pub type Key = u32;

    pub const VoidSymbol: Key = gdk_sys::GDK_KEY_VoidSymbol as u32;
    pub const BackSpace: Key = gdk_sys::GDK_KEY_BackSpace as u32;
    pub const Tab: Key = gdk_sys::GDK_KEY_Tab as u32;
    pub const Linefeed: Key = gdk_sys::GDK_KEY_Linefeed as u32;
    pub const Clear: Key = gdk_sys::GDK_KEY_Clear as u32;
    pub const Return: Key = gdk_sys::GDK_KEY_Return as u32;
    pub const Pause: Key = gdk_sys::GDK_KEY_Pause as u32;
    pub const Scroll_Lock: Key = gdk_sys::GDK_KEY_Scroll_Lock as u32;
    pub const Sys_Req: Key = gdk_sys::GDK_KEY_Sys_Req as u32;
    pub const Escape: Key = gdk_sys::GDK_KEY_Escape as u32;
    pub const Delete: Key = gdk_sys::GDK_KEY_Delete as u32;
    pub const Multi_key: Key = gdk_sys::GDK_KEY_Multi_key as u32;
    pub const Codeinput: Key = gdk_sys::GDK_KEY_Codeinput as u32;
    pub const SingleCandidate: Key = gdk_sys::GDK_KEY_SingleCandidate as u32;
    pub const MultipleCandidate: Key = gdk_sys::GDK_KEY_MultipleCandidate as u32;
    pub const PreviousCandidate: Key = gdk_sys::GDK_KEY_PreviousCandidate as u32;
    pub const Kanji: Key = gdk_sys::GDK_KEY_Kanji as u32;
    pub const Muhenkan: Key = gdk_sys::GDK_KEY_Muhenkan as u32;
    pub const Henkan_Mode: Key = gdk_sys::GDK_KEY_Henkan_Mode as u32;
    pub const Henkan: Key = gdk_sys::GDK_KEY_Henkan as u32;
    pub const Romaji: Key = gdk_sys::GDK_KEY_Romaji as u32;
    pub const Hiragana: Key = gdk_sys::GDK_KEY_Hiragana as u32;
    pub const Katakana: Key = gdk_sys::GDK_KEY_Katakana as u32;
    pub const Hiragana_Katakana: Key = gdk_sys::GDK_KEY_Hiragana_Katakana as u32;
    pub const Zenkaku: Key = gdk_sys::GDK_KEY_Zenkaku as u32;
    pub const Hankaku: Key = gdk_sys::GDK_KEY_Hankaku as u32;
    pub const Zenkaku_Hankaku: Key = gdk_sys::GDK_KEY_Zenkaku_Hankaku as u32;
    pub const Touroku: Key = gdk_sys::GDK_KEY_Touroku as u32;
    pub const Massyo: Key = gdk_sys::GDK_KEY_Massyo as u32;
    pub const Kana_Lock: Key = gdk_sys::GDK_KEY_Kana_Lock as u32;
    pub const Kana_Shift: Key = gdk_sys::GDK_KEY_Kana_Shift as u32;
    pub const Eisu_Shift: Key = gdk_sys::GDK_KEY_Eisu_Shift as u32;
    pub const Eisu_toggle: Key = gdk_sys::GDK_KEY_Eisu_toggle as u32;
    pub const Kanji_Bangou: Key = gdk_sys::GDK_KEY_Kanji_Bangou as u32;
    pub const Zen_Koho: Key = gdk_sys::GDK_KEY_Zen_Koho as u32;
    pub const Mae_Koho: Key = gdk_sys::GDK_KEY_Mae_Koho as u32;
    pub const Home: Key = gdk_sys::GDK_KEY_Home as u32;
    pub const Left: Key = gdk_sys::GDK_KEY_Left as u32;
    pub const Up: Key = gdk_sys::GDK_KEY_Up as u32;
    pub const Right: Key = gdk_sys::GDK_KEY_Right as u32;
    pub const Down: Key = gdk_sys::GDK_KEY_Down as u32;
    pub const Prior: Key = gdk_sys::GDK_KEY_Prior as u32;
    pub const Page_Up: Key = gdk_sys::GDK_KEY_Page_Up as u32;
    pub const Next: Key = gdk_sys::GDK_KEY_Next as u32;
    pub const Page_Down: Key = gdk_sys::GDK_KEY_Page_Down as u32;
    pub const End: Key = gdk_sys::GDK_KEY_End as u32;
    pub const Begin: Key = gdk_sys::GDK_KEY_Begin as u32;
    pub const Select: Key = gdk_sys::GDK_KEY_Select as u32;
    pub const Print: Key = gdk_sys::GDK_KEY_Print as u32;
    pub const Execute: Key = gdk_sys::GDK_KEY_Execute as u32;
    pub const Insert: Key = gdk_sys::GDK_KEY_Insert as u32;
    pub const Undo: Key = gdk_sys::GDK_KEY_Undo as u32;
    pub const Redo: Key = gdk_sys::GDK_KEY_Redo as u32;
    pub const Menu: Key = gdk_sys::GDK_KEY_Menu as u32;
    pub const Find: Key = gdk_sys::GDK_KEY_Find as u32;
    pub const Cancel: Key = gdk_sys::GDK_KEY_Cancel as u32;
    pub const Help: Key = gdk_sys::GDK_KEY_Help as u32;
    pub const Break: Key = gdk_sys::GDK_KEY_Break as u32;
    pub const Mode_switch: Key = gdk_sys::GDK_KEY_Mode_switch as u32;
    pub const script_switch: Key = gdk_sys::GDK_KEY_script_switch as u32;
    pub const Num_Lock: Key = gdk_sys::GDK_KEY_Num_Lock as u32;
    pub const KP_Space: Key = gdk_sys::GDK_KEY_KP_Space as u32;
    pub const KP_Tab: Key = gdk_sys::GDK_KEY_KP_Tab as u32;
    pub const KP_Enter: Key = gdk_sys::GDK_KEY_KP_Enter as u32;
    pub const KP_F1: Key = gdk_sys::GDK_KEY_KP_F1 as u32;
    pub const KP_F2: Key = gdk_sys::GDK_KEY_KP_F2 as u32;
    pub const KP_F3: Key = gdk_sys::GDK_KEY_KP_F3 as u32;
    pub const KP_F4: Key = gdk_sys::GDK_KEY_KP_F4 as u32;
    pub const KP_Home: Key = gdk_sys::GDK_KEY_KP_Home as u32;
    pub const KP_Left: Key = gdk_sys::GDK_KEY_KP_Left as u32;
    pub const KP_Up: Key = gdk_sys::GDK_KEY_KP_Up as u32;
    pub const KP_Right: Key = gdk_sys::GDK_KEY_KP_Right as u32;
    pub const KP_Down: Key = gdk_sys::GDK_KEY_KP_Down as u32;
    pub const KP_Prior: Key = gdk_sys::GDK_KEY_KP_Prior as u32;
    pub const KP_Page_Up: Key = gdk_sys::GDK_KEY_KP_Page_Up as u32;
    pub const KP_Next: Key = gdk_sys::GDK_KEY_KP_Next as u32;
    pub const KP_Page_Down: Key = gdk_sys::GDK_KEY_KP_Page_Down as u32;
    pub const KP_End: Key = gdk_sys::GDK_KEY_KP_End as u32;
    pub const KP_Begin: Key = gdk_sys::GDK_KEY_KP_Begin as u32;
    pub const KP_Insert: Key = gdk_sys::GDK_KEY_KP_Insert as u32;
    pub const KP_Delete: Key = gdk_sys::GDK_KEY_KP_Delete as u32;
    pub const KP_Equal: Key = gdk_sys::GDK_KEY_KP_Equal as u32;
    pub const KP_Multiply: Key = gdk_sys::GDK_KEY_KP_Multiply as u32;
    pub const KP_Add: Key = gdk_sys::GDK_KEY_KP_Add as u32;
    pub const KP_Separator: Key = gdk_sys::GDK_KEY_KP_Separator as u32;
    pub const KP_Subtract: Key = gdk_sys::GDK_KEY_KP_Subtract as u32;
    pub const KP_Decimal: Key = gdk_sys::GDK_KEY_KP_Decimal as u32;
    pub const KP_Divide: Key = gdk_sys::GDK_KEY_KP_Divide as u32;
    pub const KP_0: Key = gdk_sys::GDK_KEY_KP_0 as u32;
    pub const KP_1: Key = gdk_sys::GDK_KEY_KP_1 as u32;
    pub const KP_2: Key = gdk_sys::GDK_KEY_KP_2 as u32;
    pub const KP_3: Key = gdk_sys::GDK_KEY_KP_3 as u32;
    pub const KP_4: Key = gdk_sys::GDK_KEY_KP_4 as u32;
    pub const KP_5: Key = gdk_sys::GDK_KEY_KP_5 as u32;
    pub const KP_6: Key = gdk_sys::GDK_KEY_KP_6 as u32;
    pub const KP_7: Key = gdk_sys::GDK_KEY_KP_7 as u32;
    pub const KP_8: Key = gdk_sys::GDK_KEY_KP_8 as u32;
    pub const KP_9: Key = gdk_sys::GDK_KEY_KP_9 as u32;
    pub const F1: Key = gdk_sys::GDK_KEY_F1 as u32;
    pub const F2: Key = gdk_sys::GDK_KEY_F2 as u32;
    pub const F3: Key = gdk_sys::GDK_KEY_F3 as u32;
    pub const F4: Key = gdk_sys::GDK_KEY_F4 as u32;
    pub const F5: Key = gdk_sys::GDK_KEY_F5 as u32;
    pub const F6: Key = gdk_sys::GDK_KEY_F6 as u32;
    pub const F7: Key = gdk_sys::GDK_KEY_F7 as u32;
    pub const F8: Key = gdk_sys::GDK_KEY_F8 as u32;
    pub const F9: Key = gdk_sys::GDK_KEY_F9 as u32;
    pub const F10: Key = gdk_sys::GDK_KEY_F10 as u32;
    pub const F11: Key = gdk_sys::GDK_KEY_F11 as u32;
    pub const L1: Key = gdk_sys::GDK_KEY_L1 as u32;
    pub const F12: Key = gdk_sys::GDK_KEY_F12 as u32;
    pub const L2: Key = gdk_sys::GDK_KEY_L2 as u32;
    pub const F13: Key = gdk_sys::GDK_KEY_F13 as u32;
    pub const L3: Key = gdk_sys::GDK_KEY_L3 as u32;
    pub const F14: Key = gdk_sys::GDK_KEY_F14 as u32;
    pub const L4: Key = gdk_sys::GDK_KEY_L4 as u32;
    pub const F15: Key = gdk_sys::GDK_KEY_F15 as u32;
    pub const L5: Key = gdk_sys::GDK_KEY_L5 as u32;
    pub const F16: Key = gdk_sys::GDK_KEY_F16 as u32;
    pub const L6: Key = gdk_sys::GDK_KEY_L6 as u32;
    pub const F17: Key = gdk_sys::GDK_KEY_F17 as u32;
    pub const L7: Key = gdk_sys::GDK_KEY_L7 as u32;
    pub const F18: Key = gdk_sys::GDK_KEY_F18 as u32;
    pub const L8: Key = gdk_sys::GDK_KEY_L8 as u32;
    pub const F19: Key = gdk_sys::GDK_KEY_F19 as u32;
    pub const L9: Key = gdk_sys::GDK_KEY_L9 as u32;
    pub const F20: Key = gdk_sys::GDK_KEY_F20 as u32;
    pub const L10: Key = gdk_sys::GDK_KEY_L10 as u32;
    pub const F21: Key = gdk_sys::GDK_KEY_F21 as u32;
    pub const R1: Key = gdk_sys::GDK_KEY_R1 as u32;
    pub const F22: Key = gdk_sys::GDK_KEY_F22 as u32;
    pub const R2: Key = gdk_sys::GDK_KEY_R2 as u32;
    pub const F23: Key = gdk_sys::GDK_KEY_F23 as u32;
    pub const R3: Key = gdk_sys::GDK_KEY_R3 as u32;
    pub const F24: Key = gdk_sys::GDK_KEY_F24 as u32;
    pub const R4: Key = gdk_sys::GDK_KEY_R4 as u32;
    pub const F25: Key = gdk_sys::GDK_KEY_F25 as u32;
    pub const R5: Key = gdk_sys::GDK_KEY_R5 as u32;
    pub const F26: Key = gdk_sys::GDK_KEY_F26 as u32;
    pub const R6: Key = gdk_sys::GDK_KEY_R6 as u32;
    pub const F27: Key = gdk_sys::GDK_KEY_F27 as u32;
    pub const R7: Key = gdk_sys::GDK_KEY_R7 as u32;
    pub const F28: Key = gdk_sys::GDK_KEY_F28 as u32;
    pub const R8: Key = gdk_sys::GDK_KEY_R8 as u32;
    pub const F29: Key = gdk_sys::GDK_KEY_F29 as u32;
    pub const R9: Key = gdk_sys::GDK_KEY_R9 as u32;
    pub const F30: Key = gdk_sys::GDK_KEY_F30 as u32;
    pub const R10: Key = gdk_sys::GDK_KEY_R10 as u32;
    pub const F31: Key = gdk_sys::GDK_KEY_F31 as u32;
    pub const R11: Key = gdk_sys::GDK_KEY_R11 as u32;
    pub const F32: Key = gdk_sys::GDK_KEY_F32 as u32;
    pub const R12: Key = gdk_sys::GDK_KEY_R12 as u32;
    pub const F33: Key = gdk_sys::GDK_KEY_F33 as u32;
    pub const R13: Key = gdk_sys::GDK_KEY_R13 as u32;
    pub const F34: Key = gdk_sys::GDK_KEY_F34 as u32;
    pub const R14: Key = gdk_sys::GDK_KEY_R14 as u32;
    pub const F35: Key = gdk_sys::GDK_KEY_F35 as u32;
    pub const R15: Key = gdk_sys::GDK_KEY_R15 as u32;
    pub const Shift_L: Key = gdk_sys::GDK_KEY_Shift_L as u32;
    pub const Shift_R: Key = gdk_sys::GDK_KEY_Shift_R as u32;
    pub const Control_L: Key = gdk_sys::GDK_KEY_Control_L as u32;
    pub const Control_R: Key = gdk_sys::GDK_KEY_Control_R as u32;
    pub const Caps_Lock: Key = gdk_sys::GDK_KEY_Caps_Lock as u32;
    pub const Shift_Lock: Key = gdk_sys::GDK_KEY_Shift_Lock as u32;
    pub const Meta_L: Key = gdk_sys::GDK_KEY_Meta_L as u32;
    pub const Meta_R: Key = gdk_sys::GDK_KEY_Meta_R as u32;
    pub const Alt_L: Key = gdk_sys::GDK_KEY_Alt_L as u32;
    pub const Alt_R: Key = gdk_sys::GDK_KEY_Alt_R as u32;
    pub const Super_L: Key = gdk_sys::GDK_KEY_Super_L as u32;
    pub const Super_R: Key = gdk_sys::GDK_KEY_Super_R as u32;
    pub const Hyper_L: Key = gdk_sys::GDK_KEY_Hyper_L as u32;
    pub const Hyper_R: Key = gdk_sys::GDK_KEY_Hyper_R as u32;
    pub const ISO_Lock: Key = gdk_sys::GDK_KEY_ISO_Lock as u32;
    pub const ISO_Level2_Latch: Key = gdk_sys::GDK_KEY_ISO_Level2_Latch as u32;
    pub const ISO_Level3_Shift: Key = gdk_sys::GDK_KEY_ISO_Level3_Shift as u32;
    pub const ISO_Level3_Latch: Key = gdk_sys::GDK_KEY_ISO_Level3_Latch as u32;
    pub const ISO_Level3_Lock: Key = gdk_sys::GDK_KEY_ISO_Level3_Lock as u32;
    pub const ISO_Level5_Shift: Key = gdk_sys::GDK_KEY_ISO_Level5_Shift as u32;
    pub const ISO_Level5_Latch: Key = gdk_sys::GDK_KEY_ISO_Level5_Latch as u32;
    pub const ISO_Level5_Lock: Key = gdk_sys::GDK_KEY_ISO_Level5_Lock as u32;
    pub const ISO_Group_Shift: Key = gdk_sys::GDK_KEY_ISO_Group_Shift as u32;
    pub const ISO_Group_Latch: Key = gdk_sys::GDK_KEY_ISO_Group_Latch as u32;
    pub const ISO_Group_Lock: Key = gdk_sys::GDK_KEY_ISO_Group_Lock as u32;
    pub const ISO_Next_Group: Key = gdk_sys::GDK_KEY_ISO_Next_Group as u32;
    pub const ISO_Next_Group_Lock: Key = gdk_sys::GDK_KEY_ISO_Next_Group_Lock as u32;
    pub const ISO_Prev_Group: Key = gdk_sys::GDK_KEY_ISO_Prev_Group as u32;
    pub const ISO_Prev_Group_Lock: Key = gdk_sys::GDK_KEY_ISO_Prev_Group_Lock as u32;
    pub const ISO_First_Group: Key = gdk_sys::GDK_KEY_ISO_First_Group as u32;
    pub const ISO_First_Group_Lock: Key = gdk_sys::GDK_KEY_ISO_First_Group_Lock as u32;
    pub const ISO_Last_Group: Key = gdk_sys::GDK_KEY_ISO_Last_Group as u32;
    pub const ISO_Last_Group_Lock: Key = gdk_sys::GDK_KEY_ISO_Last_Group_Lock as u32;
    pub const ISO_Left_Tab: Key = gdk_sys::GDK_KEY_ISO_Left_Tab as u32;
    pub const ISO_Move_Line_Up: Key = gdk_sys::GDK_KEY_ISO_Move_Line_Up as u32;
    pub const ISO_Move_Line_Down: Key = gdk_sys::GDK_KEY_ISO_Move_Line_Down as u32;
    pub const ISO_Partial_Line_Up: Key = gdk_sys::GDK_KEY_ISO_Partial_Line_Up as u32;
    pub const ISO_Partial_Line_Down: Key = gdk_sys::GDK_KEY_ISO_Partial_Line_Down as u32;
    pub const ISO_Partial_Space_Left: Key = gdk_sys::GDK_KEY_ISO_Partial_Space_Left as u32;
    pub const ISO_Partial_Space_Right: Key = gdk_sys::GDK_KEY_ISO_Partial_Space_Right as u32;
    pub const ISO_Set_Margin_Left: Key = gdk_sys::GDK_KEY_ISO_Set_Margin_Left as u32;
    pub const ISO_Set_Margin_Right: Key = gdk_sys::GDK_KEY_ISO_Set_Margin_Right as u32;
    pub const ISO_Release_Margin_Left: Key = gdk_sys::GDK_KEY_ISO_Release_Margin_Left as u32;
    pub const ISO_Release_Margin_Right: Key = gdk_sys::GDK_KEY_ISO_Release_Margin_Right as u32;
    pub const ISO_Release_Both_Margins: Key = gdk_sys::GDK_KEY_ISO_Release_Both_Margins as u32;
    pub const ISO_Fast_Cursor_Left: Key = gdk_sys::GDK_KEY_ISO_Fast_Cursor_Left as u32;
    pub const ISO_Fast_Cursor_Right: Key = gdk_sys::GDK_KEY_ISO_Fast_Cursor_Right as u32;
    pub const ISO_Fast_Cursor_Up: Key = gdk_sys::GDK_KEY_ISO_Fast_Cursor_Up as u32;
    pub const ISO_Fast_Cursor_Down: Key = gdk_sys::GDK_KEY_ISO_Fast_Cursor_Down as u32;
    pub const ISO_Continuous_Underline: Key = gdk_sys::GDK_KEY_ISO_Continuous_Underline as u32;
    pub const ISO_Discontinuous_Underline: Key =
        gdk_sys::GDK_KEY_ISO_Discontinuous_Underline as u32;
    pub const ISO_Emphasize: Key = gdk_sys::GDK_KEY_ISO_Emphasize as u32;
    pub const ISO_Center_Object: Key = gdk_sys::GDK_KEY_ISO_Center_Object as u32;
    pub const ISO_Enter: Key = gdk_sys::GDK_KEY_ISO_Enter as u32;
    pub const dead_grave: Key = gdk_sys::GDK_KEY_dead_grave as u32;
    pub const dead_acute: Key = gdk_sys::GDK_KEY_dead_acute as u32;
    pub const dead_circumflex: Key = gdk_sys::GDK_KEY_dead_circumflex as u32;
    pub const dead_tilde: Key = gdk_sys::GDK_KEY_dead_tilde as u32;
    pub const dead_perispomeni: Key = gdk_sys::GDK_KEY_dead_perispomeni as u32;
    pub const dead_macron: Key = gdk_sys::GDK_KEY_dead_macron as u32;
    pub const dead_breve: Key = gdk_sys::GDK_KEY_dead_breve as u32;
    pub const dead_abovedot: Key = gdk_sys::GDK_KEY_dead_abovedot as u32;
    pub const dead_diaeresis: Key = gdk_sys::GDK_KEY_dead_diaeresis as u32;
    pub const dead_abovering: Key = gdk_sys::GDK_KEY_dead_abovering as u32;
    pub const dead_doubleacute: Key = gdk_sys::GDK_KEY_dead_doubleacute as u32;
    pub const dead_caron: Key = gdk_sys::GDK_KEY_dead_caron as u32;
    pub const dead_cedilla: Key = gdk_sys::GDK_KEY_dead_cedilla as u32;
    pub const dead_ogonek: Key = gdk_sys::GDK_KEY_dead_ogonek as u32;
    pub const dead_iota: Key = gdk_sys::GDK_KEY_dead_iota as u32;
    pub const dead_voiced_sound: Key = gdk_sys::GDK_KEY_dead_voiced_sound as u32;
    pub const dead_semivoiced_sound: Key = gdk_sys::GDK_KEY_dead_semivoiced_sound as u32;
    pub const dead_belowdot: Key = gdk_sys::GDK_KEY_dead_belowdot as u32;
    pub const dead_hook: Key = gdk_sys::GDK_KEY_dead_hook as u32;
    pub const dead_horn: Key = gdk_sys::GDK_KEY_dead_horn as u32;
    pub const dead_stroke: Key = gdk_sys::GDK_KEY_dead_stroke as u32;
    pub const dead_abovecomma: Key = gdk_sys::GDK_KEY_dead_abovecomma as u32;
    pub const dead_psili: Key = gdk_sys::GDK_KEY_dead_psili as u32;
    pub const dead_abovereversedcomma: Key = gdk_sys::GDK_KEY_dead_abovereversedcomma as u32;
    pub const dead_dasia: Key = gdk_sys::GDK_KEY_dead_dasia as u32;
    pub const dead_doublegrave: Key = gdk_sys::GDK_KEY_dead_doublegrave as u32;
    pub const dead_belowring: Key = gdk_sys::GDK_KEY_dead_belowring as u32;
    pub const dead_belowmacron: Key = gdk_sys::GDK_KEY_dead_belowmacron as u32;
    pub const dead_belowcircumflex: Key = gdk_sys::GDK_KEY_dead_belowcircumflex as u32;
    pub const dead_belowtilde: Key = gdk_sys::GDK_KEY_dead_belowtilde as u32;
    pub const dead_belowbreve: Key = gdk_sys::GDK_KEY_dead_belowbreve as u32;
    pub const dead_belowdiaeresis: Key = gdk_sys::GDK_KEY_dead_belowdiaeresis as u32;
    pub const dead_invertedbreve: Key = gdk_sys::GDK_KEY_dead_invertedbreve as u32;
    pub const dead_belowcomma: Key = gdk_sys::GDK_KEY_dead_belowcomma as u32;
    pub const dead_currency: Key = gdk_sys::GDK_KEY_dead_currency as u32;
    pub const dead_a: Key = gdk_sys::GDK_KEY_dead_a as u32;
    pub const dead_A: Key = gdk_sys::GDK_KEY_dead_A as u32;
    pub const dead_e: Key = gdk_sys::GDK_KEY_dead_e as u32;
    pub const dead_E: Key = gdk_sys::GDK_KEY_dead_E as u32;
    pub const dead_i: Key = gdk_sys::GDK_KEY_dead_i as u32;
    pub const dead_I: Key = gdk_sys::GDK_KEY_dead_I as u32;
    pub const dead_o: Key = gdk_sys::GDK_KEY_dead_o as u32;
    pub const dead_O: Key = gdk_sys::GDK_KEY_dead_O as u32;
    pub const dead_u: Key = gdk_sys::GDK_KEY_dead_u as u32;
    pub const dead_U: Key = gdk_sys::GDK_KEY_dead_U as u32;
    pub const dead_small_schwa: Key = gdk_sys::GDK_KEY_dead_small_schwa as u32;
    pub const dead_capital_schwa: Key = gdk_sys::GDK_KEY_dead_capital_schwa as u32;
    pub const dead_greek: Key = gdk_sys::GDK_KEY_dead_greek as u32;
    pub const First_Virtual_Screen: Key = gdk_sys::GDK_KEY_First_Virtual_Screen as u32;
    pub const Prev_Virtual_Screen: Key = gdk_sys::GDK_KEY_Prev_Virtual_Screen as u32;
    pub const Next_Virtual_Screen: Key = gdk_sys::GDK_KEY_Next_Virtual_Screen as u32;
    pub const Last_Virtual_Screen: Key = gdk_sys::GDK_KEY_Last_Virtual_Screen as u32;
    pub const Terminate_Server: Key = gdk_sys::GDK_KEY_Terminate_Server as u32;
    pub const AccessX_Enable: Key = gdk_sys::GDK_KEY_AccessX_Enable as u32;
    pub const AccessX_Feedback_Enable: Key = gdk_sys::GDK_KEY_AccessX_Feedback_Enable as u32;
    pub const RepeatKeys_Enable: Key = gdk_sys::GDK_KEY_RepeatKeys_Enable as u32;
    pub const SlowKeys_Enable: Key = gdk_sys::GDK_KEY_SlowKeys_Enable as u32;
    pub const BounceKeys_Enable: Key = gdk_sys::GDK_KEY_BounceKeys_Enable as u32;
    pub const StickyKeys_Enable: Key = gdk_sys::GDK_KEY_StickyKeys_Enable as u32;
    pub const MouseKeys_Enable: Key = gdk_sys::GDK_KEY_MouseKeys_Enable as u32;
    pub const MouseKeys_Accel_Enable: Key = gdk_sys::GDK_KEY_MouseKeys_Accel_Enable as u32;
    pub const Overlay1_Enable: Key = gdk_sys::GDK_KEY_Overlay1_Enable as u32;
    pub const Overlay2_Enable: Key = gdk_sys::GDK_KEY_Overlay2_Enable as u32;
    pub const AudibleBell_Enable: Key = gdk_sys::GDK_KEY_AudibleBell_Enable as u32;
    pub const Pointer_Left: Key = gdk_sys::GDK_KEY_Pointer_Left as u32;
    pub const Pointer_Right: Key = gdk_sys::GDK_KEY_Pointer_Right as u32;
    pub const Pointer_Up: Key = gdk_sys::GDK_KEY_Pointer_Up as u32;
    pub const Pointer_Down: Key = gdk_sys::GDK_KEY_Pointer_Down as u32;
    pub const Pointer_UpLeft: Key = gdk_sys::GDK_KEY_Pointer_UpLeft as u32;
    pub const Pointer_UpRight: Key = gdk_sys::GDK_KEY_Pointer_UpRight as u32;
    pub const Pointer_DownLeft: Key = gdk_sys::GDK_KEY_Pointer_DownLeft as u32;
    pub const Pointer_DownRight: Key = gdk_sys::GDK_KEY_Pointer_DownRight as u32;
    pub const Pointer_Button_Dflt: Key = gdk_sys::GDK_KEY_Pointer_Button_Dflt as u32;
    pub const Pointer_Button1: Key = gdk_sys::GDK_KEY_Pointer_Button1 as u32;
    pub const Pointer_Button2: Key = gdk_sys::GDK_KEY_Pointer_Button2 as u32;
    pub const Pointer_Button3: Key = gdk_sys::GDK_KEY_Pointer_Button3 as u32;
    pub const Pointer_Button4: Key = gdk_sys::GDK_KEY_Pointer_Button4 as u32;
    pub const Pointer_Button5: Key = gdk_sys::GDK_KEY_Pointer_Button5 as u32;
    pub const Pointer_DblClick_Dflt: Key = gdk_sys::GDK_KEY_Pointer_DblClick_Dflt as u32;
    pub const Pointer_DblClick1: Key = gdk_sys::GDK_KEY_Pointer_DblClick1 as u32;
    pub const Pointer_DblClick2: Key = gdk_sys::GDK_KEY_Pointer_DblClick2 as u32;
    pub const Pointer_DblClick3: Key = gdk_sys::GDK_KEY_Pointer_DblClick3 as u32;
    pub const Pointer_DblClick4: Key = gdk_sys::GDK_KEY_Pointer_DblClick4 as u32;
    pub const Pointer_DblClick5: Key = gdk_sys::GDK_KEY_Pointer_DblClick5 as u32;
    pub const Pointer_Drag_Dflt: Key = gdk_sys::GDK_KEY_Pointer_Drag_Dflt as u32;
    pub const Pointer_Drag1: Key = gdk_sys::GDK_KEY_Pointer_Drag1 as u32;
    pub const Pointer_Drag2: Key = gdk_sys::GDK_KEY_Pointer_Drag2 as u32;
    pub const Pointer_Drag3: Key = gdk_sys::GDK_KEY_Pointer_Drag3 as u32;
    pub const Pointer_Drag4: Key = gdk_sys::GDK_KEY_Pointer_Drag4 as u32;
    pub const Pointer_Drag5: Key = gdk_sys::GDK_KEY_Pointer_Drag5 as u32;
    pub const Pointer_EnableKeys: Key = gdk_sys::GDK_KEY_Pointer_EnableKeys as u32;
    pub const Pointer_Accelerate: Key = gdk_sys::GDK_KEY_Pointer_Accelerate as u32;
    pub const Pointer_DfltBtnNext: Key = gdk_sys::GDK_KEY_Pointer_DfltBtnNext as u32;
    pub const Pointer_DfltBtnPrev: Key = gdk_sys::GDK_KEY_Pointer_DfltBtnPrev as u32;
    pub const ch: Key = gdk_sys::GDK_KEY_ch as u32;
    pub const Ch: Key = gdk_sys::GDK_KEY_Ch as u32;
    pub const CH: Key = gdk_sys::GDK_KEY_CH as u32;
    pub const c_h: Key = gdk_sys::GDK_KEY_c_h as u32;
    pub const C_h: Key = gdk_sys::GDK_KEY_C_h as u32;
    pub const C_H: Key = gdk_sys::GDK_KEY_C_H as u32;
    pub const _3270_Duplicate: Key = gdk_sys::GDK_KEY_3270_Duplicate as u32;
    pub const _3270_FieldMark: Key = gdk_sys::GDK_KEY_3270_FieldMark as u32;
    pub const _3270_Right2: Key = gdk_sys::GDK_KEY_3270_Right2 as u32;
    pub const _3270_Left2: Key = gdk_sys::GDK_KEY_3270_Left2 as u32;
    pub const _3270_BackTab: Key = gdk_sys::GDK_KEY_3270_BackTab as u32;
    pub const _3270_EraseEOF: Key = gdk_sys::GDK_KEY_3270_EraseEOF as u32;
    pub const _3270_EraseInput: Key = gdk_sys::GDK_KEY_3270_EraseInput as u32;
    pub const _3270_Reset: Key = gdk_sys::GDK_KEY_3270_Reset as u32;
    pub const _3270_Quit: Key = gdk_sys::GDK_KEY_3270_Quit as u32;
    pub const _3270_PA1: Key = gdk_sys::GDK_KEY_3270_PA1 as u32;
    pub const _3270_PA2: Key = gdk_sys::GDK_KEY_3270_PA2 as u32;
    pub const _3270_PA3: Key = gdk_sys::GDK_KEY_3270_PA3 as u32;
    pub const _3270_Test: Key = gdk_sys::GDK_KEY_3270_Test as u32;
    pub const _3270_Attn: Key = gdk_sys::GDK_KEY_3270_Attn as u32;
    pub const _3270_CursorBlink: Key = gdk_sys::GDK_KEY_3270_CursorBlink as u32;
    pub const _3270_AltCursor: Key = gdk_sys::GDK_KEY_3270_AltCursor as u32;
    pub const _3270_KeyClick: Key = gdk_sys::GDK_KEY_3270_KeyClick as u32;
    pub const _3270_Jump: Key = gdk_sys::GDK_KEY_3270_Jump as u32;
    pub const _3270_Ident: Key = gdk_sys::GDK_KEY_3270_Ident as u32;
    pub const _3270_Rule: Key = gdk_sys::GDK_KEY_3270_Rule as u32;
    pub const _3270_Copy: Key = gdk_sys::GDK_KEY_3270_Copy as u32;
    pub const _3270_Play: Key = gdk_sys::GDK_KEY_3270_Play as u32;
    pub const _3270_Setup: Key = gdk_sys::GDK_KEY_3270_Setup as u32;
    pub const _3270_Record: Key = gdk_sys::GDK_KEY_3270_Record as u32;
    pub const _3270_ChangeScreen: Key = gdk_sys::GDK_KEY_3270_ChangeScreen as u32;
    pub const _3270_DeleteWord: Key = gdk_sys::GDK_KEY_3270_DeleteWord as u32;
    pub const _3270_ExSelect: Key = gdk_sys::GDK_KEY_3270_ExSelect as u32;
    pub const _3270_CursorSelect: Key = gdk_sys::GDK_KEY_3270_CursorSelect as u32;
    pub const _3270_PrintScreen: Key = gdk_sys::GDK_KEY_3270_PrintScreen as u32;
    pub const _3270_Enter: Key = gdk_sys::GDK_KEY_3270_Enter as u32;
    pub const space: Key = gdk_sys::GDK_KEY_space as u32;
    pub const exclam: Key = gdk_sys::GDK_KEY_exclam as u32;
    pub const quotedbl: Key = gdk_sys::GDK_KEY_quotedbl as u32;
    pub const numbersign: Key = gdk_sys::GDK_KEY_numbersign as u32;
    pub const dollar: Key = gdk_sys::GDK_KEY_dollar as u32;
    pub const percent: Key = gdk_sys::GDK_KEY_percent as u32;
    pub const ampersand: Key = gdk_sys::GDK_KEY_ampersand as u32;
    pub const apostrophe: Key = gdk_sys::GDK_KEY_apostrophe as u32;
    pub const quoteright: Key = gdk_sys::GDK_KEY_quoteright as u32;
    pub const parenleft: Key = gdk_sys::GDK_KEY_parenleft as u32;
    pub const parenright: Key = gdk_sys::GDK_KEY_parenright as u32;
    pub const asterisk: Key = gdk_sys::GDK_KEY_asterisk as u32;
    pub const plus: Key = gdk_sys::GDK_KEY_plus as u32;
    pub const comma: Key = gdk_sys::GDK_KEY_comma as u32;
    pub const minus: Key = gdk_sys::GDK_KEY_minus as u32;
    pub const period: Key = gdk_sys::GDK_KEY_period as u32;
    pub const slash: Key = gdk_sys::GDK_KEY_slash as u32;
    pub const _0: Key = gdk_sys::GDK_KEY_0 as u32; // equivalent to keypad '0'
    pub const _1: Key = gdk_sys::GDK_KEY_1 as u32; // equivalent to keypad '1'
    pub const _2: Key = gdk_sys::GDK_KEY_2 as u32; // equivalent to keypad '2'
    pub const _3: Key = gdk_sys::GDK_KEY_3 as u32; // equivalent to keypad '3'
    pub const _4: Key = gdk_sys::GDK_KEY_4 as u32; // equivalent to keypad '4'
    pub const _5: Key = gdk_sys::GDK_KEY_5 as u32; // equivalent to keypad '5'
    pub const _6: Key = gdk_sys::GDK_KEY_6 as u32; // equivalent to keypad '6'
    pub const _7: Key = gdk_sys::GDK_KEY_7 as u32; // equivalent to keypad '7'
    pub const _8: Key = gdk_sys::GDK_KEY_8 as u32; // equivalent to keypad '8'
    pub const _9: Key = gdk_sys::GDK_KEY_9 as u32; // equivalent to keypad '9'
    pub const colon: Key = gdk_sys::GDK_KEY_colon as u32;
    pub const semicolon: Key = gdk_sys::GDK_KEY_semicolon as u32;
    pub const less: Key = gdk_sys::GDK_KEY_less as u32;
    pub const equal: Key = gdk_sys::GDK_KEY_equal as u32;
    pub const greater: Key = gdk_sys::GDK_KEY_greater as u32;
    pub const question: Key = gdk_sys::GDK_KEY_question as u32;
    pub const at: Key = gdk_sys::GDK_KEY_at as u32;
    pub const A: Key = gdk_sys::GDK_KEY_A as u32;
    pub const B: Key = gdk_sys::GDK_KEY_B as u32;
    pub const C: Key = gdk_sys::GDK_KEY_C as u32;
    pub const D: Key = gdk_sys::GDK_KEY_D as u32;
    pub const E: Key = gdk_sys::GDK_KEY_E as u32;
    pub const F: Key = gdk_sys::GDK_KEY_F as u32;
    pub const G: Key = gdk_sys::GDK_KEY_G as u32;
    pub const H: Key = gdk_sys::GDK_KEY_H as u32;
    pub const I: Key = gdk_sys::GDK_KEY_I as u32;
    pub const J: Key = gdk_sys::GDK_KEY_J as u32;
    pub const K: Key = gdk_sys::GDK_KEY_K as u32;
    pub const L: Key = gdk_sys::GDK_KEY_L as u32;
    pub const M: Key = gdk_sys::GDK_KEY_M as u32;
    pub const N: Key = gdk_sys::GDK_KEY_N as u32;
    pub const O: Key = gdk_sys::GDK_KEY_O as u32;
    pub const P: Key = gdk_sys::GDK_KEY_P as u32;
    pub const Q: Key = gdk_sys::GDK_KEY_Q as u32;
    pub const R: Key = gdk_sys::GDK_KEY_R as u32;
    pub const S: Key = gdk_sys::GDK_KEY_S as u32;
    pub const T: Key = gdk_sys::GDK_KEY_T as u32;
    pub const U: Key = gdk_sys::GDK_KEY_U as u32;
    pub const V: Key = gdk_sys::GDK_KEY_V as u32;
    pub const W: Key = gdk_sys::GDK_KEY_W as u32;
    pub const X: Key = gdk_sys::GDK_KEY_X as u32;
    pub const Y: Key = gdk_sys::GDK_KEY_Y as u32;
    pub const Z: Key = gdk_sys::GDK_KEY_Z as u32;
    pub const bracketleft: Key = gdk_sys::GDK_KEY_bracketleft as u32;
    pub const backslash: Key = gdk_sys::GDK_KEY_backslash as u32;
    pub const bracketright: Key = gdk_sys::GDK_KEY_bracketright as u32;
    pub const asciicircum: Key = gdk_sys::GDK_KEY_asciicircum as u32;
    pub const underscore: Key = gdk_sys::GDK_KEY_underscore as u32;
    pub const grave: Key = gdk_sys::GDK_KEY_grave as u32;
    pub const quoteleft: Key = gdk_sys::GDK_KEY_quoteleft as u32;
    pub const a: Key = gdk_sys::GDK_KEY_a as u32;
    pub const b: Key = gdk_sys::GDK_KEY_b as u32;
    pub const c: Key = gdk_sys::GDK_KEY_c as u32;
    pub const d: Key = gdk_sys::GDK_KEY_d as u32;
    pub const e: Key = gdk_sys::GDK_KEY_e as u32;
    pub const f: Key = gdk_sys::GDK_KEY_f as u32;
    pub const g: Key = gdk_sys::GDK_KEY_g as u32;
    pub const h: Key = gdk_sys::GDK_KEY_h as u32;
    pub const i: Key = gdk_sys::GDK_KEY_i as u32;
    pub const j: Key = gdk_sys::GDK_KEY_j as u32;
    pub const k: Key = gdk_sys::GDK_KEY_k as u32;
    pub const l: Key = gdk_sys::GDK_KEY_l as u32;
    pub const m: Key = gdk_sys::GDK_KEY_m as u32;
    pub const n: Key = gdk_sys::GDK_KEY_n as u32;
    pub const o: Key = gdk_sys::GDK_KEY_o as u32;
    pub const p: Key = gdk_sys::GDK_KEY_p as u32;
    pub const q: Key = gdk_sys::GDK_KEY_q as u32;
    pub const r: Key = gdk_sys::GDK_KEY_r as u32;
    pub const s: Key = gdk_sys::GDK_KEY_s as u32;
    pub const t: Key = gdk_sys::GDK_KEY_t as u32;
    pub const u: Key = gdk_sys::GDK_KEY_u as u32;
    pub const v: Key = gdk_sys::GDK_KEY_v as u32;
    pub const w: Key = gdk_sys::GDK_KEY_w as u32;
    pub const x: Key = gdk_sys::GDK_KEY_x as u32;
    pub const y: Key = gdk_sys::GDK_KEY_y as u32;
    pub const z: Key = gdk_sys::GDK_KEY_z as u32;
    pub const braceleft: Key = gdk_sys::GDK_KEY_braceleft as u32;
    pub const bar: Key = gdk_sys::GDK_KEY_bar as u32;
    pub const braceright: Key = gdk_sys::GDK_KEY_braceright as u32;
    pub const asciitilde: Key = gdk_sys::GDK_KEY_asciitilde as u32;
    pub const nobreakspace: Key = gdk_sys::GDK_KEY_nobreakspace as u32;
    pub const exclamdown: Key = gdk_sys::GDK_KEY_exclamdown as u32;
    pub const cent: Key = gdk_sys::GDK_KEY_cent as u32;
    pub const sterling: Key = gdk_sys::GDK_KEY_sterling as u32;
    pub const currency: Key = gdk_sys::GDK_KEY_currency as u32;
    pub const yen: Key = gdk_sys::GDK_KEY_yen as u32;
    pub const brokenbar: Key = gdk_sys::GDK_KEY_brokenbar as u32;
    pub const section: Key = gdk_sys::GDK_KEY_section as u32;
    pub const diaeresis: Key = gdk_sys::GDK_KEY_diaeresis as u32;
    pub const copyright: Key = gdk_sys::GDK_KEY_copyright as u32;
    pub const ordfeminine: Key = gdk_sys::GDK_KEY_ordfeminine as u32;
    pub const guillemotleft: Key = gdk_sys::GDK_KEY_guillemotleft as u32;
    pub const notsign: Key = gdk_sys::GDK_KEY_notsign as u32;
    pub const hyphen: Key = gdk_sys::GDK_KEY_hyphen as u32;
    pub const registered: Key = gdk_sys::GDK_KEY_registered as u32;
    pub const macron: Key = gdk_sys::GDK_KEY_macron as u32;
    pub const degree: Key = gdk_sys::GDK_KEY_degree as u32;
    pub const plusminus: Key = gdk_sys::GDK_KEY_plusminus as u32;
    pub const twosuperior: Key = gdk_sys::GDK_KEY_twosuperior as u32;
    pub const threesuperior: Key = gdk_sys::GDK_KEY_threesuperior as u32;
    pub const acute: Key = gdk_sys::GDK_KEY_acute as u32;
    pub const mu: Key = gdk_sys::GDK_KEY_mu as u32;
    pub const paragraph: Key = gdk_sys::GDK_KEY_paragraph as u32;
    pub const periodcentered: Key = gdk_sys::GDK_KEY_periodcentered as u32;
    pub const cedilla: Key = gdk_sys::GDK_KEY_cedilla as u32;
    pub const onesuperior: Key = gdk_sys::GDK_KEY_onesuperior as u32;
    pub const masculine: Key = gdk_sys::GDK_KEY_masculine as u32;
    pub const guillemotright: Key = gdk_sys::GDK_KEY_guillemotright as u32;
    pub const onequarter: Key = gdk_sys::GDK_KEY_onequarter as u32;
    pub const onehalf: Key = gdk_sys::GDK_KEY_onehalf as u32;
    pub const threequarters: Key = gdk_sys::GDK_KEY_threequarters as u32;
    pub const questiondown: Key = gdk_sys::GDK_KEY_questiondown as u32;
    pub const Agrave: Key = gdk_sys::GDK_KEY_Agrave as u32;
    pub const Aacute: Key = gdk_sys::GDK_KEY_Aacute as u32;
    pub const Acircumflex: Key = gdk_sys::GDK_KEY_Acircumflex as u32;
    pub const Atilde: Key = gdk_sys::GDK_KEY_Atilde as u32;
    pub const Adiaeresis: Key = gdk_sys::GDK_KEY_Adiaeresis as u32;
    pub const Aring: Key = gdk_sys::GDK_KEY_Aring as u32;
    pub const AE: Key = gdk_sys::GDK_KEY_AE as u32;
    pub const Ccedilla: Key = gdk_sys::GDK_KEY_Ccedilla as u32;
    pub const Egrave: Key = gdk_sys::GDK_KEY_Egrave as u32;
    pub const Eacute: Key = gdk_sys::GDK_KEY_Eacute as u32;
    pub const Ecircumflex: Key = gdk_sys::GDK_KEY_Ecircumflex as u32;
    pub const Ediaeresis: Key = gdk_sys::GDK_KEY_Ediaeresis as u32;
    pub const Igrave: Key = gdk_sys::GDK_KEY_Igrave as u32;
    pub const Iacute: Key = gdk_sys::GDK_KEY_Iacute as u32;
    pub const Icircumflex: Key = gdk_sys::GDK_KEY_Icircumflex as u32;
    pub const Idiaeresis: Key = gdk_sys::GDK_KEY_Idiaeresis as u32;
    pub const ETH: Key = gdk_sys::GDK_KEY_ETH as u32;
    pub const Eth: Key = gdk_sys::GDK_KEY_Eth as u32;
    pub const Ntilde: Key = gdk_sys::GDK_KEY_Ntilde as u32;
    pub const Ograve: Key = gdk_sys::GDK_KEY_Ograve as u32;
    pub const Oacute: Key = gdk_sys::GDK_KEY_Oacute as u32;
    pub const Ocircumflex: Key = gdk_sys::GDK_KEY_Ocircumflex as u32;
    pub const Otilde: Key = gdk_sys::GDK_KEY_Otilde as u32;
    pub const Odiaeresis: Key = gdk_sys::GDK_KEY_Odiaeresis as u32;
    pub const multiply: Key = gdk_sys::GDK_KEY_multiply as u32;
    pub const Oslash: Key = gdk_sys::GDK_KEY_Oslash as u32;
    pub const Ooblique: Key = gdk_sys::GDK_KEY_Ooblique as u32;
    pub const Ugrave: Key = gdk_sys::GDK_KEY_Ugrave as u32;
    pub const Uacute: Key = gdk_sys::GDK_KEY_Uacute as u32;
    pub const Ucircumflex: Key = gdk_sys::GDK_KEY_Ucircumflex as u32;
    pub const Udiaeresis: Key = gdk_sys::GDK_KEY_Udiaeresis as u32;
    pub const Yacute: Key = gdk_sys::GDK_KEY_Yacute as u32;
    pub const THORN: Key = gdk_sys::GDK_KEY_THORN as u32;
    pub const Thorn: Key = gdk_sys::GDK_KEY_Thorn as u32;
    pub const ssharp: Key = gdk_sys::GDK_KEY_ssharp as u32;
    pub const agrave: Key = gdk_sys::GDK_KEY_agrave as u32;
    pub const aacute: Key = gdk_sys::GDK_KEY_aacute as u32;
    pub const acircumflex: Key = gdk_sys::GDK_KEY_acircumflex as u32;
    pub const atilde: Key = gdk_sys::GDK_KEY_atilde as u32;
    pub const adiaeresis: Key = gdk_sys::GDK_KEY_adiaeresis as u32;
    pub const aring: Key = gdk_sys::GDK_KEY_aring as u32;
    pub const ae: Key = gdk_sys::GDK_KEY_ae as u32;
    pub const ccedilla: Key = gdk_sys::GDK_KEY_ccedilla as u32;
    pub const egrave: Key = gdk_sys::GDK_KEY_egrave as u32;
    pub const eacute: Key = gdk_sys::GDK_KEY_eacute as u32;
    pub const ecircumflex: Key = gdk_sys::GDK_KEY_ecircumflex as u32;
    pub const ediaeresis: Key = gdk_sys::GDK_KEY_ediaeresis as u32;
    pub const igrave: Key = gdk_sys::GDK_KEY_igrave as u32;
    pub const iacute: Key = gdk_sys::GDK_KEY_iacute as u32;
    pub const icircumflex: Key = gdk_sys::GDK_KEY_icircumflex as u32;
    pub const idiaeresis: Key = gdk_sys::GDK_KEY_idiaeresis as u32;
    pub const eth: Key = gdk_sys::GDK_KEY_eth as u32;
    pub const ntilde: Key = gdk_sys::GDK_KEY_ntilde as u32;
    pub const ograve: Key = gdk_sys::GDK_KEY_ograve as u32;
    pub const oacute: Key = gdk_sys::GDK_KEY_oacute as u32;
    pub const ocircumflex: Key = gdk_sys::GDK_KEY_ocircumflex as u32;
    pub const otilde: Key = gdk_sys::GDK_KEY_otilde as u32;
    pub const odiaeresis: Key = gdk_sys::GDK_KEY_odiaeresis as u32;
    pub const division: Key = gdk_sys::GDK_KEY_division as u32;
    pub const oslash: Key = gdk_sys::GDK_KEY_oslash as u32;
    pub const ooblique: Key = gdk_sys::GDK_KEY_ooblique as u32;
    pub const ugrave: Key = gdk_sys::GDK_KEY_ugrave as u32;
    pub const uacute: Key = gdk_sys::GDK_KEY_uacute as u32;
    pub const ucircumflex: Key = gdk_sys::GDK_KEY_ucircumflex as u32;
    pub const udiaeresis: Key = gdk_sys::GDK_KEY_udiaeresis as u32;
    pub const yacute: Key = gdk_sys::GDK_KEY_yacute as u32;
    pub const thorn: Key = gdk_sys::GDK_KEY_thorn as u32;
    pub const ydiaeresis: Key = gdk_sys::GDK_KEY_ydiaeresis as u32;
    pub const Aogonek: Key = gdk_sys::GDK_KEY_Aogonek as u32;
    pub const breve: Key = gdk_sys::GDK_KEY_breve as u32;
    pub const Lstroke: Key = gdk_sys::GDK_KEY_Lstroke as u32;
    pub const Lcaron: Key = gdk_sys::GDK_KEY_Lcaron as u32;
    pub const Sacute: Key = gdk_sys::GDK_KEY_Sacute as u32;
    pub const Scaron: Key = gdk_sys::GDK_KEY_Scaron as u32;
    pub const Scedilla: Key = gdk_sys::GDK_KEY_Scedilla as u32;
    pub const Tcaron: Key = gdk_sys::GDK_KEY_Tcaron as u32;
    pub const Zacute: Key = gdk_sys::GDK_KEY_Zacute as u32;
    pub const Zcaron: Key = gdk_sys::GDK_KEY_Zcaron as u32;
    pub const Zabovedot: Key = gdk_sys::GDK_KEY_Zabovedot as u32;
    pub const aogonek: Key = gdk_sys::GDK_KEY_aogonek as u32;
    pub const ogonek: Key = gdk_sys::GDK_KEY_ogonek as u32;
    pub const lstroke: Key = gdk_sys::GDK_KEY_lstroke as u32;
    pub const lcaron: Key = gdk_sys::GDK_KEY_lcaron as u32;
    pub const sacute: Key = gdk_sys::GDK_KEY_sacute as u32;
    pub const caron: Key = gdk_sys::GDK_KEY_caron as u32;
    pub const scaron: Key = gdk_sys::GDK_KEY_scaron as u32;
    pub const scedilla: Key = gdk_sys::GDK_KEY_scedilla as u32;
    pub const tcaron: Key = gdk_sys::GDK_KEY_tcaron as u32;
    pub const zacute: Key = gdk_sys::GDK_KEY_zacute as u32;
    pub const doubleacute: Key = gdk_sys::GDK_KEY_doubleacute as u32;
    pub const zcaron: Key = gdk_sys::GDK_KEY_zcaron as u32;
    pub const zabovedot: Key = gdk_sys::GDK_KEY_zabovedot as u32;
    pub const Racute: Key = gdk_sys::GDK_KEY_Racute as u32;
    pub const Abreve: Key = gdk_sys::GDK_KEY_Abreve as u32;
    pub const Lacute: Key = gdk_sys::GDK_KEY_Lacute as u32;
    pub const Cacute: Key = gdk_sys::GDK_KEY_Cacute as u32;
    pub const Ccaron: Key = gdk_sys::GDK_KEY_Ccaron as u32;
    pub const Eogonek: Key = gdk_sys::GDK_KEY_Eogonek as u32;
    pub const Ecaron: Key = gdk_sys::GDK_KEY_Ecaron as u32;
    pub const Dcaron: Key = gdk_sys::GDK_KEY_Dcaron as u32;
    pub const Dstroke: Key = gdk_sys::GDK_KEY_Dstroke as u32;
    pub const Nacute: Key = gdk_sys::GDK_KEY_Nacute as u32;
    pub const Ncaron: Key = gdk_sys::GDK_KEY_Ncaron as u32;
    pub const Odoubleacute: Key = gdk_sys::GDK_KEY_Odoubleacute as u32;
    pub const Rcaron: Key = gdk_sys::GDK_KEY_Rcaron as u32;
    pub const Uring: Key = gdk_sys::GDK_KEY_Uring as u32;
    pub const Udoubleacute: Key = gdk_sys::GDK_KEY_Udoubleacute as u32;
    pub const Tcedilla: Key = gdk_sys::GDK_KEY_Tcedilla as u32;
    pub const racute: Key = gdk_sys::GDK_KEY_racute as u32;
    pub const abreve: Key = gdk_sys::GDK_KEY_abreve as u32;
    pub const lacute: Key = gdk_sys::GDK_KEY_lacute as u32;
    pub const cacute: Key = gdk_sys::GDK_KEY_cacute as u32;
    pub const ccaron: Key = gdk_sys::GDK_KEY_ccaron as u32;
    pub const eogonek: Key = gdk_sys::GDK_KEY_eogonek as u32;
    pub const ecaron: Key = gdk_sys::GDK_KEY_ecaron as u32;
    pub const dcaron: Key = gdk_sys::GDK_KEY_dcaron as u32;
    pub const dstroke: Key = gdk_sys::GDK_KEY_dstroke as u32;
    pub const nacute: Key = gdk_sys::GDK_KEY_nacute as u32;
    pub const ncaron: Key = gdk_sys::GDK_KEY_ncaron as u32;
    pub const odoubleacute: Key = gdk_sys::GDK_KEY_odoubleacute as u32;
    pub const rcaron: Key = gdk_sys::GDK_KEY_rcaron as u32;
    pub const uring: Key = gdk_sys::GDK_KEY_uring as u32;
    pub const udoubleacute: Key = gdk_sys::GDK_KEY_udoubleacute as u32;
    pub const tcedilla: Key = gdk_sys::GDK_KEY_tcedilla as u32;
    pub const abovedot: Key = gdk_sys::GDK_KEY_abovedot as u32;
    pub const Hstroke: Key = gdk_sys::GDK_KEY_Hstroke as u32;
    pub const Hcircumflex: Key = gdk_sys::GDK_KEY_Hcircumflex as u32;
    pub const Iabovedot: Key = gdk_sys::GDK_KEY_Iabovedot as u32;
    pub const Gbreve: Key = gdk_sys::GDK_KEY_Gbreve as u32;
    pub const Jcircumflex: Key = gdk_sys::GDK_KEY_Jcircumflex as u32;
    pub const hstroke: Key = gdk_sys::GDK_KEY_hstroke as u32;
    pub const hcircumflex: Key = gdk_sys::GDK_KEY_hcircumflex as u32;
    pub const idotless: Key = gdk_sys::GDK_KEY_idotless as u32;
    pub const gbreve: Key = gdk_sys::GDK_KEY_gbreve as u32;
    pub const jcircumflex: Key = gdk_sys::GDK_KEY_jcircumflex as u32;
    pub const Cabovedot: Key = gdk_sys::GDK_KEY_Cabovedot as u32;
    pub const Ccircumflex: Key = gdk_sys::GDK_KEY_Ccircumflex as u32;
    pub const Gabovedot: Key = gdk_sys::GDK_KEY_Gabovedot as u32;
    pub const Gcircumflex: Key = gdk_sys::GDK_KEY_Gcircumflex as u32;
    pub const Ubreve: Key = gdk_sys::GDK_KEY_Ubreve as u32;
    pub const Scircumflex: Key = gdk_sys::GDK_KEY_Scircumflex as u32;
    pub const cabovedot: Key = gdk_sys::GDK_KEY_cabovedot as u32;
    pub const ccircumflex: Key = gdk_sys::GDK_KEY_ccircumflex as u32;
    pub const gabovedot: Key = gdk_sys::GDK_KEY_gabovedot as u32;
    pub const gcircumflex: Key = gdk_sys::GDK_KEY_gcircumflex as u32;
    pub const ubreve: Key = gdk_sys::GDK_KEY_ubreve as u32;
    pub const scircumflex: Key = gdk_sys::GDK_KEY_scircumflex as u32;
    pub const kra: Key = gdk_sys::GDK_KEY_kra as u32;
    pub const kappa: Key = gdk_sys::GDK_KEY_kappa as u32;
    pub const Rcedilla: Key = gdk_sys::GDK_KEY_Rcedilla as u32;
    pub const Itilde: Key = gdk_sys::GDK_KEY_Itilde as u32;
    pub const Lcedilla: Key = gdk_sys::GDK_KEY_Lcedilla as u32;
    pub const Emacron: Key = gdk_sys::GDK_KEY_Emacron as u32;
    pub const Gcedilla: Key = gdk_sys::GDK_KEY_Gcedilla as u32;
    pub const Tslash: Key = gdk_sys::GDK_KEY_Tslash as u32;
    pub const rcedilla: Key = gdk_sys::GDK_KEY_rcedilla as u32;
    pub const itilde: Key = gdk_sys::GDK_KEY_itilde as u32;
    pub const lcedilla: Key = gdk_sys::GDK_KEY_lcedilla as u32;
    pub const emacron: Key = gdk_sys::GDK_KEY_emacron as u32;
    pub const gcedilla: Key = gdk_sys::GDK_KEY_gcedilla as u32;
    pub const tslash: Key = gdk_sys::GDK_KEY_tslash as u32;
    pub const ENG: Key = gdk_sys::GDK_KEY_ENG as u32;
    pub const eng: Key = gdk_sys::GDK_KEY_eng as u32;
    pub const Amacron: Key = gdk_sys::GDK_KEY_Amacron as u32;
    pub const Iogonek: Key = gdk_sys::GDK_KEY_Iogonek as u32;
    pub const Eabovedot: Key = gdk_sys::GDK_KEY_Eabovedot as u32;
    pub const Imacron: Key = gdk_sys::GDK_KEY_Imacron as u32;
    pub const Ncedilla: Key = gdk_sys::GDK_KEY_Ncedilla as u32;
    pub const Omacron: Key = gdk_sys::GDK_KEY_Omacron as u32;
    pub const Kcedilla: Key = gdk_sys::GDK_KEY_Kcedilla as u32;
    pub const Uogonek: Key = gdk_sys::GDK_KEY_Uogonek as u32;
    pub const Utilde: Key = gdk_sys::GDK_KEY_Utilde as u32;
    pub const Umacron: Key = gdk_sys::GDK_KEY_Umacron as u32;
    pub const amacron: Key = gdk_sys::GDK_KEY_amacron as u32;
    pub const iogonek: Key = gdk_sys::GDK_KEY_iogonek as u32;
    pub const eabovedot: Key = gdk_sys::GDK_KEY_eabovedot as u32;
    pub const imacron: Key = gdk_sys::GDK_KEY_imacron as u32;
    pub const ncedilla: Key = gdk_sys::GDK_KEY_ncedilla as u32;
    pub const omacron: Key = gdk_sys::GDK_KEY_omacron as u32;
    pub const kcedilla: Key = gdk_sys::GDK_KEY_kcedilla as u32;
    pub const uogonek: Key = gdk_sys::GDK_KEY_uogonek as u32;
    pub const utilde: Key = gdk_sys::GDK_KEY_utilde as u32;
    pub const umacron: Key = gdk_sys::GDK_KEY_umacron as u32;
    pub const Wcircumflex: Key = gdk_sys::GDK_KEY_Wcircumflex as u32;
    pub const wcircumflex: Key = gdk_sys::GDK_KEY_wcircumflex as u32;
    pub const Ycircumflex: Key = gdk_sys::GDK_KEY_Ycircumflex as u32;
    pub const ycircumflex: Key = gdk_sys::GDK_KEY_ycircumflex as u32;
    pub const Babovedot: Key = gdk_sys::GDK_KEY_Babovedot as u32;
    pub const babovedot: Key = gdk_sys::GDK_KEY_babovedot as u32;
    pub const Dabovedot: Key = gdk_sys::GDK_KEY_Dabovedot as u32;
    pub const dabovedot: Key = gdk_sys::GDK_KEY_dabovedot as u32;
    pub const Fabovedot: Key = gdk_sys::GDK_KEY_Fabovedot as u32;
    pub const fabovedot: Key = gdk_sys::GDK_KEY_fabovedot as u32;
    pub const Mabovedot: Key = gdk_sys::GDK_KEY_Mabovedot as u32;
    pub const mabovedot: Key = gdk_sys::GDK_KEY_mabovedot as u32;
    pub const Pabovedot: Key = gdk_sys::GDK_KEY_Pabovedot as u32;
    pub const pabovedot: Key = gdk_sys::GDK_KEY_pabovedot as u32;
    pub const Sabovedot: Key = gdk_sys::GDK_KEY_Sabovedot as u32;
    pub const sabovedot: Key = gdk_sys::GDK_KEY_sabovedot as u32;
    pub const Tabovedot: Key = gdk_sys::GDK_KEY_Tabovedot as u32;
    pub const tabovedot: Key = gdk_sys::GDK_KEY_tabovedot as u32;
    pub const Wgrave: Key = gdk_sys::GDK_KEY_Wgrave as u32;
    pub const wgrave: Key = gdk_sys::GDK_KEY_wgrave as u32;
    pub const Wacute: Key = gdk_sys::GDK_KEY_Wacute as u32;
    pub const wacute: Key = gdk_sys::GDK_KEY_wacute as u32;
    pub const Wdiaeresis: Key = gdk_sys::GDK_KEY_Wdiaeresis as u32;
    pub const wdiaeresis: Key = gdk_sys::GDK_KEY_wdiaeresis as u32;
    pub const Ygrave: Key = gdk_sys::GDK_KEY_Ygrave as u32;
    pub const ygrave: Key = gdk_sys::GDK_KEY_ygrave as u32;
    pub const OE: Key = gdk_sys::GDK_KEY_OE as u32;
    pub const oe: Key = gdk_sys::GDK_KEY_oe as u32;
    pub const Ydiaeresis: Key = gdk_sys::GDK_KEY_Ydiaeresis as u32;
    pub const overline: Key = gdk_sys::GDK_KEY_overline as u32;
    pub const kana_fullstop: Key = gdk_sys::GDK_KEY_kana_fullstop as u32;
    pub const kana_openingbracket: Key = gdk_sys::GDK_KEY_kana_openingbracket as u32;
    pub const kana_closingbracket: Key = gdk_sys::GDK_KEY_kana_closingbracket as u32;
    pub const kana_comma: Key = gdk_sys::GDK_KEY_kana_comma as u32;
    pub const kana_conjunctive: Key = gdk_sys::GDK_KEY_kana_conjunctive as u32;
    pub const kana_middledot: Key = gdk_sys::GDK_KEY_kana_middledot as u32;
    pub const kana_WO: Key = gdk_sys::GDK_KEY_kana_WO as u32;
    pub const kana_a: Key = gdk_sys::GDK_KEY_kana_a as u32;
    pub const kana_i: Key = gdk_sys::GDK_KEY_kana_i as u32;
    pub const kana_u: Key = gdk_sys::GDK_KEY_kana_u as u32;
    pub const kana_e: Key = gdk_sys::GDK_KEY_kana_e as u32;
    pub const kana_o: Key = gdk_sys::GDK_KEY_kana_o as u32;
    pub const kana_ya: Key = gdk_sys::GDK_KEY_kana_ya as u32;
    pub const kana_yu: Key = gdk_sys::GDK_KEY_kana_yu as u32;
    pub const kana_yo: Key = gdk_sys::GDK_KEY_kana_yo as u32;
    pub const kana_tsu: Key = gdk_sys::GDK_KEY_kana_tsu as u32;
    pub const kana_tu: Key = gdk_sys::GDK_KEY_kana_tu as u32;
    pub const prolongedsound: Key = gdk_sys::GDK_KEY_prolongedsound as u32;
    pub const kana_A: Key = gdk_sys::GDK_KEY_kana_A as u32;
    pub const kana_I: Key = gdk_sys::GDK_KEY_kana_I as u32;
    pub const kana_U: Key = gdk_sys::GDK_KEY_kana_U as u32;
    pub const kana_E: Key = gdk_sys::GDK_KEY_kana_E as u32;
    pub const kana_O: Key = gdk_sys::GDK_KEY_kana_O as u32;
    pub const kana_KA: Key = gdk_sys::GDK_KEY_kana_KA as u32;
    pub const kana_KI: Key = gdk_sys::GDK_KEY_kana_KI as u32;
    pub const kana_KU: Key = gdk_sys::GDK_KEY_kana_KU as u32;
    pub const kana_KE: Key = gdk_sys::GDK_KEY_kana_KE as u32;
    pub const kana_KO: Key = gdk_sys::GDK_KEY_kana_KO as u32;
    pub const kana_SA: Key = gdk_sys::GDK_KEY_kana_SA as u32;
    pub const kana_SHI: Key = gdk_sys::GDK_KEY_kana_SHI as u32;
    pub const kana_SU: Key = gdk_sys::GDK_KEY_kana_SU as u32;
    pub const kana_SE: Key = gdk_sys::GDK_KEY_kana_SE as u32;
    pub const kana_SO: Key = gdk_sys::GDK_KEY_kana_SO as u32;
    pub const kana_TA: Key = gdk_sys::GDK_KEY_kana_TA as u32;
    pub const kana_CHI: Key = gdk_sys::GDK_KEY_kana_CHI as u32;
    pub const kana_TI: Key = gdk_sys::GDK_KEY_kana_TI as u32;
    pub const kana_TSU: Key = gdk_sys::GDK_KEY_kana_TSU as u32;
    pub const kana_TU: Key = gdk_sys::GDK_KEY_kana_TU as u32;
    pub const kana_TE: Key = gdk_sys::GDK_KEY_kana_TE as u32;
    pub const kana_TO: Key = gdk_sys::GDK_KEY_kana_TO as u32;
    pub const kana_NA: Key = gdk_sys::GDK_KEY_kana_NA as u32;
    pub const kana_NI: Key = gdk_sys::GDK_KEY_kana_NI as u32;
    pub const kana_NU: Key = gdk_sys::GDK_KEY_kana_NU as u32;
    pub const kana_NE: Key = gdk_sys::GDK_KEY_kana_NE as u32;
    pub const kana_NO: Key = gdk_sys::GDK_KEY_kana_NO as u32;
    pub const kana_HA: Key = gdk_sys::GDK_KEY_kana_HA as u32;
    pub const kana_HI: Key = gdk_sys::GDK_KEY_kana_HI as u32;
    pub const kana_FU: Key = gdk_sys::GDK_KEY_kana_FU as u32;
    pub const kana_HU: Key = gdk_sys::GDK_KEY_kana_HU as u32;
    pub const kana_HE: Key = gdk_sys::GDK_KEY_kana_HE as u32;
    pub const kana_HO: Key = gdk_sys::GDK_KEY_kana_HO as u32;
    pub const kana_MA: Key = gdk_sys::GDK_KEY_kana_MA as u32;
    pub const kana_MI: Key = gdk_sys::GDK_KEY_kana_MI as u32;
    pub const kana_MU: Key = gdk_sys::GDK_KEY_kana_MU as u32;
    pub const kana_ME: Key = gdk_sys::GDK_KEY_kana_ME as u32;
    pub const kana_MO: Key = gdk_sys::GDK_KEY_kana_MO as u32;
    pub const kana_YA: Key = gdk_sys::GDK_KEY_kana_YA as u32;
    pub const kana_YU: Key = gdk_sys::GDK_KEY_kana_YU as u32;
    pub const kana_YO: Key = gdk_sys::GDK_KEY_kana_YO as u32;
    pub const kana_RA: Key = gdk_sys::GDK_KEY_kana_RA as u32;
    pub const kana_RI: Key = gdk_sys::GDK_KEY_kana_RI as u32;
    pub const kana_RU: Key = gdk_sys::GDK_KEY_kana_RU as u32;
    pub const kana_RE: Key = gdk_sys::GDK_KEY_kana_RE as u32;
    pub const kana_RO: Key = gdk_sys::GDK_KEY_kana_RO as u32;
    pub const kana_WA: Key = gdk_sys::GDK_KEY_kana_WA as u32;
    pub const kana_N: Key = gdk_sys::GDK_KEY_kana_N as u32;
    pub const voicedsound: Key = gdk_sys::GDK_KEY_voicedsound as u32;
    pub const semivoicedsound: Key = gdk_sys::GDK_KEY_semivoicedsound as u32;
    pub const kana_switch: Key = gdk_sys::GDK_KEY_kana_switch as u32;
    pub const Farsi_0: Key = gdk_sys::GDK_KEY_Farsi_0 as u32;
    pub const Farsi_1: Key = gdk_sys::GDK_KEY_Farsi_1 as u32;
    pub const Farsi_2: Key = gdk_sys::GDK_KEY_Farsi_2 as u32;
    pub const Farsi_3: Key = gdk_sys::GDK_KEY_Farsi_3 as u32;
    pub const Farsi_4: Key = gdk_sys::GDK_KEY_Farsi_4 as u32;
    pub const Farsi_5: Key = gdk_sys::GDK_KEY_Farsi_5 as u32;
    pub const Farsi_6: Key = gdk_sys::GDK_KEY_Farsi_6 as u32;
    pub const Farsi_7: Key = gdk_sys::GDK_KEY_Farsi_7 as u32;
    pub const Farsi_8: Key = gdk_sys::GDK_KEY_Farsi_8 as u32;
    pub const Farsi_9: Key = gdk_sys::GDK_KEY_Farsi_9 as u32;
    pub const Arabic_percent: Key = gdk_sys::GDK_KEY_Arabic_percent as u32;
    pub const Arabic_superscript_alef: Key = gdk_sys::GDK_KEY_Arabic_superscript_alef as u32;
    pub const Arabic_tteh: Key = gdk_sys::GDK_KEY_Arabic_tteh as u32;
    pub const Arabic_peh: Key = gdk_sys::GDK_KEY_Arabic_peh as u32;
    pub const Arabic_tcheh: Key = gdk_sys::GDK_KEY_Arabic_tcheh as u32;
    pub const Arabic_ddal: Key = gdk_sys::GDK_KEY_Arabic_ddal as u32;
    pub const Arabic_rreh: Key = gdk_sys::GDK_KEY_Arabic_rreh as u32;
    pub const Arabic_comma: Key = gdk_sys::GDK_KEY_Arabic_comma as u32;
    pub const Arabic_fullstop: Key = gdk_sys::GDK_KEY_Arabic_fullstop as u32;
    pub const Arabic_0: Key = gdk_sys::GDK_KEY_Arabic_0 as u32;
    pub const Arabic_1: Key = gdk_sys::GDK_KEY_Arabic_1 as u32;
    pub const Arabic_2: Key = gdk_sys::GDK_KEY_Arabic_2 as u32;
    pub const Arabic_3: Key = gdk_sys::GDK_KEY_Arabic_3 as u32;
    pub const Arabic_4: Key = gdk_sys::GDK_KEY_Arabic_4 as u32;
    pub const Arabic_5: Key = gdk_sys::GDK_KEY_Arabic_5 as u32;
    pub const Arabic_6: Key = gdk_sys::GDK_KEY_Arabic_6 as u32;
    pub const Arabic_7: Key = gdk_sys::GDK_KEY_Arabic_7 as u32;
    pub const Arabic_8: Key = gdk_sys::GDK_KEY_Arabic_8 as u32;
    pub const Arabic_9: Key = gdk_sys::GDK_KEY_Arabic_9 as u32;
    pub const Arabic_semicolon: Key = gdk_sys::GDK_KEY_Arabic_semicolon as u32;
    pub const Arabic_question_mark: Key = gdk_sys::GDK_KEY_Arabic_question_mark as u32;
    pub const Arabic_hamza: Key = gdk_sys::GDK_KEY_Arabic_hamza as u32;
    pub const Arabic_maddaonalef: Key = gdk_sys::GDK_KEY_Arabic_maddaonalef as u32;
    pub const Arabic_hamzaonalef: Key = gdk_sys::GDK_KEY_Arabic_hamzaonalef as u32;
    pub const Arabic_hamzaonwaw: Key = gdk_sys::GDK_KEY_Arabic_hamzaonwaw as u32;
    pub const Arabic_hamzaunderalef: Key = gdk_sys::GDK_KEY_Arabic_hamzaunderalef as u32;
    pub const Arabic_hamzaonyeh: Key = gdk_sys::GDK_KEY_Arabic_hamzaonyeh as u32;
    pub const Arabic_alef: Key = gdk_sys::GDK_KEY_Arabic_alef as u32;
    pub const Arabic_beh: Key = gdk_sys::GDK_KEY_Arabic_beh as u32;
    pub const Arabic_tehmarbuta: Key = gdk_sys::GDK_KEY_Arabic_tehmarbuta as u32;
    pub const Arabic_teh: Key = gdk_sys::GDK_KEY_Arabic_teh as u32;
    pub const Arabic_theh: Key = gdk_sys::GDK_KEY_Arabic_theh as u32;
    pub const Arabic_jeem: Key = gdk_sys::GDK_KEY_Arabic_jeem as u32;
    pub const Arabic_hah: Key = gdk_sys::GDK_KEY_Arabic_hah as u32;
    pub const Arabic_khah: Key = gdk_sys::GDK_KEY_Arabic_khah as u32;
    pub const Arabic_dal: Key = gdk_sys::GDK_KEY_Arabic_dal as u32;
    pub const Arabic_thal: Key = gdk_sys::GDK_KEY_Arabic_thal as u32;
    pub const Arabic_ra: Key = gdk_sys::GDK_KEY_Arabic_ra as u32;
    pub const Arabic_zain: Key = gdk_sys::GDK_KEY_Arabic_zain as u32;
    pub const Arabic_seen: Key = gdk_sys::GDK_KEY_Arabic_seen as u32;
    pub const Arabic_sheen: Key = gdk_sys::GDK_KEY_Arabic_sheen as u32;
    pub const Arabic_sad: Key = gdk_sys::GDK_KEY_Arabic_sad as u32;
    pub const Arabic_dad: Key = gdk_sys::GDK_KEY_Arabic_dad as u32;
    pub const Arabic_tah: Key = gdk_sys::GDK_KEY_Arabic_tah as u32;
    pub const Arabic_zah: Key = gdk_sys::GDK_KEY_Arabic_zah as u32;
    pub const Arabic_ain: Key = gdk_sys::GDK_KEY_Arabic_ain as u32;
    pub const Arabic_ghain: Key = gdk_sys::GDK_KEY_Arabic_ghain as u32;
    pub const Arabic_tatweel: Key = gdk_sys::GDK_KEY_Arabic_tatweel as u32;
    pub const Arabic_feh: Key = gdk_sys::GDK_KEY_Arabic_feh as u32;
    pub const Arabic_qaf: Key = gdk_sys::GDK_KEY_Arabic_qaf as u32;
    pub const Arabic_kaf: Key = gdk_sys::GDK_KEY_Arabic_kaf as u32;
    pub const Arabic_lam: Key = gdk_sys::GDK_KEY_Arabic_lam as u32;
    pub const Arabic_meem: Key = gdk_sys::GDK_KEY_Arabic_meem as u32;
    pub const Arabic_noon: Key = gdk_sys::GDK_KEY_Arabic_noon as u32;
    pub const Arabic_ha: Key = gdk_sys::GDK_KEY_Arabic_ha as u32;
    pub const Arabic_heh: Key = gdk_sys::GDK_KEY_Arabic_heh as u32;
    pub const Arabic_waw: Key = gdk_sys::GDK_KEY_Arabic_waw as u32;
    pub const Arabic_alefmaksura: Key = gdk_sys::GDK_KEY_Arabic_alefmaksura as u32;
    pub const Arabic_yeh: Key = gdk_sys::GDK_KEY_Arabic_yeh as u32;
    pub const Arabic_fathatan: Key = gdk_sys::GDK_KEY_Arabic_fathatan as u32;
    pub const Arabic_dammatan: Key = gdk_sys::GDK_KEY_Arabic_dammatan as u32;
    pub const Arabic_kasratan: Key = gdk_sys::GDK_KEY_Arabic_kasratan as u32;
    pub const Arabic_fatha: Key = gdk_sys::GDK_KEY_Arabic_fatha as u32;
    pub const Arabic_damma: Key = gdk_sys::GDK_KEY_Arabic_damma as u32;
    pub const Arabic_kasra: Key = gdk_sys::GDK_KEY_Arabic_kasra as u32;
    pub const Arabic_shadda: Key = gdk_sys::GDK_KEY_Arabic_shadda as u32;
    pub const Arabic_sukun: Key = gdk_sys::GDK_KEY_Arabic_sukun as u32;
    pub const Arabic_madda_above: Key = gdk_sys::GDK_KEY_Arabic_madda_above as u32;
    pub const Arabic_hamza_above: Key = gdk_sys::GDK_KEY_Arabic_hamza_above as u32;
    pub const Arabic_hamza_below: Key = gdk_sys::GDK_KEY_Arabic_hamza_below as u32;
    pub const Arabic_jeh: Key = gdk_sys::GDK_KEY_Arabic_jeh as u32;
    pub const Arabic_veh: Key = gdk_sys::GDK_KEY_Arabic_veh as u32;
    pub const Arabic_keheh: Key = gdk_sys::GDK_KEY_Arabic_keheh as u32;
    pub const Arabic_gaf: Key = gdk_sys::GDK_KEY_Arabic_gaf as u32;
    pub const Arabic_noon_ghunna: Key = gdk_sys::GDK_KEY_Arabic_noon_ghunna as u32;
    pub const Arabic_heh_doachashmee: Key = gdk_sys::GDK_KEY_Arabic_heh_doachashmee as u32;
    pub const Farsi_yeh: Key = gdk_sys::GDK_KEY_Farsi_yeh as u32;
    pub const Arabic_farsi_yeh: Key = gdk_sys::GDK_KEY_Arabic_farsi_yeh as u32;
    pub const Arabic_yeh_baree: Key = gdk_sys::GDK_KEY_Arabic_yeh_baree as u32;
    pub const Arabic_heh_goal: Key = gdk_sys::GDK_KEY_Arabic_heh_goal as u32;
    pub const Arabic_switch: Key = gdk_sys::GDK_KEY_Arabic_switch as u32;
    pub const Cyrillic_GHE_bar: Key = gdk_sys::GDK_KEY_Cyrillic_GHE_bar as u32;
    pub const Cyrillic_ghe_bar: Key = gdk_sys::GDK_KEY_Cyrillic_ghe_bar as u32;
    pub const Cyrillic_ZHE_descender: Key = gdk_sys::GDK_KEY_Cyrillic_ZHE_descender as u32;
    pub const Cyrillic_zhe_descender: Key = gdk_sys::GDK_KEY_Cyrillic_zhe_descender as u32;
    pub const Cyrillic_KA_descender: Key = gdk_sys::GDK_KEY_Cyrillic_KA_descender as u32;
    pub const Cyrillic_ka_descender: Key = gdk_sys::GDK_KEY_Cyrillic_ka_descender as u32;
    pub const Cyrillic_KA_vertstroke: Key = gdk_sys::GDK_KEY_Cyrillic_KA_vertstroke as u32;
    pub const Cyrillic_ka_vertstroke: Key = gdk_sys::GDK_KEY_Cyrillic_ka_vertstroke as u32;
    pub const Cyrillic_EN_descender: Key = gdk_sys::GDK_KEY_Cyrillic_EN_descender as u32;
    pub const Cyrillic_en_descender: Key = gdk_sys::GDK_KEY_Cyrillic_en_descender as u32;
    pub const Cyrillic_U_straight: Key = gdk_sys::GDK_KEY_Cyrillic_U_straight as u32;
    pub const Cyrillic_u_straight: Key = gdk_sys::GDK_KEY_Cyrillic_u_straight as u32;
    pub const Cyrillic_U_straight_bar: Key = gdk_sys::GDK_KEY_Cyrillic_U_straight_bar as u32;
    pub const Cyrillic_u_straight_bar: Key = gdk_sys::GDK_KEY_Cyrillic_u_straight_bar as u32;
    pub const Cyrillic_HA_descender: Key = gdk_sys::GDK_KEY_Cyrillic_HA_descender as u32;
    pub const Cyrillic_ha_descender: Key = gdk_sys::GDK_KEY_Cyrillic_ha_descender as u32;
    pub const Cyrillic_CHE_descender: Key = gdk_sys::GDK_KEY_Cyrillic_CHE_descender as u32;
    pub const Cyrillic_che_descender: Key = gdk_sys::GDK_KEY_Cyrillic_che_descender as u32;
    pub const Cyrillic_CHE_vertstroke: Key = gdk_sys::GDK_KEY_Cyrillic_CHE_vertstroke as u32;
    pub const Cyrillic_che_vertstroke: Key = gdk_sys::GDK_KEY_Cyrillic_che_vertstroke as u32;
    pub const Cyrillic_SHHA: Key = gdk_sys::GDK_KEY_Cyrillic_SHHA as u32;
    pub const Cyrillic_shha: Key = gdk_sys::GDK_KEY_Cyrillic_shha as u32;
    pub const Cyrillic_SCHWA: Key = gdk_sys::GDK_KEY_Cyrillic_SCHWA as u32;
    pub const Cyrillic_schwa: Key = gdk_sys::GDK_KEY_Cyrillic_schwa as u32;
    pub const Cyrillic_I_macron: Key = gdk_sys::GDK_KEY_Cyrillic_I_macron as u32;
    pub const Cyrillic_i_macron: Key = gdk_sys::GDK_KEY_Cyrillic_i_macron as u32;
    pub const Cyrillic_O_bar: Key = gdk_sys::GDK_KEY_Cyrillic_O_bar as u32;
    pub const Cyrillic_o_bar: Key = gdk_sys::GDK_KEY_Cyrillic_o_bar as u32;
    pub const Cyrillic_U_macron: Key = gdk_sys::GDK_KEY_Cyrillic_U_macron as u32;
    pub const Cyrillic_u_macron: Key = gdk_sys::GDK_KEY_Cyrillic_u_macron as u32;
    pub const Serbian_dje: Key = gdk_sys::GDK_KEY_Serbian_dje as u32;
    pub const Macedonia_gje: Key = gdk_sys::GDK_KEY_Macedonia_gje as u32;
    pub const Cyrillic_io: Key = gdk_sys::GDK_KEY_Cyrillic_io as u32;
    pub const Ukrainian_ie: Key = gdk_sys::GDK_KEY_Ukrainian_ie as u32;
    pub const Ukranian_je: Key = gdk_sys::GDK_KEY_Ukranian_je as u32;
    pub const Macedonia_dse: Key = gdk_sys::GDK_KEY_Macedonia_dse as u32;
    pub const Ukrainian_i: Key = gdk_sys::GDK_KEY_Ukrainian_i as u32;
    pub const Ukranian_i: Key = gdk_sys::GDK_KEY_Ukranian_i as u32;
    pub const Ukrainian_yi: Key = gdk_sys::GDK_KEY_Ukrainian_yi as u32;
    pub const Ukranian_yi: Key = gdk_sys::GDK_KEY_Ukranian_yi as u32;
    pub const Cyrillic_je: Key = gdk_sys::GDK_KEY_Cyrillic_je as u32;
    pub const Serbian_je: Key = gdk_sys::GDK_KEY_Serbian_je as u32;
    pub const Cyrillic_lje: Key = gdk_sys::GDK_KEY_Cyrillic_lje as u32;
    pub const Serbian_lje: Key = gdk_sys::GDK_KEY_Serbian_lje as u32;
    pub const Cyrillic_nje: Key = gdk_sys::GDK_KEY_Cyrillic_nje as u32;
    pub const Serbian_nje: Key = gdk_sys::GDK_KEY_Serbian_nje as u32;
    pub const Serbian_tshe: Key = gdk_sys::GDK_KEY_Serbian_tshe as u32;
    pub const Macedonia_kje: Key = gdk_sys::GDK_KEY_Macedonia_kje as u32;
    pub const Ukrainian_ghe_with_upturn: Key = gdk_sys::GDK_KEY_Ukrainian_ghe_with_upturn as u32;
    pub const Byelorussian_shortu: Key = gdk_sys::GDK_KEY_Byelorussian_shortu as u32;
    pub const Cyrillic_dzhe: Key = gdk_sys::GDK_KEY_Cyrillic_dzhe as u32;
    pub const Serbian_dze: Key = gdk_sys::GDK_KEY_Serbian_dze as u32;
    pub const numerosign: Key = gdk_sys::GDK_KEY_numerosign as u32;
    pub const Serbian_DJE: Key = gdk_sys::GDK_KEY_Serbian_DJE as u32;
    pub const Macedonia_GJE: Key = gdk_sys::GDK_KEY_Macedonia_GJE as u32;
    pub const Cyrillic_IO: Key = gdk_sys::GDK_KEY_Cyrillic_IO as u32;
    pub const Ukrainian_IE: Key = gdk_sys::GDK_KEY_Ukrainian_IE as u32;
    pub const Ukranian_JE: Key = gdk_sys::GDK_KEY_Ukranian_JE as u32;
    pub const Macedonia_DSE: Key = gdk_sys::GDK_KEY_Macedonia_DSE as u32;
    pub const Ukrainian_I: Key = gdk_sys::GDK_KEY_Ukrainian_I as u32;
    pub const Ukranian_I: Key = gdk_sys::GDK_KEY_Ukranian_I as u32;
    pub const Ukrainian_YI: Key = gdk_sys::GDK_KEY_Ukrainian_YI as u32;
    pub const Ukranian_YI: Key = gdk_sys::GDK_KEY_Ukranian_YI as u32;
    pub const Cyrillic_JE: Key = gdk_sys::GDK_KEY_Cyrillic_JE as u32;
    pub const Serbian_JE: Key = gdk_sys::GDK_KEY_Serbian_JE as u32;
    pub const Cyrillic_LJE: Key = gdk_sys::GDK_KEY_Cyrillic_LJE as u32;
    pub const Serbian_LJE: Key = gdk_sys::GDK_KEY_Serbian_LJE as u32;
    pub const Cyrillic_NJE: Key = gdk_sys::GDK_KEY_Cyrillic_NJE as u32;
    pub const Serbian_NJE: Key = gdk_sys::GDK_KEY_Serbian_NJE as u32;
    pub const Serbian_TSHE: Key = gdk_sys::GDK_KEY_Serbian_TSHE as u32;
    pub const Macedonia_KJE: Key = gdk_sys::GDK_KEY_Macedonia_KJE as u32;
    pub const Ukrainian_GHE_WITH_UPTURN: Key = gdk_sys::GDK_KEY_Ukrainian_GHE_WITH_UPTURN as u32;
    pub const Byelorussian_SHORTU: Key = gdk_sys::GDK_KEY_Byelorussian_SHORTU as u32;
    pub const Cyrillic_DZHE: Key = gdk_sys::GDK_KEY_Cyrillic_DZHE as u32;
    pub const Serbian_DZE: Key = gdk_sys::GDK_KEY_Serbian_DZE as u32;
    pub const Cyrillic_yu: Key = gdk_sys::GDK_KEY_Cyrillic_yu as u32;
    pub const Cyrillic_a: Key = gdk_sys::GDK_KEY_Cyrillic_a as u32;
    pub const Cyrillic_be: Key = gdk_sys::GDK_KEY_Cyrillic_be as u32;
    pub const Cyrillic_tse: Key = gdk_sys::GDK_KEY_Cyrillic_tse as u32;
    pub const Cyrillic_de: Key = gdk_sys::GDK_KEY_Cyrillic_de as u32;
    pub const Cyrillic_ie: Key = gdk_sys::GDK_KEY_Cyrillic_ie as u32;
    pub const Cyrillic_ef: Key = gdk_sys::GDK_KEY_Cyrillic_ef as u32;
    pub const Cyrillic_ghe: Key = gdk_sys::GDK_KEY_Cyrillic_ghe as u32;
    pub const Cyrillic_ha: Key = gdk_sys::GDK_KEY_Cyrillic_ha as u32;
    pub const Cyrillic_i: Key = gdk_sys::GDK_KEY_Cyrillic_i as u32;
    pub const Cyrillic_shorti: Key = gdk_sys::GDK_KEY_Cyrillic_shorti as u32;
    pub const Cyrillic_ka: Key = gdk_sys::GDK_KEY_Cyrillic_ka as u32;
    pub const Cyrillic_el: Key = gdk_sys::GDK_KEY_Cyrillic_el as u32;
    pub const Cyrillic_em: Key = gdk_sys::GDK_KEY_Cyrillic_em as u32;
    pub const Cyrillic_en: Key = gdk_sys::GDK_KEY_Cyrillic_en as u32;
    pub const Cyrillic_o: Key = gdk_sys::GDK_KEY_Cyrillic_o as u32;
    pub const Cyrillic_pe: Key = gdk_sys::GDK_KEY_Cyrillic_pe as u32;
    pub const Cyrillic_ya: Key = gdk_sys::GDK_KEY_Cyrillic_ya as u32;
    pub const Cyrillic_er: Key = gdk_sys::GDK_KEY_Cyrillic_er as u32;
    pub const Cyrillic_es: Key = gdk_sys::GDK_KEY_Cyrillic_es as u32;
    pub const Cyrillic_te: Key = gdk_sys::GDK_KEY_Cyrillic_te as u32;
    pub const Cyrillic_u: Key = gdk_sys::GDK_KEY_Cyrillic_u as u32;
    pub const Cyrillic_zhe: Key = gdk_sys::GDK_KEY_Cyrillic_zhe as u32;
    pub const Cyrillic_ve: Key = gdk_sys::GDK_KEY_Cyrillic_ve as u32;
    pub const Cyrillic_softsign: Key = gdk_sys::GDK_KEY_Cyrillic_softsign as u32;
    pub const Cyrillic_yeru: Key = gdk_sys::GDK_KEY_Cyrillic_yeru as u32;
    pub const Cyrillic_ze: Key = gdk_sys::GDK_KEY_Cyrillic_ze as u32;
    pub const Cyrillic_sha: Key = gdk_sys::GDK_KEY_Cyrillic_sha as u32;
    pub const Cyrillic_e: Key = gdk_sys::GDK_KEY_Cyrillic_e as u32;
    pub const Cyrillic_shcha: Key = gdk_sys::GDK_KEY_Cyrillic_shcha as u32;
    pub const Cyrillic_che: Key = gdk_sys::GDK_KEY_Cyrillic_che as u32;
    pub const Cyrillic_hardsign: Key = gdk_sys::GDK_KEY_Cyrillic_hardsign as u32;
    pub const Cyrillic_YU: Key = gdk_sys::GDK_KEY_Cyrillic_YU as u32;
    pub const Cyrillic_A: Key = gdk_sys::GDK_KEY_Cyrillic_A as u32;
    pub const Cyrillic_BE: Key = gdk_sys::GDK_KEY_Cyrillic_BE as u32;
    pub const Cyrillic_TSE: Key = gdk_sys::GDK_KEY_Cyrillic_TSE as u32;
    pub const Cyrillic_DE: Key = gdk_sys::GDK_KEY_Cyrillic_DE as u32;
    pub const Cyrillic_IE: Key = gdk_sys::GDK_KEY_Cyrillic_IE as u32;
    pub const Cyrillic_EF: Key = gdk_sys::GDK_KEY_Cyrillic_EF as u32;
    pub const Cyrillic_GHE: Key = gdk_sys::GDK_KEY_Cyrillic_GHE as u32;
    pub const Cyrillic_HA: Key = gdk_sys::GDK_KEY_Cyrillic_HA as u32;
    pub const Cyrillic_I: Key = gdk_sys::GDK_KEY_Cyrillic_I as u32;
    pub const Cyrillic_SHORTI: Key = gdk_sys::GDK_KEY_Cyrillic_SHORTI as u32;
    pub const Cyrillic_KA: Key = gdk_sys::GDK_KEY_Cyrillic_KA as u32;
    pub const Cyrillic_EL: Key = gdk_sys::GDK_KEY_Cyrillic_EL as u32;
    pub const Cyrillic_EM: Key = gdk_sys::GDK_KEY_Cyrillic_EM as u32;
    pub const Cyrillic_EN: Key = gdk_sys::GDK_KEY_Cyrillic_EN as u32;
    pub const Cyrillic_O: Key = gdk_sys::GDK_KEY_Cyrillic_O as u32;
    pub const Cyrillic_PE: Key = gdk_sys::GDK_KEY_Cyrillic_PE as u32;
    pub const Cyrillic_YA: Key = gdk_sys::GDK_KEY_Cyrillic_YA as u32;
    pub const Cyrillic_ER: Key = gdk_sys::GDK_KEY_Cyrillic_ER as u32;
    pub const Cyrillic_ES: Key = gdk_sys::GDK_KEY_Cyrillic_ES as u32;
    pub const Cyrillic_TE: Key = gdk_sys::GDK_KEY_Cyrillic_TE as u32;
    pub const Cyrillic_U: Key = gdk_sys::GDK_KEY_Cyrillic_U as u32;
    pub const Cyrillic_ZHE: Key = gdk_sys::GDK_KEY_Cyrillic_ZHE as u32;
    pub const Cyrillic_VE: Key = gdk_sys::GDK_KEY_Cyrillic_VE as u32;
    pub const Cyrillic_SOFTSIGN: Key = gdk_sys::GDK_KEY_Cyrillic_SOFTSIGN as u32;
    pub const Cyrillic_YERU: Key = gdk_sys::GDK_KEY_Cyrillic_YERU as u32;
    pub const Cyrillic_ZE: Key = gdk_sys::GDK_KEY_Cyrillic_ZE as u32;
    pub const Cyrillic_SHA: Key = gdk_sys::GDK_KEY_Cyrillic_SHA as u32;
    pub const Cyrillic_E: Key = gdk_sys::GDK_KEY_Cyrillic_E as u32;
    pub const Cyrillic_SHCHA: Key = gdk_sys::GDK_KEY_Cyrillic_SHCHA as u32;
    pub const Cyrillic_CHE: Key = gdk_sys::GDK_KEY_Cyrillic_CHE as u32;
    pub const Cyrillic_HARDSIGN: Key = gdk_sys::GDK_KEY_Cyrillic_HARDSIGN as u32;
    pub const Greek_ALPHAaccent: Key = gdk_sys::GDK_KEY_Greek_ALPHAaccent as u32;
    pub const Greek_EPSILONaccent: Key = gdk_sys::GDK_KEY_Greek_EPSILONaccent as u32;
    pub const Greek_ETAaccent: Key = gdk_sys::GDK_KEY_Greek_ETAaccent as u32;
    pub const Greek_IOTAaccent: Key = gdk_sys::GDK_KEY_Greek_IOTAaccent as u32;
    pub const Greek_IOTAdieresis: Key = gdk_sys::GDK_KEY_Greek_IOTAdieresis as u32;
    pub const Greek_IOTAdiaeresis: Key = gdk_sys::GDK_KEY_Greek_IOTAdiaeresis as u32;
    pub const Greek_OMICRONaccent: Key = gdk_sys::GDK_KEY_Greek_OMICRONaccent as u32;
    pub const Greek_UPSILONaccent: Key = gdk_sys::GDK_KEY_Greek_UPSILONaccent as u32;
    pub const Greek_UPSILONdieresis: Key = gdk_sys::GDK_KEY_Greek_UPSILONdieresis as u32;
    pub const Greek_OMEGAaccent: Key = gdk_sys::GDK_KEY_Greek_OMEGAaccent as u32;
    pub const Greek_accentdieresis: Key = gdk_sys::GDK_KEY_Greek_accentdieresis as u32;
    pub const Greek_horizbar: Key = gdk_sys::GDK_KEY_Greek_horizbar as u32;
    pub const Greek_alphaaccent: Key = gdk_sys::GDK_KEY_Greek_alphaaccent as u32;
    pub const Greek_epsilonaccent: Key = gdk_sys::GDK_KEY_Greek_epsilonaccent as u32;
    pub const Greek_etaaccent: Key = gdk_sys::GDK_KEY_Greek_etaaccent as u32;
    pub const Greek_iotaaccent: Key = gdk_sys::GDK_KEY_Greek_iotaaccent as u32;
    pub const Greek_iotadieresis: Key = gdk_sys::GDK_KEY_Greek_iotadieresis as u32;
    pub const Greek_iotaaccentdieresis: Key = gdk_sys::GDK_KEY_Greek_iotaaccentdieresis as u32;
    pub const Greek_omicronaccent: Key = gdk_sys::GDK_KEY_Greek_omicronaccent as u32;
    pub const Greek_upsilonaccent: Key = gdk_sys::GDK_KEY_Greek_upsilonaccent as u32;
    pub const Greek_upsilondieresis: Key = gdk_sys::GDK_KEY_Greek_upsilondieresis as u32;
    pub const Greek_upsilonaccentdieresis: Key =
        gdk_sys::GDK_KEY_Greek_upsilonaccentdieresis as u32;
    pub const Greek_omegaaccent: Key = gdk_sys::GDK_KEY_Greek_omegaaccent as u32;
    pub const Greek_ALPHA: Key = gdk_sys::GDK_KEY_Greek_ALPHA as u32;
    pub const Greek_BETA: Key = gdk_sys::GDK_KEY_Greek_BETA as u32;
    pub const Greek_GAMMA: Key = gdk_sys::GDK_KEY_Greek_GAMMA as u32;
    pub const Greek_DELTA: Key = gdk_sys::GDK_KEY_Greek_DELTA as u32;
    pub const Greek_EPSILON: Key = gdk_sys::GDK_KEY_Greek_EPSILON as u32;
    pub const Greek_ZETA: Key = gdk_sys::GDK_KEY_Greek_ZETA as u32;
    pub const Greek_ETA: Key = gdk_sys::GDK_KEY_Greek_ETA as u32;
    pub const Greek_THETA: Key = gdk_sys::GDK_KEY_Greek_THETA as u32;
    pub const Greek_IOTA: Key = gdk_sys::GDK_KEY_Greek_IOTA as u32;
    pub const Greek_KAPPA: Key = gdk_sys::GDK_KEY_Greek_KAPPA as u32;
    pub const Greek_LAMDA: Key = gdk_sys::GDK_KEY_Greek_LAMDA as u32;
    pub const Greek_LAMBDA: Key = gdk_sys::GDK_KEY_Greek_LAMBDA as u32;
    pub const Greek_MU: Key = gdk_sys::GDK_KEY_Greek_MU as u32;
    pub const Greek_NU: Key = gdk_sys::GDK_KEY_Greek_NU as u32;
    pub const Greek_XI: Key = gdk_sys::GDK_KEY_Greek_XI as u32;
    pub const Greek_OMICRON: Key = gdk_sys::GDK_KEY_Greek_OMICRON as u32;
    pub const Greek_PI: Key = gdk_sys::GDK_KEY_Greek_PI as u32;
    pub const Greek_RHO: Key = gdk_sys::GDK_KEY_Greek_RHO as u32;
    pub const Greek_SIGMA: Key = gdk_sys::GDK_KEY_Greek_SIGMA as u32;
    pub const Greek_TAU: Key = gdk_sys::GDK_KEY_Greek_TAU as u32;
    pub const Greek_UPSILON: Key = gdk_sys::GDK_KEY_Greek_UPSILON as u32;
    pub const Greek_PHI: Key = gdk_sys::GDK_KEY_Greek_PHI as u32;
    pub const Greek_CHI: Key = gdk_sys::GDK_KEY_Greek_CHI as u32;
    pub const Greek_PSI: Key = gdk_sys::GDK_KEY_Greek_PSI as u32;
    pub const Greek_OMEGA: Key = gdk_sys::GDK_KEY_Greek_OMEGA as u32;
    pub const Greek_alpha: Key = gdk_sys::GDK_KEY_Greek_alpha as u32;
    pub const Greek_beta: Key = gdk_sys::GDK_KEY_Greek_beta as u32;
    pub const Greek_gamma: Key = gdk_sys::GDK_KEY_Greek_gamma as u32;
    pub const Greek_delta: Key = gdk_sys::GDK_KEY_Greek_delta as u32;
    pub const Greek_epsilon: Key = gdk_sys::GDK_KEY_Greek_epsilon as u32;
    pub const Greek_zeta: Key = gdk_sys::GDK_KEY_Greek_zeta as u32;
    pub const Greek_eta: Key = gdk_sys::GDK_KEY_Greek_eta as u32;
    pub const Greek_theta: Key = gdk_sys::GDK_KEY_Greek_theta as u32;
    pub const Greek_iota: Key = gdk_sys::GDK_KEY_Greek_iota as u32;
    pub const Greek_kappa: Key = gdk_sys::GDK_KEY_Greek_kappa as u32;
    pub const Greek_lamda: Key = gdk_sys::GDK_KEY_Greek_lamda as u32;
    pub const Greek_lambda: Key = gdk_sys::GDK_KEY_Greek_lambda as u32;
    pub const Greek_mu: Key = gdk_sys::GDK_KEY_Greek_mu as u32;
    pub const Greek_nu: Key = gdk_sys::GDK_KEY_Greek_nu as u32;
    pub const Greek_xi: Key = gdk_sys::GDK_KEY_Greek_xi as u32;
    pub const Greek_omicron: Key = gdk_sys::GDK_KEY_Greek_omicron as u32;
    pub const Greek_pi: Key = gdk_sys::GDK_KEY_Greek_pi as u32;
    pub const Greek_rho: Key = gdk_sys::GDK_KEY_Greek_rho as u32;
    pub const Greek_sigma: Key = gdk_sys::GDK_KEY_Greek_sigma as u32;
    pub const Greek_finalsmallsigma: Key = gdk_sys::GDK_KEY_Greek_finalsmallsigma as u32;
    pub const Greek_tau: Key = gdk_sys::GDK_KEY_Greek_tau as u32;
    pub const Greek_upsilon: Key = gdk_sys::GDK_KEY_Greek_upsilon as u32;
    pub const Greek_phi: Key = gdk_sys::GDK_KEY_Greek_phi as u32;
    pub const Greek_chi: Key = gdk_sys::GDK_KEY_Greek_chi as u32;
    pub const Greek_psi: Key = gdk_sys::GDK_KEY_Greek_psi as u32;
    pub const Greek_omega: Key = gdk_sys::GDK_KEY_Greek_omega as u32;
    pub const Greek_switch: Key = gdk_sys::GDK_KEY_Greek_switch as u32;
    pub const leftradical: Key = gdk_sys::GDK_KEY_leftradical as u32;
    pub const topleftradical: Key = gdk_sys::GDK_KEY_topleftradical as u32;
    pub const horizconnector: Key = gdk_sys::GDK_KEY_horizconnector as u32;
    pub const topintegral: Key = gdk_sys::GDK_KEY_topintegral as u32;
    pub const botintegral: Key = gdk_sys::GDK_KEY_botintegral as u32;
    pub const vertconnector: Key = gdk_sys::GDK_KEY_vertconnector as u32;
    pub const topleftsqbracket: Key = gdk_sys::GDK_KEY_topleftsqbracket as u32;
    pub const botleftsqbracket: Key = gdk_sys::GDK_KEY_botleftsqbracket as u32;
    pub const toprightsqbracket: Key = gdk_sys::GDK_KEY_toprightsqbracket as u32;
    pub const botrightsqbracket: Key = gdk_sys::GDK_KEY_botrightsqbracket as u32;
    pub const topleftparens: Key = gdk_sys::GDK_KEY_topleftparens as u32;
    pub const botleftparens: Key = gdk_sys::GDK_KEY_botleftparens as u32;
    pub const toprightparens: Key = gdk_sys::GDK_KEY_toprightparens as u32;
    pub const botrightparens: Key = gdk_sys::GDK_KEY_botrightparens as u32;
    pub const leftmiddlecurlybrace: Key = gdk_sys::GDK_KEY_leftmiddlecurlybrace as u32;
    pub const rightmiddlecurlybrace: Key = gdk_sys::GDK_KEY_rightmiddlecurlybrace as u32;
    pub const topleftsummation: Key = gdk_sys::GDK_KEY_topleftsummation as u32;
    pub const botleftsummation: Key = gdk_sys::GDK_KEY_botleftsummation as u32;
    pub const topvertsummationconnector: Key = gdk_sys::GDK_KEY_topvertsummationconnector as u32;
    pub const botvertsummationconnector: Key = gdk_sys::GDK_KEY_botvertsummationconnector as u32;
    pub const toprightsummation: Key = gdk_sys::GDK_KEY_toprightsummation as u32;
    pub const botrightsummation: Key = gdk_sys::GDK_KEY_botrightsummation as u32;
    pub const rightmiddlesummation: Key = gdk_sys::GDK_KEY_rightmiddlesummation as u32;
    pub const lessthanequal: Key = gdk_sys::GDK_KEY_lessthanequal as u32;
    pub const notequal: Key = gdk_sys::GDK_KEY_notequal as u32;
    pub const greaterthanequal: Key = gdk_sys::GDK_KEY_greaterthanequal as u32;
    pub const integral: Key = gdk_sys::GDK_KEY_integral as u32;
    pub const therefore: Key = gdk_sys::GDK_KEY_therefore as u32;
    pub const variation: Key = gdk_sys::GDK_KEY_variation as u32;
    pub const infinity: Key = gdk_sys::GDK_KEY_infinity as u32;
    pub const nabla: Key = gdk_sys::GDK_KEY_nabla as u32;
    pub const approximate: Key = gdk_sys::GDK_KEY_approximate as u32;
    pub const similarequal: Key = gdk_sys::GDK_KEY_similarequal as u32;
    pub const ifonlyif: Key = gdk_sys::GDK_KEY_ifonlyif as u32;
    pub const implies: Key = gdk_sys::GDK_KEY_implies as u32;
    pub const identical: Key = gdk_sys::GDK_KEY_identical as u32;
    pub const radical: Key = gdk_sys::GDK_KEY_radical as u32;
    pub const includedin: Key = gdk_sys::GDK_KEY_includedin as u32;
    pub const includes: Key = gdk_sys::GDK_KEY_includes as u32;
    pub const intersection: Key = gdk_sys::GDK_KEY_intersection as u32;
    pub const union: Key = gdk_sys::GDK_KEY_union as u32;
    pub const logicaland: Key = gdk_sys::GDK_KEY_logicaland as u32;
    pub const logicalor: Key = gdk_sys::GDK_KEY_logicalor as u32;
    pub const partialderivative: Key = gdk_sys::GDK_KEY_partialderivative as u32;
    pub const function: Key = gdk_sys::GDK_KEY_function as u32;
    pub const leftarrow: Key = gdk_sys::GDK_KEY_leftarrow as u32;
    pub const uparrow: Key = gdk_sys::GDK_KEY_uparrow as u32;
    pub const rightarrow: Key = gdk_sys::GDK_KEY_rightarrow as u32;
    pub const downarrow: Key = gdk_sys::GDK_KEY_downarrow as u32;
    pub const blank: Key = gdk_sys::GDK_KEY_blank as u32;
    pub const soliddiamond: Key = gdk_sys::GDK_KEY_soliddiamond as u32;
    pub const checkerboard: Key = gdk_sys::GDK_KEY_checkerboard as u32;
    pub const ht: Key = gdk_sys::GDK_KEY_ht as u32;
    pub const ff: Key = gdk_sys::GDK_KEY_ff as u32;
    pub const cr: Key = gdk_sys::GDK_KEY_cr as u32;
    pub const lf: Key = gdk_sys::GDK_KEY_lf as u32;
    pub const nl: Key = gdk_sys::GDK_KEY_nl as u32;
    pub const vt: Key = gdk_sys::GDK_KEY_vt as u32;
    pub const lowrightcorner: Key = gdk_sys::GDK_KEY_lowrightcorner as u32;
    pub const uprightcorner: Key = gdk_sys::GDK_KEY_uprightcorner as u32;
    pub const upleftcorner: Key = gdk_sys::GDK_KEY_upleftcorner as u32;
    pub const lowleftcorner: Key = gdk_sys::GDK_KEY_lowleftcorner as u32;
    pub const crossinglines: Key = gdk_sys::GDK_KEY_crossinglines as u32;
    pub const horizlinescan1: Key = gdk_sys::GDK_KEY_horizlinescan1 as u32;
    pub const horizlinescan3: Key = gdk_sys::GDK_KEY_horizlinescan3 as u32;
    pub const horizlinescan5: Key = gdk_sys::GDK_KEY_horizlinescan5 as u32;
    pub const horizlinescan7: Key = gdk_sys::GDK_KEY_horizlinescan7 as u32;
    pub const horizlinescan9: Key = gdk_sys::GDK_KEY_horizlinescan9 as u32;
    pub const leftt: Key = gdk_sys::GDK_KEY_leftt as u32;
    pub const rightt: Key = gdk_sys::GDK_KEY_rightt as u32;
    pub const bott: Key = gdk_sys::GDK_KEY_bott as u32;
    pub const topt: Key = gdk_sys::GDK_KEY_topt as u32;
    pub const vertbar: Key = gdk_sys::GDK_KEY_vertbar as u32;
    pub const emspace: Key = gdk_sys::GDK_KEY_emspace as u32;
    pub const enspace: Key = gdk_sys::GDK_KEY_enspace as u32;
    pub const em3space: Key = gdk_sys::GDK_KEY_em3space as u32;
    pub const em4space: Key = gdk_sys::GDK_KEY_em4space as u32;
    pub const digitspace: Key = gdk_sys::GDK_KEY_digitspace as u32;
    pub const punctspace: Key = gdk_sys::GDK_KEY_punctspace as u32;
    pub const thinspace: Key = gdk_sys::GDK_KEY_thinspace as u32;
    pub const hairspace: Key = gdk_sys::GDK_KEY_hairspace as u32;
    pub const emdash: Key = gdk_sys::GDK_KEY_emdash as u32;
    pub const endash: Key = gdk_sys::GDK_KEY_endash as u32;
    pub const signifblank: Key = gdk_sys::GDK_KEY_signifblank as u32;
    pub const ellipsis: Key = gdk_sys::GDK_KEY_ellipsis as u32;
    pub const doubbaselinedot: Key = gdk_sys::GDK_KEY_doubbaselinedot as u32;
    pub const onethird: Key = gdk_sys::GDK_KEY_onethird as u32;
    pub const twothirds: Key = gdk_sys::GDK_KEY_twothirds as u32;
    pub const onefifth: Key = gdk_sys::GDK_KEY_onefifth as u32;
    pub const twofifths: Key = gdk_sys::GDK_KEY_twofifths as u32;
    pub const threefifths: Key = gdk_sys::GDK_KEY_threefifths as u32;
    pub const fourfifths: Key = gdk_sys::GDK_KEY_fourfifths as u32;
    pub const onesixth: Key = gdk_sys::GDK_KEY_onesixth as u32;
    pub const fivesixths: Key = gdk_sys::GDK_KEY_fivesixths as u32;
    pub const careof: Key = gdk_sys::GDK_KEY_careof as u32;
    pub const figdash: Key = gdk_sys::GDK_KEY_figdash as u32;
    pub const leftanglebracket: Key = gdk_sys::GDK_KEY_leftanglebracket as u32;
    pub const decimalpoint: Key = gdk_sys::GDK_KEY_decimalpoint as u32;
    pub const rightanglebracket: Key = gdk_sys::GDK_KEY_rightanglebracket as u32;
    pub const marker: Key = gdk_sys::GDK_KEY_marker as u32;
    pub const oneeighth: Key = gdk_sys::GDK_KEY_oneeighth as u32;
    pub const threeeighths: Key = gdk_sys::GDK_KEY_threeeighths as u32;
    pub const fiveeighths: Key = gdk_sys::GDK_KEY_fiveeighths as u32;
    pub const seveneighths: Key = gdk_sys::GDK_KEY_seveneighths as u32;
    pub const trademark: Key = gdk_sys::GDK_KEY_trademark as u32;
    pub const signaturemark: Key = gdk_sys::GDK_KEY_signaturemark as u32;
    pub const trademarkincircle: Key = gdk_sys::GDK_KEY_trademarkincircle as u32;
    pub const leftopentriangle: Key = gdk_sys::GDK_KEY_leftopentriangle as u32;
    pub const rightopentriangle: Key = gdk_sys::GDK_KEY_rightopentriangle as u32;
    pub const emopencircle: Key = gdk_sys::GDK_KEY_emopencircle as u32;
    pub const emopenrectangle: Key = gdk_sys::GDK_KEY_emopenrectangle as u32;
    pub const leftsinglequotemark: Key = gdk_sys::GDK_KEY_leftsinglequotemark as u32;
    pub const rightsinglequotemark: Key = gdk_sys::GDK_KEY_rightsinglequotemark as u32;
    pub const leftdoublequotemark: Key = gdk_sys::GDK_KEY_leftdoublequotemark as u32;
    pub const rightdoublequotemark: Key = gdk_sys::GDK_KEY_rightdoublequotemark as u32;
    pub const prescription: Key = gdk_sys::GDK_KEY_prescription as u32;
    pub const permille: Key = gdk_sys::GDK_KEY_permille as u32;
    pub const minutes: Key = gdk_sys::GDK_KEY_minutes as u32;
    pub const seconds: Key = gdk_sys::GDK_KEY_seconds as u32;
    pub const latincross: Key = gdk_sys::GDK_KEY_latincross as u32;
    pub const hexagram: Key = gdk_sys::GDK_KEY_hexagram as u32;
    pub const filledrectbullet: Key = gdk_sys::GDK_KEY_filledrectbullet as u32;
    pub const filledlefttribullet: Key = gdk_sys::GDK_KEY_filledlefttribullet as u32;
    pub const filledrighttribullet: Key = gdk_sys::GDK_KEY_filledrighttribullet as u32;
    pub const emfilledcircle: Key = gdk_sys::GDK_KEY_emfilledcircle as u32;
    pub const emfilledrect: Key = gdk_sys::GDK_KEY_emfilledrect as u32;
    pub const enopencircbullet: Key = gdk_sys::GDK_KEY_enopencircbullet as u32;
    pub const enopensquarebullet: Key = gdk_sys::GDK_KEY_enopensquarebullet as u32;
    pub const openrectbullet: Key = gdk_sys::GDK_KEY_openrectbullet as u32;
    pub const opentribulletup: Key = gdk_sys::GDK_KEY_opentribulletup as u32;
    pub const opentribulletdown: Key = gdk_sys::GDK_KEY_opentribulletdown as u32;
    pub const openstar: Key = gdk_sys::GDK_KEY_openstar as u32;
    pub const enfilledcircbullet: Key = gdk_sys::GDK_KEY_enfilledcircbullet as u32;
    pub const enfilledsqbullet: Key = gdk_sys::GDK_KEY_enfilledsqbullet as u32;
    pub const filledtribulletup: Key = gdk_sys::GDK_KEY_filledtribulletup as u32;
    pub const filledtribulletdown: Key = gdk_sys::GDK_KEY_filledtribulletdown as u32;
    pub const leftpointer: Key = gdk_sys::GDK_KEY_leftpointer as u32;
    pub const rightpointer: Key = gdk_sys::GDK_KEY_rightpointer as u32;
    pub const club: Key = gdk_sys::GDK_KEY_club as u32;
    pub const diamond: Key = gdk_sys::GDK_KEY_diamond as u32;
    pub const heart: Key = gdk_sys::GDK_KEY_heart as u32;
    pub const maltesecross: Key = gdk_sys::GDK_KEY_maltesecross as u32;
    pub const dagger: Key = gdk_sys::GDK_KEY_dagger as u32;
    pub const doubledagger: Key = gdk_sys::GDK_KEY_doubledagger as u32;
    pub const checkmark: Key = gdk_sys::GDK_KEY_checkmark as u32;
    pub const ballotcross: Key = gdk_sys::GDK_KEY_ballotcross as u32;
    pub const musicalsharp: Key = gdk_sys::GDK_KEY_musicalsharp as u32;
    pub const musicalflat: Key = gdk_sys::GDK_KEY_musicalflat as u32;
    pub const malesymbol: Key = gdk_sys::GDK_KEY_malesymbol as u32;
    pub const femalesymbol: Key = gdk_sys::GDK_KEY_femalesymbol as u32;
    pub const telephone: Key = gdk_sys::GDK_KEY_telephone as u32;
    pub const telephonerecorder: Key = gdk_sys::GDK_KEY_telephonerecorder as u32;
    pub const phonographcopyright: Key = gdk_sys::GDK_KEY_phonographcopyright as u32;
    pub const caret: Key = gdk_sys::GDK_KEY_caret as u32;
    pub const singlelowquotemark: Key = gdk_sys::GDK_KEY_singlelowquotemark as u32;
    pub const doublelowquotemark: Key = gdk_sys::GDK_KEY_doublelowquotemark as u32;
    pub const cursor: Key = gdk_sys::GDK_KEY_cursor as u32;
    pub const leftcaret: Key = gdk_sys::GDK_KEY_leftcaret as u32;
    pub const rightcaret: Key = gdk_sys::GDK_KEY_rightcaret as u32;
    pub const downcaret: Key = gdk_sys::GDK_KEY_downcaret as u32;
    pub const upcaret: Key = gdk_sys::GDK_KEY_upcaret as u32;
    pub const overbar: Key = gdk_sys::GDK_KEY_overbar as u32;
    pub const downtack: Key = gdk_sys::GDK_KEY_downtack as u32;
    pub const upshoe: Key = gdk_sys::GDK_KEY_upshoe as u32;
    pub const downstile: Key = gdk_sys::GDK_KEY_downstile as u32;
    pub const underbar: Key = gdk_sys::GDK_KEY_underbar as u32;
    pub const jot: Key = gdk_sys::GDK_KEY_jot as u32;
    pub const quad: Key = gdk_sys::GDK_KEY_quad as u32;
    pub const uptack: Key = gdk_sys::GDK_KEY_uptack as u32;
    pub const circle: Key = gdk_sys::GDK_KEY_circle as u32;
    pub const upstile: Key = gdk_sys::GDK_KEY_upstile as u32;
    pub const downshoe: Key = gdk_sys::GDK_KEY_downshoe as u32;
    pub const rightshoe: Key = gdk_sys::GDK_KEY_rightshoe as u32;
    pub const leftshoe: Key = gdk_sys::GDK_KEY_leftshoe as u32;
    pub const lefttack: Key = gdk_sys::GDK_KEY_lefttack as u32;
    pub const righttack: Key = gdk_sys::GDK_KEY_righttack as u32;
    pub const hebrew_doublelowline: Key = gdk_sys::GDK_KEY_hebrew_doublelowline as u32;
    pub const hebrew_aleph: Key = gdk_sys::GDK_KEY_hebrew_aleph as u32;
    pub const hebrew_bet: Key = gdk_sys::GDK_KEY_hebrew_bet as u32;
    pub const hebrew_beth: Key = gdk_sys::GDK_KEY_hebrew_beth as u32;
    pub const hebrew_gimel: Key = gdk_sys::GDK_KEY_hebrew_gimel as u32;
    pub const hebrew_gimmel: Key = gdk_sys::GDK_KEY_hebrew_gimmel as u32;
    pub const hebrew_dalet: Key = gdk_sys::GDK_KEY_hebrew_dalet as u32;
    pub const hebrew_daleth: Key = gdk_sys::GDK_KEY_hebrew_daleth as u32;
    pub const hebrew_he: Key = gdk_sys::GDK_KEY_hebrew_he as u32;
    pub const hebrew_waw: Key = gdk_sys::GDK_KEY_hebrew_waw as u32;
    pub const hebrew_zain: Key = gdk_sys::GDK_KEY_hebrew_zain as u32;
    pub const hebrew_zayin: Key = gdk_sys::GDK_KEY_hebrew_zayin as u32;
    pub const hebrew_chet: Key = gdk_sys::GDK_KEY_hebrew_chet as u32;
    pub const hebrew_het: Key = gdk_sys::GDK_KEY_hebrew_het as u32;
    pub const hebrew_tet: Key = gdk_sys::GDK_KEY_hebrew_tet as u32;
    pub const hebrew_teth: Key = gdk_sys::GDK_KEY_hebrew_teth as u32;
    pub const hebrew_yod: Key = gdk_sys::GDK_KEY_hebrew_yod as u32;
    pub const hebrew_finalkaph: Key = gdk_sys::GDK_KEY_hebrew_finalkaph as u32;
    pub const hebrew_kaph: Key = gdk_sys::GDK_KEY_hebrew_kaph as u32;
    pub const hebrew_lamed: Key = gdk_sys::GDK_KEY_hebrew_lamed as u32;
    pub const hebrew_finalmem: Key = gdk_sys::GDK_KEY_hebrew_finalmem as u32;
    pub const hebrew_mem: Key = gdk_sys::GDK_KEY_hebrew_mem as u32;
    pub const hebrew_finalnun: Key = gdk_sys::GDK_KEY_hebrew_finalnun as u32;
    pub const hebrew_nun: Key = gdk_sys::GDK_KEY_hebrew_nun as u32;
    pub const hebrew_samech: Key = gdk_sys::GDK_KEY_hebrew_samech as u32;
    pub const hebrew_samekh: Key = gdk_sys::GDK_KEY_hebrew_samekh as u32;
    pub const hebrew_ayin: Key = gdk_sys::GDK_KEY_hebrew_ayin as u32;
    pub const hebrew_finalpe: Key = gdk_sys::GDK_KEY_hebrew_finalpe as u32;
    pub const hebrew_pe: Key = gdk_sys::GDK_KEY_hebrew_pe as u32;
    pub const hebrew_finalzade: Key = gdk_sys::GDK_KEY_hebrew_finalzade as u32;
    pub const hebrew_finalzadi: Key = gdk_sys::GDK_KEY_hebrew_finalzadi as u32;
    pub const hebrew_zade: Key = gdk_sys::GDK_KEY_hebrew_zade as u32;
    pub const hebrew_zadi: Key = gdk_sys::GDK_KEY_hebrew_zadi as u32;
    pub const hebrew_qoph: Key = gdk_sys::GDK_KEY_hebrew_qoph as u32;
    pub const hebrew_kuf: Key = gdk_sys::GDK_KEY_hebrew_kuf as u32;
    pub const hebrew_resh: Key = gdk_sys::GDK_KEY_hebrew_resh as u32;
    pub const hebrew_shin: Key = gdk_sys::GDK_KEY_hebrew_shin as u32;
    pub const hebrew_taw: Key = gdk_sys::GDK_KEY_hebrew_taw as u32;
    pub const hebrew_taf: Key = gdk_sys::GDK_KEY_hebrew_taf as u32;
    pub const Hebrew_switch: Key = gdk_sys::GDK_KEY_Hebrew_switch as u32;
    pub const Thai_kokai: Key = gdk_sys::GDK_KEY_Thai_kokai as u32;
    pub const Thai_khokhai: Key = gdk_sys::GDK_KEY_Thai_khokhai as u32;
    pub const Thai_khokhuat: Key = gdk_sys::GDK_KEY_Thai_khokhuat as u32;
    pub const Thai_khokhwai: Key = gdk_sys::GDK_KEY_Thai_khokhwai as u32;
    pub const Thai_khokhon: Key = gdk_sys::GDK_KEY_Thai_khokhon as u32;
    pub const Thai_khorakhang: Key = gdk_sys::GDK_KEY_Thai_khorakhang as u32;
    pub const Thai_ngongu: Key = gdk_sys::GDK_KEY_Thai_ngongu as u32;
    pub const Thai_chochan: Key = gdk_sys::GDK_KEY_Thai_chochan as u32;
    pub const Thai_choching: Key = gdk_sys::GDK_KEY_Thai_choching as u32;
    pub const Thai_chochang: Key = gdk_sys::GDK_KEY_Thai_chochang as u32;
    pub const Thai_soso: Key = gdk_sys::GDK_KEY_Thai_soso as u32;
    pub const Thai_chochoe: Key = gdk_sys::GDK_KEY_Thai_chochoe as u32;
    pub const Thai_yoying: Key = gdk_sys::GDK_KEY_Thai_yoying as u32;
    pub const Thai_dochada: Key = gdk_sys::GDK_KEY_Thai_dochada as u32;
    pub const Thai_topatak: Key = gdk_sys::GDK_KEY_Thai_topatak as u32;
    pub const Thai_thothan: Key = gdk_sys::GDK_KEY_Thai_thothan as u32;
    pub const Thai_thonangmontho: Key = gdk_sys::GDK_KEY_Thai_thonangmontho as u32;
    pub const Thai_thophuthao: Key = gdk_sys::GDK_KEY_Thai_thophuthao as u32;
    pub const Thai_nonen: Key = gdk_sys::GDK_KEY_Thai_nonen as u32;
    pub const Thai_dodek: Key = gdk_sys::GDK_KEY_Thai_dodek as u32;
    pub const Thai_totao: Key = gdk_sys::GDK_KEY_Thai_totao as u32;
    pub const Thai_thothung: Key = gdk_sys::GDK_KEY_Thai_thothung as u32;
    pub const Thai_thothahan: Key = gdk_sys::GDK_KEY_Thai_thothahan as u32;
    pub const Thai_thothong: Key = gdk_sys::GDK_KEY_Thai_thothong as u32;
    pub const Thai_nonu: Key = gdk_sys::GDK_KEY_Thai_nonu as u32;
    pub const Thai_bobaimai: Key = gdk_sys::GDK_KEY_Thai_bobaimai as u32;
    pub const Thai_popla: Key = gdk_sys::GDK_KEY_Thai_popla as u32;
    pub const Thai_phophung: Key = gdk_sys::GDK_KEY_Thai_phophung as u32;
    pub const Thai_fofa: Key = gdk_sys::GDK_KEY_Thai_fofa as u32;
    pub const Thai_phophan: Key = gdk_sys::GDK_KEY_Thai_phophan as u32;
    pub const Thai_fofan: Key = gdk_sys::GDK_KEY_Thai_fofan as u32;
    pub const Thai_phosamphao: Key = gdk_sys::GDK_KEY_Thai_phosamphao as u32;
    pub const Thai_moma: Key = gdk_sys::GDK_KEY_Thai_moma as u32;
    pub const Thai_yoyak: Key = gdk_sys::GDK_KEY_Thai_yoyak as u32;
    pub const Thai_rorua: Key = gdk_sys::GDK_KEY_Thai_rorua as u32;
    pub const Thai_ru: Key = gdk_sys::GDK_KEY_Thai_ru as u32;
    pub const Thai_loling: Key = gdk_sys::GDK_KEY_Thai_loling as u32;
    pub const Thai_lu: Key = gdk_sys::GDK_KEY_Thai_lu as u32;
    pub const Thai_wowaen: Key = gdk_sys::GDK_KEY_Thai_wowaen as u32;
    pub const Thai_sosala: Key = gdk_sys::GDK_KEY_Thai_sosala as u32;
    pub const Thai_sorusi: Key = gdk_sys::GDK_KEY_Thai_sorusi as u32;
    pub const Thai_sosua: Key = gdk_sys::GDK_KEY_Thai_sosua as u32;
    pub const Thai_hohip: Key = gdk_sys::GDK_KEY_Thai_hohip as u32;
    pub const Thai_lochula: Key = gdk_sys::GDK_KEY_Thai_lochula as u32;
    pub const Thai_oang: Key = gdk_sys::GDK_KEY_Thai_oang as u32;
    pub const Thai_honokhuk: Key = gdk_sys::GDK_KEY_Thai_honokhuk as u32;
    pub const Thai_paiyannoi: Key = gdk_sys::GDK_KEY_Thai_paiyannoi as u32;
    pub const Thai_saraa: Key = gdk_sys::GDK_KEY_Thai_saraa as u32;
    pub const Thai_maihanakat: Key = gdk_sys::GDK_KEY_Thai_maihanakat as u32;
    pub const Thai_saraaa: Key = gdk_sys::GDK_KEY_Thai_saraaa as u32;
    pub const Thai_saraam: Key = gdk_sys::GDK_KEY_Thai_saraam as u32;
    pub const Thai_sarai: Key = gdk_sys::GDK_KEY_Thai_sarai as u32;
    pub const Thai_saraii: Key = gdk_sys::GDK_KEY_Thai_saraii as u32;
    pub const Thai_saraue: Key = gdk_sys::GDK_KEY_Thai_saraue as u32;
    pub const Thai_sarauee: Key = gdk_sys::GDK_KEY_Thai_sarauee as u32;
    pub const Thai_sarau: Key = gdk_sys::GDK_KEY_Thai_sarau as u32;
    pub const Thai_sarauu: Key = gdk_sys::GDK_KEY_Thai_sarauu as u32;
    pub const Thai_phinthu: Key = gdk_sys::GDK_KEY_Thai_phinthu as u32;
    pub const Thai_maihanakat_maitho: Key = gdk_sys::GDK_KEY_Thai_maihanakat_maitho as u32;
    pub const Thai_baht: Key = gdk_sys::GDK_KEY_Thai_baht as u32;
    pub const Thai_sarae: Key = gdk_sys::GDK_KEY_Thai_sarae as u32;
    pub const Thai_saraae: Key = gdk_sys::GDK_KEY_Thai_saraae as u32;
    pub const Thai_sarao: Key = gdk_sys::GDK_KEY_Thai_sarao as u32;
    pub const Thai_saraaimaimuan: Key = gdk_sys::GDK_KEY_Thai_saraaimaimuan as u32;
    pub const Thai_saraaimaimalai: Key = gdk_sys::GDK_KEY_Thai_saraaimaimalai as u32;
    pub const Thai_lakkhangyao: Key = gdk_sys::GDK_KEY_Thai_lakkhangyao as u32;
    pub const Thai_maiyamok: Key = gdk_sys::GDK_KEY_Thai_maiyamok as u32;
    pub const Thai_maitaikhu: Key = gdk_sys::GDK_KEY_Thai_maitaikhu as u32;
    pub const Thai_maiek: Key = gdk_sys::GDK_KEY_Thai_maiek as u32;
    pub const Thai_maitho: Key = gdk_sys::GDK_KEY_Thai_maitho as u32;
    pub const Thai_maitri: Key = gdk_sys::GDK_KEY_Thai_maitri as u32;
    pub const Thai_maichattawa: Key = gdk_sys::GDK_KEY_Thai_maichattawa as u32;
    pub const Thai_thanthakhat: Key = gdk_sys::GDK_KEY_Thai_thanthakhat as u32;
    pub const Thai_nikhahit: Key = gdk_sys::GDK_KEY_Thai_nikhahit as u32;
    pub const Thai_leksun: Key = gdk_sys::GDK_KEY_Thai_leksun as u32;
    pub const Thai_leknung: Key = gdk_sys::GDK_KEY_Thai_leknung as u32;
    pub const Thai_leksong: Key = gdk_sys::GDK_KEY_Thai_leksong as u32;
    pub const Thai_leksam: Key = gdk_sys::GDK_KEY_Thai_leksam as u32;
    pub const Thai_leksi: Key = gdk_sys::GDK_KEY_Thai_leksi as u32;
    pub const Thai_lekha: Key = gdk_sys::GDK_KEY_Thai_lekha as u32;
    pub const Thai_lekhok: Key = gdk_sys::GDK_KEY_Thai_lekhok as u32;
    pub const Thai_lekchet: Key = gdk_sys::GDK_KEY_Thai_lekchet as u32;
    pub const Thai_lekpaet: Key = gdk_sys::GDK_KEY_Thai_lekpaet as u32;
    pub const Thai_lekkao: Key = gdk_sys::GDK_KEY_Thai_lekkao as u32;
    pub const Hangul: Key = gdk_sys::GDK_KEY_Hangul as u32;
    pub const Hangul_Start: Key = gdk_sys::GDK_KEY_Hangul_Start as u32;
    pub const Hangul_End: Key = gdk_sys::GDK_KEY_Hangul_End as u32;
    pub const Hangul_Hanja: Key = gdk_sys::GDK_KEY_Hangul_Hanja as u32;
    pub const Hangul_Jamo: Key = gdk_sys::GDK_KEY_Hangul_Jamo as u32;
    pub const Hangul_Romaja: Key = gdk_sys::GDK_KEY_Hangul_Romaja as u32;
    pub const Hangul_Codeinput: Key = gdk_sys::GDK_KEY_Hangul_Codeinput as u32;
    pub const Hangul_Jeonja: Key = gdk_sys::GDK_KEY_Hangul_Jeonja as u32;
    pub const Hangul_Banja: Key = gdk_sys::GDK_KEY_Hangul_Banja as u32;
    pub const Hangul_PreHanja: Key = gdk_sys::GDK_KEY_Hangul_PreHanja as u32;
    pub const Hangul_PostHanja: Key = gdk_sys::GDK_KEY_Hangul_PostHanja as u32;
    pub const Hangul_SingleCandidate: Key = gdk_sys::GDK_KEY_Hangul_SingleCandidate as u32;
    pub const Hangul_MultipleCandidate: Key = gdk_sys::GDK_KEY_Hangul_MultipleCandidate as u32;
    pub const Hangul_PreviousCandidate: Key = gdk_sys::GDK_KEY_Hangul_PreviousCandidate as u32;
    pub const Hangul_Special: Key = gdk_sys::GDK_KEY_Hangul_Special as u32;
    pub const Hangul_switch: Key = gdk_sys::GDK_KEY_Hangul_switch as u32;
    pub const Hangul_Kiyeog: Key = gdk_sys::GDK_KEY_Hangul_Kiyeog as u32;
    pub const Hangul_SsangKiyeog: Key = gdk_sys::GDK_KEY_Hangul_SsangKiyeog as u32;
    pub const Hangul_KiyeogSios: Key = gdk_sys::GDK_KEY_Hangul_KiyeogSios as u32;
    pub const Hangul_Nieun: Key = gdk_sys::GDK_KEY_Hangul_Nieun as u32;
    pub const Hangul_NieunJieuj: Key = gdk_sys::GDK_KEY_Hangul_NieunJieuj as u32;
    pub const Hangul_NieunHieuh: Key = gdk_sys::GDK_KEY_Hangul_NieunHieuh as u32;
    pub const Hangul_Dikeud: Key = gdk_sys::GDK_KEY_Hangul_Dikeud as u32;
    pub const Hangul_SsangDikeud: Key = gdk_sys::GDK_KEY_Hangul_SsangDikeud as u32;
    pub const Hangul_Rieul: Key = gdk_sys::GDK_KEY_Hangul_Rieul as u32;
    pub const Hangul_RieulKiyeog: Key = gdk_sys::GDK_KEY_Hangul_RieulKiyeog as u32;
    pub const Hangul_RieulMieum: Key = gdk_sys::GDK_KEY_Hangul_RieulMieum as u32;
    pub const Hangul_RieulPieub: Key = gdk_sys::GDK_KEY_Hangul_RieulPieub as u32;
    pub const Hangul_RieulSios: Key = gdk_sys::GDK_KEY_Hangul_RieulSios as u32;
    pub const Hangul_RieulTieut: Key = gdk_sys::GDK_KEY_Hangul_RieulTieut as u32;
    pub const Hangul_RieulPhieuf: Key = gdk_sys::GDK_KEY_Hangul_RieulPhieuf as u32;
    pub const Hangul_RieulHieuh: Key = gdk_sys::GDK_KEY_Hangul_RieulHieuh as u32;
    pub const Hangul_Mieum: Key = gdk_sys::GDK_KEY_Hangul_Mieum as u32;
    pub const Hangul_Pieub: Key = gdk_sys::GDK_KEY_Hangul_Pieub as u32;
    pub const Hangul_SsangPieub: Key = gdk_sys::GDK_KEY_Hangul_SsangPieub as u32;
    pub const Hangul_PieubSios: Key = gdk_sys::GDK_KEY_Hangul_PieubSios as u32;
    pub const Hangul_Sios: Key = gdk_sys::GDK_KEY_Hangul_Sios as u32;
    pub const Hangul_SsangSios: Key = gdk_sys::GDK_KEY_Hangul_SsangSios as u32;
    pub const Hangul_Ieung: Key = gdk_sys::GDK_KEY_Hangul_Ieung as u32;
    pub const Hangul_Jieuj: Key = gdk_sys::GDK_KEY_Hangul_Jieuj as u32;
    pub const Hangul_SsangJieuj: Key = gdk_sys::GDK_KEY_Hangul_SsangJieuj as u32;
    pub const Hangul_Cieuc: Key = gdk_sys::GDK_KEY_Hangul_Cieuc as u32;
    pub const Hangul_Khieuq: Key = gdk_sys::GDK_KEY_Hangul_Khieuq as u32;
    pub const Hangul_Tieut: Key = gdk_sys::GDK_KEY_Hangul_Tieut as u32;
    pub const Hangul_Phieuf: Key = gdk_sys::GDK_KEY_Hangul_Phieuf as u32;
    pub const Hangul_Hieuh: Key = gdk_sys::GDK_KEY_Hangul_Hieuh as u32;
    pub const Hangul_A: Key = gdk_sys::GDK_KEY_Hangul_A as u32;
    pub const Hangul_AE: Key = gdk_sys::GDK_KEY_Hangul_AE as u32;
    pub const Hangul_YA: Key = gdk_sys::GDK_KEY_Hangul_YA as u32;
    pub const Hangul_YAE: Key = gdk_sys::GDK_KEY_Hangul_YAE as u32;
    pub const Hangul_EO: Key = gdk_sys::GDK_KEY_Hangul_EO as u32;
    pub const Hangul_E: Key = gdk_sys::GDK_KEY_Hangul_E as u32;
    pub const Hangul_YEO: Key = gdk_sys::GDK_KEY_Hangul_YEO as u32;
    pub const Hangul_YE: Key = gdk_sys::GDK_KEY_Hangul_YE as u32;
    pub const Hangul_O: Key = gdk_sys::GDK_KEY_Hangul_O as u32;
    pub const Hangul_WA: Key = gdk_sys::GDK_KEY_Hangul_WA as u32;
    pub const Hangul_WAE: Key = gdk_sys::GDK_KEY_Hangul_WAE as u32;
    pub const Hangul_OE: Key = gdk_sys::GDK_KEY_Hangul_OE as u32;
    pub const Hangul_YO: Key = gdk_sys::GDK_KEY_Hangul_YO as u32;
    pub const Hangul_U: Key = gdk_sys::GDK_KEY_Hangul_U as u32;
    pub const Hangul_WEO: Key = gdk_sys::GDK_KEY_Hangul_WEO as u32;
    pub const Hangul_WE: Key = gdk_sys::GDK_KEY_Hangul_WE as u32;
    pub const Hangul_WI: Key = gdk_sys::GDK_KEY_Hangul_WI as u32;
    pub const Hangul_YU: Key = gdk_sys::GDK_KEY_Hangul_YU as u32;
    pub const Hangul_EU: Key = gdk_sys::GDK_KEY_Hangul_EU as u32;
    pub const Hangul_YI: Key = gdk_sys::GDK_KEY_Hangul_YI as u32;
    pub const Hangul_I: Key = gdk_sys::GDK_KEY_Hangul_I as u32;
    pub const Hangul_J_Kiyeog: Key = gdk_sys::GDK_KEY_Hangul_J_Kiyeog as u32;
    pub const Hangul_J_SsangKiyeog: Key = gdk_sys::GDK_KEY_Hangul_J_SsangKiyeog as u32;
    pub const Hangul_J_KiyeogSios: Key = gdk_sys::GDK_KEY_Hangul_J_KiyeogSios as u32;
    pub const Hangul_J_Nieun: Key = gdk_sys::GDK_KEY_Hangul_J_Nieun as u32;
    pub const Hangul_J_NieunJieuj: Key = gdk_sys::GDK_KEY_Hangul_J_NieunJieuj as u32;
    pub const Hangul_J_NieunHieuh: Key = gdk_sys::GDK_KEY_Hangul_J_NieunHieuh as u32;
    pub const Hangul_J_Dikeud: Key = gdk_sys::GDK_KEY_Hangul_J_Dikeud as u32;
    pub const Hangul_J_Rieul: Key = gdk_sys::GDK_KEY_Hangul_J_Rieul as u32;
    pub const Hangul_J_RieulKiyeog: Key = gdk_sys::GDK_KEY_Hangul_J_RieulKiyeog as u32;
    pub const Hangul_J_RieulMieum: Key = gdk_sys::GDK_KEY_Hangul_J_RieulMieum as u32;
    pub const Hangul_J_RieulPieub: Key = gdk_sys::GDK_KEY_Hangul_J_RieulPieub as u32;
    pub const Hangul_J_RieulSios: Key = gdk_sys::GDK_KEY_Hangul_J_RieulSios as u32;
    pub const Hangul_J_RieulTieut: Key = gdk_sys::GDK_KEY_Hangul_J_RieulTieut as u32;
    pub const Hangul_J_RieulPhieuf: Key = gdk_sys::GDK_KEY_Hangul_J_RieulPhieuf as u32;
    pub const Hangul_J_RieulHieuh: Key = gdk_sys::GDK_KEY_Hangul_J_RieulHieuh as u32;
    pub const Hangul_J_Mieum: Key = gdk_sys::GDK_KEY_Hangul_J_Mieum as u32;
    pub const Hangul_J_Pieub: Key = gdk_sys::GDK_KEY_Hangul_J_Pieub as u32;
    pub const Hangul_J_PieubSios: Key = gdk_sys::GDK_KEY_Hangul_J_PieubSios as u32;
    pub const Hangul_J_Sios: Key = gdk_sys::GDK_KEY_Hangul_J_Sios as u32;
    pub const Hangul_J_SsangSios: Key = gdk_sys::GDK_KEY_Hangul_J_SsangSios as u32;
    pub const Hangul_J_Ieung: Key = gdk_sys::GDK_KEY_Hangul_J_Ieung as u32;
    pub const Hangul_J_Jieuj: Key = gdk_sys::GDK_KEY_Hangul_J_Jieuj as u32;
    pub const Hangul_J_Cieuc: Key = gdk_sys::GDK_KEY_Hangul_J_Cieuc as u32;
    pub const Hangul_J_Khieuq: Key = gdk_sys::GDK_KEY_Hangul_J_Khieuq as u32;
    pub const Hangul_J_Tieut: Key = gdk_sys::GDK_KEY_Hangul_J_Tieut as u32;
    pub const Hangul_J_Phieuf: Key = gdk_sys::GDK_KEY_Hangul_J_Phieuf as u32;
    pub const Hangul_J_Hieuh: Key = gdk_sys::GDK_KEY_Hangul_J_Hieuh as u32;
    pub const Hangul_RieulYeorinHieuh: Key = gdk_sys::GDK_KEY_Hangul_RieulYeorinHieuh as u32;
    pub const Hangul_SunkyeongeumMieum: Key = gdk_sys::GDK_KEY_Hangul_SunkyeongeumMieum as u32;
    pub const Hangul_SunkyeongeumPieub: Key = gdk_sys::GDK_KEY_Hangul_SunkyeongeumPieub as u32;
    pub const Hangul_PanSios: Key = gdk_sys::GDK_KEY_Hangul_PanSios as u32;
    pub const Hangul_KkogjiDalrinIeung: Key = gdk_sys::GDK_KEY_Hangul_KkogjiDalrinIeung as u32;
    pub const Hangul_SunkyeongeumPhieuf: Key = gdk_sys::GDK_KEY_Hangul_SunkyeongeumPhieuf as u32;
    pub const Hangul_YeorinHieuh: Key = gdk_sys::GDK_KEY_Hangul_YeorinHieuh as u32;
    pub const Hangul_AraeA: Key = gdk_sys::GDK_KEY_Hangul_AraeA as u32;
    pub const Hangul_AraeAE: Key = gdk_sys::GDK_KEY_Hangul_AraeAE as u32;
    pub const Hangul_J_PanSios: Key = gdk_sys::GDK_KEY_Hangul_J_PanSios as u32;
    pub const Hangul_J_KkogjiDalrinIeung: Key = gdk_sys::GDK_KEY_Hangul_J_KkogjiDalrinIeung as u32;
    pub const Hangul_J_YeorinHieuh: Key = gdk_sys::GDK_KEY_Hangul_J_YeorinHieuh as u32;
    pub const Korean_Won: Key = gdk_sys::GDK_KEY_Korean_Won as u32;
    pub const Armenian_ligature_ew: Key = gdk_sys::GDK_KEY_Armenian_ligature_ew as u32;
    pub const Armenian_full_stop: Key = gdk_sys::GDK_KEY_Armenian_full_stop as u32;
    pub const Armenian_verjaket: Key = gdk_sys::GDK_KEY_Armenian_verjaket as u32;
    pub const Armenian_separation_mark: Key = gdk_sys::GDK_KEY_Armenian_separation_mark as u32;
    pub const Armenian_but: Key = gdk_sys::GDK_KEY_Armenian_but as u32;
    pub const Armenian_hyphen: Key = gdk_sys::GDK_KEY_Armenian_hyphen as u32;
    pub const Armenian_yentamna: Key = gdk_sys::GDK_KEY_Armenian_yentamna as u32;
    pub const Armenian_exclam: Key = gdk_sys::GDK_KEY_Armenian_exclam as u32;
    pub const Armenian_amanak: Key = gdk_sys::GDK_KEY_Armenian_amanak as u32;
    pub const Armenian_accent: Key = gdk_sys::GDK_KEY_Armenian_accent as u32;
    pub const Armenian_shesht: Key = gdk_sys::GDK_KEY_Armenian_shesht as u32;
    pub const Armenian_question: Key = gdk_sys::GDK_KEY_Armenian_question as u32;
    pub const Armenian_paruyk: Key = gdk_sys::GDK_KEY_Armenian_paruyk as u32;
    pub const Armenian_AYB: Key = gdk_sys::GDK_KEY_Armenian_AYB as u32;
    pub const Armenian_ayb: Key = gdk_sys::GDK_KEY_Armenian_ayb as u32;
    pub const Armenian_BEN: Key = gdk_sys::GDK_KEY_Armenian_BEN as u32;
    pub const Armenian_ben: Key = gdk_sys::GDK_KEY_Armenian_ben as u32;
    pub const Armenian_GIM: Key = gdk_sys::GDK_KEY_Armenian_GIM as u32;
    pub const Armenian_gim: Key = gdk_sys::GDK_KEY_Armenian_gim as u32;
    pub const Armenian_DA: Key = gdk_sys::GDK_KEY_Armenian_DA as u32;
    pub const Armenian_da: Key = gdk_sys::GDK_KEY_Armenian_da as u32;
    pub const Armenian_YECH: Key = gdk_sys::GDK_KEY_Armenian_YECH as u32;
    pub const Armenian_yech: Key = gdk_sys::GDK_KEY_Armenian_yech as u32;
    pub const Armenian_ZA: Key = gdk_sys::GDK_KEY_Armenian_ZA as u32;
    pub const Armenian_za: Key = gdk_sys::GDK_KEY_Armenian_za as u32;
    pub const Armenian_E: Key = gdk_sys::GDK_KEY_Armenian_E as u32;
    pub const Armenian_e: Key = gdk_sys::GDK_KEY_Armenian_e as u32;
    pub const Armenian_AT: Key = gdk_sys::GDK_KEY_Armenian_AT as u32;
    pub const Armenian_at: Key = gdk_sys::GDK_KEY_Armenian_at as u32;
    pub const Armenian_TO: Key = gdk_sys::GDK_KEY_Armenian_TO as u32;
    pub const Armenian_to: Key = gdk_sys::GDK_KEY_Armenian_to as u32;
    pub const Armenian_ZHE: Key = gdk_sys::GDK_KEY_Armenian_ZHE as u32;
    pub const Armenian_zhe: Key = gdk_sys::GDK_KEY_Armenian_zhe as u32;
    pub const Armenian_INI: Key = gdk_sys::GDK_KEY_Armenian_INI as u32;
    pub const Armenian_ini: Key = gdk_sys::GDK_KEY_Armenian_ini as u32;
    pub const Armenian_LYUN: Key = gdk_sys::GDK_KEY_Armenian_LYUN as u32;
    pub const Armenian_lyun: Key = gdk_sys::GDK_KEY_Armenian_lyun as u32;
    pub const Armenian_KHE: Key = gdk_sys::GDK_KEY_Armenian_KHE as u32;
    pub const Armenian_khe: Key = gdk_sys::GDK_KEY_Armenian_khe as u32;
    pub const Armenian_TSA: Key = gdk_sys::GDK_KEY_Armenian_TSA as u32;
    pub const Armenian_tsa: Key = gdk_sys::GDK_KEY_Armenian_tsa as u32;
    pub const Armenian_KEN: Key = gdk_sys::GDK_KEY_Armenian_KEN as u32;
    pub const Armenian_ken: Key = gdk_sys::GDK_KEY_Armenian_ken as u32;
    pub const Armenian_HO: Key = gdk_sys::GDK_KEY_Armenian_HO as u32;
    pub const Armenian_ho: Key = gdk_sys::GDK_KEY_Armenian_ho as u32;
    pub const Armenian_DZA: Key = gdk_sys::GDK_KEY_Armenian_DZA as u32;
    pub const Armenian_dza: Key = gdk_sys::GDK_KEY_Armenian_dza as u32;
    pub const Armenian_GHAT: Key = gdk_sys::GDK_KEY_Armenian_GHAT as u32;
    pub const Armenian_ghat: Key = gdk_sys::GDK_KEY_Armenian_ghat as u32;
    pub const Armenian_TCHE: Key = gdk_sys::GDK_KEY_Armenian_TCHE as u32;
    pub const Armenian_tche: Key = gdk_sys::GDK_KEY_Armenian_tche as u32;
    pub const Armenian_MEN: Key = gdk_sys::GDK_KEY_Armenian_MEN as u32;
    pub const Armenian_men: Key = gdk_sys::GDK_KEY_Armenian_men as u32;
    pub const Armenian_HI: Key = gdk_sys::GDK_KEY_Armenian_HI as u32;
    pub const Armenian_hi: Key = gdk_sys::GDK_KEY_Armenian_hi as u32;
    pub const Armenian_NU: Key = gdk_sys::GDK_KEY_Armenian_NU as u32;
    pub const Armenian_nu: Key = gdk_sys::GDK_KEY_Armenian_nu as u32;
    pub const Armenian_SHA: Key = gdk_sys::GDK_KEY_Armenian_SHA as u32;
    pub const Armenian_sha: Key = gdk_sys::GDK_KEY_Armenian_sha as u32;
    pub const Armenian_VO: Key = gdk_sys::GDK_KEY_Armenian_VO as u32;
    pub const Armenian_vo: Key = gdk_sys::GDK_KEY_Armenian_vo as u32;
    pub const Armenian_CHA: Key = gdk_sys::GDK_KEY_Armenian_CHA as u32;
    pub const Armenian_cha: Key = gdk_sys::GDK_KEY_Armenian_cha as u32;
    pub const Armenian_PE: Key = gdk_sys::GDK_KEY_Armenian_PE as u32;
    pub const Armenian_pe: Key = gdk_sys::GDK_KEY_Armenian_pe as u32;
    pub const Armenian_JE: Key = gdk_sys::GDK_KEY_Armenian_JE as u32;
    pub const Armenian_je: Key = gdk_sys::GDK_KEY_Armenian_je as u32;
    pub const Armenian_RA: Key = gdk_sys::GDK_KEY_Armenian_RA as u32;
    pub const Armenian_ra: Key = gdk_sys::GDK_KEY_Armenian_ra as u32;
    pub const Armenian_SE: Key = gdk_sys::GDK_KEY_Armenian_SE as u32;
    pub const Armenian_se: Key = gdk_sys::GDK_KEY_Armenian_se as u32;
    pub const Armenian_VEV: Key = gdk_sys::GDK_KEY_Armenian_VEV as u32;
    pub const Armenian_vev: Key = gdk_sys::GDK_KEY_Armenian_vev as u32;
    pub const Armenian_TYUN: Key = gdk_sys::GDK_KEY_Armenian_TYUN as u32;
    pub const Armenian_tyun: Key = gdk_sys::GDK_KEY_Armenian_tyun as u32;
    pub const Armenian_RE: Key = gdk_sys::GDK_KEY_Armenian_RE as u32;
    pub const Armenian_re: Key = gdk_sys::GDK_KEY_Armenian_re as u32;
    pub const Armenian_TSO: Key = gdk_sys::GDK_KEY_Armenian_TSO as u32;
    pub const Armenian_tso: Key = gdk_sys::GDK_KEY_Armenian_tso as u32;
    pub const Armenian_VYUN: Key = gdk_sys::GDK_KEY_Armenian_VYUN as u32;
    pub const Armenian_vyun: Key = gdk_sys::GDK_KEY_Armenian_vyun as u32;
    pub const Armenian_PYUR: Key = gdk_sys::GDK_KEY_Armenian_PYUR as u32;
    pub const Armenian_pyur: Key = gdk_sys::GDK_KEY_Armenian_pyur as u32;
    pub const Armenian_KE: Key = gdk_sys::GDK_KEY_Armenian_KE as u32;
    pub const Armenian_ke: Key = gdk_sys::GDK_KEY_Armenian_ke as u32;
    pub const Armenian_O: Key = gdk_sys::GDK_KEY_Armenian_O as u32;
    pub const Armenian_o: Key = gdk_sys::GDK_KEY_Armenian_o as u32;
    pub const Armenian_FE: Key = gdk_sys::GDK_KEY_Armenian_FE as u32;
    pub const Armenian_fe: Key = gdk_sys::GDK_KEY_Armenian_fe as u32;
    pub const Armenian_apostrophe: Key = gdk_sys::GDK_KEY_Armenian_apostrophe as u32;
    pub const Georgian_an: Key = gdk_sys::GDK_KEY_Georgian_an as u32;
    pub const Georgian_ban: Key = gdk_sys::GDK_KEY_Georgian_ban as u32;
    pub const Georgian_gan: Key = gdk_sys::GDK_KEY_Georgian_gan as u32;
    pub const Georgian_don: Key = gdk_sys::GDK_KEY_Georgian_don as u32;
    pub const Georgian_en: Key = gdk_sys::GDK_KEY_Georgian_en as u32;
    pub const Georgian_vin: Key = gdk_sys::GDK_KEY_Georgian_vin as u32;
    pub const Georgian_zen: Key = gdk_sys::GDK_KEY_Georgian_zen as u32;
    pub const Georgian_tan: Key = gdk_sys::GDK_KEY_Georgian_tan as u32;
    pub const Georgian_in: Key = gdk_sys::GDK_KEY_Georgian_in as u32;
    pub const Georgian_kan: Key = gdk_sys::GDK_KEY_Georgian_kan as u32;
    pub const Georgian_las: Key = gdk_sys::GDK_KEY_Georgian_las as u32;
    pub const Georgian_man: Key = gdk_sys::GDK_KEY_Georgian_man as u32;
    pub const Georgian_nar: Key = gdk_sys::GDK_KEY_Georgian_nar as u32;
    pub const Georgian_on: Key = gdk_sys::GDK_KEY_Georgian_on as u32;
    pub const Georgian_par: Key = gdk_sys::GDK_KEY_Georgian_par as u32;
    pub const Georgian_zhar: Key = gdk_sys::GDK_KEY_Georgian_zhar as u32;
    pub const Georgian_rae: Key = gdk_sys::GDK_KEY_Georgian_rae as u32;
    pub const Georgian_san: Key = gdk_sys::GDK_KEY_Georgian_san as u32;
    pub const Georgian_tar: Key = gdk_sys::GDK_KEY_Georgian_tar as u32;
    pub const Georgian_un: Key = gdk_sys::GDK_KEY_Georgian_un as u32;
    pub const Georgian_phar: Key = gdk_sys::GDK_KEY_Georgian_phar as u32;
    pub const Georgian_khar: Key = gdk_sys::GDK_KEY_Georgian_khar as u32;
    pub const Georgian_ghan: Key = gdk_sys::GDK_KEY_Georgian_ghan as u32;
    pub const Georgian_qar: Key = gdk_sys::GDK_KEY_Georgian_qar as u32;
    pub const Georgian_shin: Key = gdk_sys::GDK_KEY_Georgian_shin as u32;
    pub const Georgian_chin: Key = gdk_sys::GDK_KEY_Georgian_chin as u32;
    pub const Georgian_can: Key = gdk_sys::GDK_KEY_Georgian_can as u32;
    pub const Georgian_jil: Key = gdk_sys::GDK_KEY_Georgian_jil as u32;
    pub const Georgian_cil: Key = gdk_sys::GDK_KEY_Georgian_cil as u32;
    pub const Georgian_char: Key = gdk_sys::GDK_KEY_Georgian_char as u32;
    pub const Georgian_xan: Key = gdk_sys::GDK_KEY_Georgian_xan as u32;
    pub const Georgian_jhan: Key = gdk_sys::GDK_KEY_Georgian_jhan as u32;
    pub const Georgian_hae: Key = gdk_sys::GDK_KEY_Georgian_hae as u32;
    pub const Georgian_he: Key = gdk_sys::GDK_KEY_Georgian_he as u32;
    pub const Georgian_hie: Key = gdk_sys::GDK_KEY_Georgian_hie as u32;
    pub const Georgian_we: Key = gdk_sys::GDK_KEY_Georgian_we as u32;
    pub const Georgian_har: Key = gdk_sys::GDK_KEY_Georgian_har as u32;
    pub const Georgian_hoe: Key = gdk_sys::GDK_KEY_Georgian_hoe as u32;
    pub const Georgian_fi: Key = gdk_sys::GDK_KEY_Georgian_fi as u32;
    pub const Xabovedot: Key = gdk_sys::GDK_KEY_Xabovedot as u32;
    pub const Ibreve: Key = gdk_sys::GDK_KEY_Ibreve as u32;
    pub const Zstroke: Key = gdk_sys::GDK_KEY_Zstroke as u32;
    pub const Gcaron: Key = gdk_sys::GDK_KEY_Gcaron as u32;
    pub const Ocaron: Key = gdk_sys::GDK_KEY_Ocaron as u32;
    pub const Obarred: Key = gdk_sys::GDK_KEY_Obarred as u32;
    pub const xabovedot: Key = gdk_sys::GDK_KEY_xabovedot as u32;
    pub const ibreve: Key = gdk_sys::GDK_KEY_ibreve as u32;
    pub const zstroke: Key = gdk_sys::GDK_KEY_zstroke as u32;
    pub const gcaron: Key = gdk_sys::GDK_KEY_gcaron as u32;
    pub const ocaron: Key = gdk_sys::GDK_KEY_ocaron as u32;
    pub const obarred: Key = gdk_sys::GDK_KEY_obarred as u32;
    pub const SCHWA: Key = gdk_sys::GDK_KEY_SCHWA as u32;
    pub const schwa: Key = gdk_sys::GDK_KEY_schwa as u32;
    pub const EZH: Key = gdk_sys::GDK_KEY_EZH as u32;
    pub const ezh: Key = gdk_sys::GDK_KEY_ezh as u32;
    pub const Lbelowdot: Key = gdk_sys::GDK_KEY_Lbelowdot as u32;
    pub const lbelowdot: Key = gdk_sys::GDK_KEY_lbelowdot as u32;
    pub const Abelowdot: Key = gdk_sys::GDK_KEY_Abelowdot as u32;
    pub const abelowdot: Key = gdk_sys::GDK_KEY_abelowdot as u32;
    pub const Ahook: Key = gdk_sys::GDK_KEY_Ahook as u32;
    pub const ahook: Key = gdk_sys::GDK_KEY_ahook as u32;
    pub const Acircumflexacute: Key = gdk_sys::GDK_KEY_Acircumflexacute as u32;
    pub const acircumflexacute: Key = gdk_sys::GDK_KEY_acircumflexacute as u32;
    pub const Acircumflexgrave: Key = gdk_sys::GDK_KEY_Acircumflexgrave as u32;
    pub const acircumflexgrave: Key = gdk_sys::GDK_KEY_acircumflexgrave as u32;
    pub const Acircumflexhook: Key = gdk_sys::GDK_KEY_Acircumflexhook as u32;
    pub const acircumflexhook: Key = gdk_sys::GDK_KEY_acircumflexhook as u32;
    pub const Acircumflextilde: Key = gdk_sys::GDK_KEY_Acircumflextilde as u32;
    pub const acircumflextilde: Key = gdk_sys::GDK_KEY_acircumflextilde as u32;
    pub const Acircumflexbelowdot: Key = gdk_sys::GDK_KEY_Acircumflexbelowdot as u32;
    pub const acircumflexbelowdot: Key = gdk_sys::GDK_KEY_acircumflexbelowdot as u32;
    pub const Abreveacute: Key = gdk_sys::GDK_KEY_Abreveacute as u32;
    pub const abreveacute: Key = gdk_sys::GDK_KEY_abreveacute as u32;
    pub const Abrevegrave: Key = gdk_sys::GDK_KEY_Abrevegrave as u32;
    pub const abrevegrave: Key = gdk_sys::GDK_KEY_abrevegrave as u32;
    pub const Abrevehook: Key = gdk_sys::GDK_KEY_Abrevehook as u32;
    pub const abrevehook: Key = gdk_sys::GDK_KEY_abrevehook as u32;
    pub const Abrevetilde: Key = gdk_sys::GDK_KEY_Abrevetilde as u32;
    pub const abrevetilde: Key = gdk_sys::GDK_KEY_abrevetilde as u32;
    pub const Abrevebelowdot: Key = gdk_sys::GDK_KEY_Abrevebelowdot as u32;
    pub const abrevebelowdot: Key = gdk_sys::GDK_KEY_abrevebelowdot as u32;
    pub const Ebelowdot: Key = gdk_sys::GDK_KEY_Ebelowdot as u32;
    pub const ebelowdot: Key = gdk_sys::GDK_KEY_ebelowdot as u32;
    pub const Ehook: Key = gdk_sys::GDK_KEY_Ehook as u32;
    pub const ehook: Key = gdk_sys::GDK_KEY_ehook as u32;
    pub const Etilde: Key = gdk_sys::GDK_KEY_Etilde as u32;
    pub const etilde: Key = gdk_sys::GDK_KEY_etilde as u32;
    pub const Ecircumflexacute: Key = gdk_sys::GDK_KEY_Ecircumflexacute as u32;
    pub const ecircumflexacute: Key = gdk_sys::GDK_KEY_ecircumflexacute as u32;
    pub const Ecircumflexgrave: Key = gdk_sys::GDK_KEY_Ecircumflexgrave as u32;
    pub const ecircumflexgrave: Key = gdk_sys::GDK_KEY_ecircumflexgrave as u32;
    pub const Ecircumflexhook: Key = gdk_sys::GDK_KEY_Ecircumflexhook as u32;
    pub const ecircumflexhook: Key = gdk_sys::GDK_KEY_ecircumflexhook as u32;
    pub const Ecircumflextilde: Key = gdk_sys::GDK_KEY_Ecircumflextilde as u32;
    pub const ecircumflextilde: Key = gdk_sys::GDK_KEY_ecircumflextilde as u32;
    pub const Ecircumflexbelowdot: Key = gdk_sys::GDK_KEY_Ecircumflexbelowdot as u32;
    pub const ecircumflexbelowdot: Key = gdk_sys::GDK_KEY_ecircumflexbelowdot as u32;
    pub const Ihook: Key = gdk_sys::GDK_KEY_Ihook as u32;
    pub const ihook: Key = gdk_sys::GDK_KEY_ihook as u32;
    pub const Ibelowdot: Key = gdk_sys::GDK_KEY_Ibelowdot as u32;
    pub const ibelowdot: Key = gdk_sys::GDK_KEY_ibelowdot as u32;
    pub const Obelowdot: Key = gdk_sys::GDK_KEY_Obelowdot as u32;
    pub const obelowdot: Key = gdk_sys::GDK_KEY_obelowdot as u32;
    pub const Ohook: Key = gdk_sys::GDK_KEY_Ohook as u32;
    pub const ohook: Key = gdk_sys::GDK_KEY_ohook as u32;
    pub const Ocircumflexacute: Key = gdk_sys::GDK_KEY_Ocircumflexacute as u32;
    pub const ocircumflexacute: Key = gdk_sys::GDK_KEY_ocircumflexacute as u32;
    pub const Ocircumflexgrave: Key = gdk_sys::GDK_KEY_Ocircumflexgrave as u32;
    pub const ocircumflexgrave: Key = gdk_sys::GDK_KEY_ocircumflexgrave as u32;
    pub const Ocircumflexhook: Key = gdk_sys::GDK_KEY_Ocircumflexhook as u32;
    pub const ocircumflexhook: Key = gdk_sys::GDK_KEY_ocircumflexhook as u32;
    pub const Ocircumflextilde: Key = gdk_sys::GDK_KEY_Ocircumflextilde as u32;
    pub const ocircumflextilde: Key = gdk_sys::GDK_KEY_ocircumflextilde as u32;
    pub const Ocircumflexbelowdot: Key = gdk_sys::GDK_KEY_Ocircumflexbelowdot as u32;
    pub const ocircumflexbelowdot: Key = gdk_sys::GDK_KEY_ocircumflexbelowdot as u32;
    pub const Ohornacute: Key = gdk_sys::GDK_KEY_Ohornacute as u32;
    pub const ohornacute: Key = gdk_sys::GDK_KEY_ohornacute as u32;
    pub const Ohorngrave: Key = gdk_sys::GDK_KEY_Ohorngrave as u32;
    pub const ohorngrave: Key = gdk_sys::GDK_KEY_ohorngrave as u32;
    pub const Ohornhook: Key = gdk_sys::GDK_KEY_Ohornhook as u32;
    pub const ohornhook: Key = gdk_sys::GDK_KEY_ohornhook as u32;
    pub const Ohorntilde: Key = gdk_sys::GDK_KEY_Ohorntilde as u32;
    pub const ohorntilde: Key = gdk_sys::GDK_KEY_ohorntilde as u32;
    pub const Ohornbelowdot: Key = gdk_sys::GDK_KEY_Ohornbelowdot as u32;
    pub const ohornbelowdot: Key = gdk_sys::GDK_KEY_ohornbelowdot as u32;
    pub const Ubelowdot: Key = gdk_sys::GDK_KEY_Ubelowdot as u32;
    pub const ubelowdot: Key = gdk_sys::GDK_KEY_ubelowdot as u32;
    pub const Uhook: Key = gdk_sys::GDK_KEY_Uhook as u32;
    pub const uhook: Key = gdk_sys::GDK_KEY_uhook as u32;
    pub const Uhornacute: Key = gdk_sys::GDK_KEY_Uhornacute as u32;
    pub const uhornacute: Key = gdk_sys::GDK_KEY_uhornacute as u32;
    pub const Uhorngrave: Key = gdk_sys::GDK_KEY_Uhorngrave as u32;
    pub const uhorngrave: Key = gdk_sys::GDK_KEY_uhorngrave as u32;
    pub const Uhornhook: Key = gdk_sys::GDK_KEY_Uhornhook as u32;
    pub const uhornhook: Key = gdk_sys::GDK_KEY_uhornhook as u32;
    pub const Uhorntilde: Key = gdk_sys::GDK_KEY_Uhorntilde as u32;
    pub const uhorntilde: Key = gdk_sys::GDK_KEY_uhorntilde as u32;
    pub const Uhornbelowdot: Key = gdk_sys::GDK_KEY_Uhornbelowdot as u32;
    pub const uhornbelowdot: Key = gdk_sys::GDK_KEY_uhornbelowdot as u32;
    pub const Ybelowdot: Key = gdk_sys::GDK_KEY_Ybelowdot as u32;
    pub const ybelowdot: Key = gdk_sys::GDK_KEY_ybelowdot as u32;
    pub const Yhook: Key = gdk_sys::GDK_KEY_Yhook as u32;
    pub const yhook: Key = gdk_sys::GDK_KEY_yhook as u32;
    pub const Ytilde: Key = gdk_sys::GDK_KEY_Ytilde as u32;
    pub const ytilde: Key = gdk_sys::GDK_KEY_ytilde as u32;
    pub const Ohorn: Key = gdk_sys::GDK_KEY_Ohorn as u32;
    pub const ohorn: Key = gdk_sys::GDK_KEY_ohorn as u32;
    pub const Uhorn: Key = gdk_sys::GDK_KEY_Uhorn as u32;
    pub const uhorn: Key = gdk_sys::GDK_KEY_uhorn as u32;
    pub const EcuSign: Key = gdk_sys::GDK_KEY_EcuSign as u32;
    pub const ColonSign: Key = gdk_sys::GDK_KEY_ColonSign as u32;
    pub const CruzeiroSign: Key = gdk_sys::GDK_KEY_CruzeiroSign as u32;
    pub const FFrancSign: Key = gdk_sys::GDK_KEY_FFrancSign as u32;
    pub const LiraSign: Key = gdk_sys::GDK_KEY_LiraSign as u32;
    pub const MillSign: Key = gdk_sys::GDK_KEY_MillSign as u32;
    pub const NairaSign: Key = gdk_sys::GDK_KEY_NairaSign as u32;
    pub const PesetaSign: Key = gdk_sys::GDK_KEY_PesetaSign as u32;
    pub const RupeeSign: Key = gdk_sys::GDK_KEY_RupeeSign as u32;
    pub const WonSign: Key = gdk_sys::GDK_KEY_WonSign as u32;
    pub const NewSheqelSign: Key = gdk_sys::GDK_KEY_NewSheqelSign as u32;
    pub const DongSign: Key = gdk_sys::GDK_KEY_DongSign as u32;
    pub const EuroSign: Key = gdk_sys::GDK_KEY_EuroSign as u32;
    pub const zerosuperior: Key = gdk_sys::GDK_KEY_zerosuperior as u32;
    pub const foursuperior: Key = gdk_sys::GDK_KEY_foursuperior as u32;
    pub const fivesuperior: Key = gdk_sys::GDK_KEY_fivesuperior as u32;
    pub const sixsuperior: Key = gdk_sys::GDK_KEY_sixsuperior as u32;
    pub const sevensuperior: Key = gdk_sys::GDK_KEY_sevensuperior as u32;
    pub const eightsuperior: Key = gdk_sys::GDK_KEY_eightsuperior as u32;
    pub const ninesuperior: Key = gdk_sys::GDK_KEY_ninesuperior as u32;
    pub const zerosubscript: Key = gdk_sys::GDK_KEY_zerosubscript as u32;
    pub const onesubscript: Key = gdk_sys::GDK_KEY_onesubscript as u32;
    pub const twosubscript: Key = gdk_sys::GDK_KEY_twosubscript as u32;
    pub const threesubscript: Key = gdk_sys::GDK_KEY_threesubscript as u32;
    pub const foursubscript: Key = gdk_sys::GDK_KEY_foursubscript as u32;
    pub const fivesubscript: Key = gdk_sys::GDK_KEY_fivesubscript as u32;
    pub const sixsubscript: Key = gdk_sys::GDK_KEY_sixsubscript as u32;
    pub const sevensubscript: Key = gdk_sys::GDK_KEY_sevensubscript as u32;
    pub const eightsubscript: Key = gdk_sys::GDK_KEY_eightsubscript as u32;
    pub const ninesubscript: Key = gdk_sys::GDK_KEY_ninesubscript as u32;
    pub const partdifferential: Key = gdk_sys::GDK_KEY_partdifferential as u32;
    pub const emptyset: Key = gdk_sys::GDK_KEY_emptyset as u32;
    pub const elementof: Key = gdk_sys::GDK_KEY_elementof as u32;
    pub const notelementof: Key = gdk_sys::GDK_KEY_notelementof as u32;
    pub const containsas: Key = gdk_sys::GDK_KEY_containsas as u32;
    pub const squareroot: Key = gdk_sys::GDK_KEY_squareroot as u32;
    pub const cuberoot: Key = gdk_sys::GDK_KEY_cuberoot as u32;
    pub const fourthroot: Key = gdk_sys::GDK_KEY_fourthroot as u32;
    pub const dintegral: Key = gdk_sys::GDK_KEY_dintegral as u32;
    pub const tintegral: Key = gdk_sys::GDK_KEY_tintegral as u32;
    pub const because: Key = gdk_sys::GDK_KEY_because as u32;
    pub const approxeq: Key = gdk_sys::GDK_KEY_approxeq as u32;
    pub const notapproxeq: Key = gdk_sys::GDK_KEY_notapproxeq as u32;
    pub const notidentical: Key = gdk_sys::GDK_KEY_notidentical as u32;
    pub const stricteq: Key = gdk_sys::GDK_KEY_stricteq as u32;
    pub const braille_dot_1: Key = gdk_sys::GDK_KEY_braille_dot_1 as u32;
    pub const braille_dot_2: Key = gdk_sys::GDK_KEY_braille_dot_2 as u32;
    pub const braille_dot_3: Key = gdk_sys::GDK_KEY_braille_dot_3 as u32;
    pub const braille_dot_4: Key = gdk_sys::GDK_KEY_braille_dot_4 as u32;
    pub const braille_dot_5: Key = gdk_sys::GDK_KEY_braille_dot_5 as u32;
    pub const braille_dot_6: Key = gdk_sys::GDK_KEY_braille_dot_6 as u32;
    pub const braille_dot_7: Key = gdk_sys::GDK_KEY_braille_dot_7 as u32;
    pub const braille_dot_8: Key = gdk_sys::GDK_KEY_braille_dot_8 as u32;
    pub const braille_dot_9: Key = gdk_sys::GDK_KEY_braille_dot_9 as u32;
    pub const braille_dot_10: Key = gdk_sys::GDK_KEY_braille_dot_10 as u32;
    pub const braille_blank: Key = gdk_sys::GDK_KEY_braille_blank as u32;
    pub const braille_dots_1: Key = gdk_sys::GDK_KEY_braille_dots_1 as u32;
    pub const braille_dots_2: Key = gdk_sys::GDK_KEY_braille_dots_2 as u32;
    pub const braille_dots_12: Key = gdk_sys::GDK_KEY_braille_dots_12 as u32;
    pub const braille_dots_3: Key = gdk_sys::GDK_KEY_braille_dots_3 as u32;
    pub const braille_dots_13: Key = gdk_sys::GDK_KEY_braille_dots_13 as u32;
    pub const braille_dots_23: Key = gdk_sys::GDK_KEY_braille_dots_23 as u32;
    pub const braille_dots_123: Key = gdk_sys::GDK_KEY_braille_dots_123 as u32;
    pub const braille_dots_4: Key = gdk_sys::GDK_KEY_braille_dots_4 as u32;
    pub const braille_dots_14: Key = gdk_sys::GDK_KEY_braille_dots_14 as u32;
    pub const braille_dots_24: Key = gdk_sys::GDK_KEY_braille_dots_24 as u32;
    pub const braille_dots_124: Key = gdk_sys::GDK_KEY_braille_dots_124 as u32;
    pub const braille_dots_34: Key = gdk_sys::GDK_KEY_braille_dots_34 as u32;
    pub const braille_dots_134: Key = gdk_sys::GDK_KEY_braille_dots_134 as u32;
    pub const braille_dots_234: Key = gdk_sys::GDK_KEY_braille_dots_234 as u32;
    pub const braille_dots_1234: Key = gdk_sys::GDK_KEY_braille_dots_1234 as u32;
    pub const braille_dots_5: Key = gdk_sys::GDK_KEY_braille_dots_5 as u32;
    pub const braille_dots_15: Key = gdk_sys::GDK_KEY_braille_dots_15 as u32;
    pub const braille_dots_25: Key = gdk_sys::GDK_KEY_braille_dots_25 as u32;
    pub const braille_dots_125: Key = gdk_sys::GDK_KEY_braille_dots_125 as u32;
    pub const braille_dots_35: Key = gdk_sys::GDK_KEY_braille_dots_35 as u32;
    pub const braille_dots_135: Key = gdk_sys::GDK_KEY_braille_dots_135 as u32;
    pub const braille_dots_235: Key = gdk_sys::GDK_KEY_braille_dots_235 as u32;
    pub const braille_dots_1235: Key = gdk_sys::GDK_KEY_braille_dots_1235 as u32;
    pub const braille_dots_45: Key = gdk_sys::GDK_KEY_braille_dots_45 as u32;
    pub const braille_dots_145: Key = gdk_sys::GDK_KEY_braille_dots_145 as u32;
    pub const braille_dots_245: Key = gdk_sys::GDK_KEY_braille_dots_245 as u32;
    pub const braille_dots_1245: Key = gdk_sys::GDK_KEY_braille_dots_1245 as u32;
    pub const braille_dots_345: Key = gdk_sys::GDK_KEY_braille_dots_345 as u32;
    pub const braille_dots_1345: Key = gdk_sys::GDK_KEY_braille_dots_1345 as u32;
    pub const braille_dots_2345: Key = gdk_sys::GDK_KEY_braille_dots_2345 as u32;
    pub const braille_dots_12345: Key = gdk_sys::GDK_KEY_braille_dots_12345 as u32;
    pub const braille_dots_6: Key = gdk_sys::GDK_KEY_braille_dots_6 as u32;
    pub const braille_dots_16: Key = gdk_sys::GDK_KEY_braille_dots_16 as u32;
    pub const braille_dots_26: Key = gdk_sys::GDK_KEY_braille_dots_26 as u32;
    pub const braille_dots_126: Key = gdk_sys::GDK_KEY_braille_dots_126 as u32;
    pub const braille_dots_36: Key = gdk_sys::GDK_KEY_braille_dots_36 as u32;
    pub const braille_dots_136: Key = gdk_sys::GDK_KEY_braille_dots_136 as u32;
    pub const braille_dots_236: Key = gdk_sys::GDK_KEY_braille_dots_236 as u32;
    pub const braille_dots_1236: Key = gdk_sys::GDK_KEY_braille_dots_1236 as u32;
    pub const braille_dots_46: Key = gdk_sys::GDK_KEY_braille_dots_46 as u32;
    pub const braille_dots_146: Key = gdk_sys::GDK_KEY_braille_dots_146 as u32;
    pub const braille_dots_246: Key = gdk_sys::GDK_KEY_braille_dots_246 as u32;
    pub const braille_dots_1246: Key = gdk_sys::GDK_KEY_braille_dots_1246 as u32;
    pub const braille_dots_346: Key = gdk_sys::GDK_KEY_braille_dots_346 as u32;
    pub const braille_dots_1346: Key = gdk_sys::GDK_KEY_braille_dots_1346 as u32;
    pub const braille_dots_2346: Key = gdk_sys::GDK_KEY_braille_dots_2346 as u32;
    pub const braille_dots_12346: Key = gdk_sys::GDK_KEY_braille_dots_12346 as u32;
    pub const braille_dots_56: Key = gdk_sys::GDK_KEY_braille_dots_56 as u32;
    pub const braille_dots_156: Key = gdk_sys::GDK_KEY_braille_dots_156 as u32;
    pub const braille_dots_256: Key = gdk_sys::GDK_KEY_braille_dots_256 as u32;
    pub const braille_dots_1256: Key = gdk_sys::GDK_KEY_braille_dots_1256 as u32;
    pub const braille_dots_356: Key = gdk_sys::GDK_KEY_braille_dots_356 as u32;
    pub const braille_dots_1356: Key = gdk_sys::GDK_KEY_braille_dots_1356 as u32;
    pub const braille_dots_2356: Key = gdk_sys::GDK_KEY_braille_dots_2356 as u32;
    pub const braille_dots_12356: Key = gdk_sys::GDK_KEY_braille_dots_12356 as u32;
    pub const braille_dots_456: Key = gdk_sys::GDK_KEY_braille_dots_456 as u32;
    pub const braille_dots_1456: Key = gdk_sys::GDK_KEY_braille_dots_1456 as u32;
    pub const braille_dots_2456: Key = gdk_sys::GDK_KEY_braille_dots_2456 as u32;
    pub const braille_dots_12456: Key = gdk_sys::GDK_KEY_braille_dots_12456 as u32;
    pub const braille_dots_3456: Key = gdk_sys::GDK_KEY_braille_dots_3456 as u32;
    pub const braille_dots_13456: Key = gdk_sys::GDK_KEY_braille_dots_13456 as u32;
    pub const braille_dots_23456: Key = gdk_sys::GDK_KEY_braille_dots_23456 as u32;
    pub const braille_dots_123456: Key = gdk_sys::GDK_KEY_braille_dots_123456 as u32;
    pub const braille_dots_7: Key = gdk_sys::GDK_KEY_braille_dots_7 as u32;
    pub const braille_dots_17: Key = gdk_sys::GDK_KEY_braille_dots_17 as u32;
    pub const braille_dots_27: Key = gdk_sys::GDK_KEY_braille_dots_27 as u32;
    pub const braille_dots_127: Key = gdk_sys::GDK_KEY_braille_dots_127 as u32;
    pub const braille_dots_37: Key = gdk_sys::GDK_KEY_braille_dots_37 as u32;
    pub const braille_dots_137: Key = gdk_sys::GDK_KEY_braille_dots_137 as u32;
    pub const braille_dots_237: Key = gdk_sys::GDK_KEY_braille_dots_237 as u32;
    pub const braille_dots_1237: Key = gdk_sys::GDK_KEY_braille_dots_1237 as u32;
    pub const braille_dots_47: Key = gdk_sys::GDK_KEY_braille_dots_47 as u32;
    pub const braille_dots_147: Key = gdk_sys::GDK_KEY_braille_dots_147 as u32;
    pub const braille_dots_247: Key = gdk_sys::GDK_KEY_braille_dots_247 as u32;
    pub const braille_dots_1247: Key = gdk_sys::GDK_KEY_braille_dots_1247 as u32;
    pub const braille_dots_347: Key = gdk_sys::GDK_KEY_braille_dots_347 as u32;
    pub const braille_dots_1347: Key = gdk_sys::GDK_KEY_braille_dots_1347 as u32;
    pub const braille_dots_2347: Key = gdk_sys::GDK_KEY_braille_dots_2347 as u32;
    pub const braille_dots_12347: Key = gdk_sys::GDK_KEY_braille_dots_12347 as u32;
    pub const braille_dots_57: Key = gdk_sys::GDK_KEY_braille_dots_57 as u32;
    pub const braille_dots_157: Key = gdk_sys::GDK_KEY_braille_dots_157 as u32;
    pub const braille_dots_257: Key = gdk_sys::GDK_KEY_braille_dots_257 as u32;
    pub const braille_dots_1257: Key = gdk_sys::GDK_KEY_braille_dots_1257 as u32;
    pub const braille_dots_357: Key = gdk_sys::GDK_KEY_braille_dots_357 as u32;
    pub const braille_dots_1357: Key = gdk_sys::GDK_KEY_braille_dots_1357 as u32;
    pub const braille_dots_2357: Key = gdk_sys::GDK_KEY_braille_dots_2357 as u32;
    pub const braille_dots_12357: Key = gdk_sys::GDK_KEY_braille_dots_12357 as u32;
    pub const braille_dots_457: Key = gdk_sys::GDK_KEY_braille_dots_457 as u32;
    pub const braille_dots_1457: Key = gdk_sys::GDK_KEY_braille_dots_1457 as u32;
    pub const braille_dots_2457: Key = gdk_sys::GDK_KEY_braille_dots_2457 as u32;
    pub const braille_dots_12457: Key = gdk_sys::GDK_KEY_braille_dots_12457 as u32;
    pub const braille_dots_3457: Key = gdk_sys::GDK_KEY_braille_dots_3457 as u32;
    pub const braille_dots_13457: Key = gdk_sys::GDK_KEY_braille_dots_13457 as u32;
    pub const braille_dots_23457: Key = gdk_sys::GDK_KEY_braille_dots_23457 as u32;
    pub const braille_dots_123457: Key = gdk_sys::GDK_KEY_braille_dots_123457 as u32;
    pub const braille_dots_67: Key = gdk_sys::GDK_KEY_braille_dots_67 as u32;
    pub const braille_dots_167: Key = gdk_sys::GDK_KEY_braille_dots_167 as u32;
    pub const braille_dots_267: Key = gdk_sys::GDK_KEY_braille_dots_267 as u32;
    pub const braille_dots_1267: Key = gdk_sys::GDK_KEY_braille_dots_1267 as u32;
    pub const braille_dots_367: Key = gdk_sys::GDK_KEY_braille_dots_367 as u32;
    pub const braille_dots_1367: Key = gdk_sys::GDK_KEY_braille_dots_1367 as u32;
    pub const braille_dots_2367: Key = gdk_sys::GDK_KEY_braille_dots_2367 as u32;
    pub const braille_dots_12367: Key = gdk_sys::GDK_KEY_braille_dots_12367 as u32;
    pub const braille_dots_467: Key = gdk_sys::GDK_KEY_braille_dots_467 as u32;
    pub const braille_dots_1467: Key = gdk_sys::GDK_KEY_braille_dots_1467 as u32;
    pub const braille_dots_2467: Key = gdk_sys::GDK_KEY_braille_dots_2467 as u32;
    pub const braille_dots_12467: Key = gdk_sys::GDK_KEY_braille_dots_12467 as u32;
    pub const braille_dots_3467: Key = gdk_sys::GDK_KEY_braille_dots_3467 as u32;
    pub const braille_dots_13467: Key = gdk_sys::GDK_KEY_braille_dots_13467 as u32;
    pub const braille_dots_23467: Key = gdk_sys::GDK_KEY_braille_dots_23467 as u32;
    pub const braille_dots_123467: Key = gdk_sys::GDK_KEY_braille_dots_123467 as u32;
    pub const braille_dots_567: Key = gdk_sys::GDK_KEY_braille_dots_567 as u32;
    pub const braille_dots_1567: Key = gdk_sys::GDK_KEY_braille_dots_1567 as u32;
    pub const braille_dots_2567: Key = gdk_sys::GDK_KEY_braille_dots_2567 as u32;
    pub const braille_dots_12567: Key = gdk_sys::GDK_KEY_braille_dots_12567 as u32;
    pub const braille_dots_3567: Key = gdk_sys::GDK_KEY_braille_dots_3567 as u32;
    pub const braille_dots_13567: Key = gdk_sys::GDK_KEY_braille_dots_13567 as u32;
    pub const braille_dots_23567: Key = gdk_sys::GDK_KEY_braille_dots_23567 as u32;
    pub const braille_dots_123567: Key = gdk_sys::GDK_KEY_braille_dots_123567 as u32;
    pub const braille_dots_4567: Key = gdk_sys::GDK_KEY_braille_dots_4567 as u32;
    pub const braille_dots_14567: Key = gdk_sys::GDK_KEY_braille_dots_14567 as u32;
    pub const braille_dots_24567: Key = gdk_sys::GDK_KEY_braille_dots_24567 as u32;
    pub const braille_dots_124567: Key = gdk_sys::GDK_KEY_braille_dots_124567 as u32;
    pub const braille_dots_34567: Key = gdk_sys::GDK_KEY_braille_dots_34567 as u32;
    pub const braille_dots_134567: Key = gdk_sys::GDK_KEY_braille_dots_134567 as u32;
    pub const braille_dots_234567: Key = gdk_sys::GDK_KEY_braille_dots_234567 as u32;
    pub const braille_dots_1234567: Key = gdk_sys::GDK_KEY_braille_dots_1234567 as u32;
    pub const braille_dots_8: Key = gdk_sys::GDK_KEY_braille_dots_8 as u32;
    pub const braille_dots_18: Key = gdk_sys::GDK_KEY_braille_dots_18 as u32;
    pub const braille_dots_28: Key = gdk_sys::GDK_KEY_braille_dots_28 as u32;
    pub const braille_dots_128: Key = gdk_sys::GDK_KEY_braille_dots_128 as u32;
    pub const braille_dots_38: Key = gdk_sys::GDK_KEY_braille_dots_38 as u32;
    pub const braille_dots_138: Key = gdk_sys::GDK_KEY_braille_dots_138 as u32;
    pub const braille_dots_238: Key = gdk_sys::GDK_KEY_braille_dots_238 as u32;
    pub const braille_dots_1238: Key = gdk_sys::GDK_KEY_braille_dots_1238 as u32;
    pub const braille_dots_48: Key = gdk_sys::GDK_KEY_braille_dots_48 as u32;
    pub const braille_dots_148: Key = gdk_sys::GDK_KEY_braille_dots_148 as u32;
    pub const braille_dots_248: Key = gdk_sys::GDK_KEY_braille_dots_248 as u32;
    pub const braille_dots_1248: Key = gdk_sys::GDK_KEY_braille_dots_1248 as u32;
    pub const braille_dots_348: Key = gdk_sys::GDK_KEY_braille_dots_348 as u32;
    pub const braille_dots_1348: Key = gdk_sys::GDK_KEY_braille_dots_1348 as u32;
    pub const braille_dots_2348: Key = gdk_sys::GDK_KEY_braille_dots_2348 as u32;
    pub const braille_dots_12348: Key = gdk_sys::GDK_KEY_braille_dots_12348 as u32;
    pub const braille_dots_58: Key = gdk_sys::GDK_KEY_braille_dots_58 as u32;
    pub const braille_dots_158: Key = gdk_sys::GDK_KEY_braille_dots_158 as u32;
    pub const braille_dots_258: Key = gdk_sys::GDK_KEY_braille_dots_258 as u32;
    pub const braille_dots_1258: Key = gdk_sys::GDK_KEY_braille_dots_1258 as u32;
    pub const braille_dots_358: Key = gdk_sys::GDK_KEY_braille_dots_358 as u32;
    pub const braille_dots_1358: Key = gdk_sys::GDK_KEY_braille_dots_1358 as u32;
    pub const braille_dots_2358: Key = gdk_sys::GDK_KEY_braille_dots_2358 as u32;
    pub const braille_dots_12358: Key = gdk_sys::GDK_KEY_braille_dots_12358 as u32;
    pub const braille_dots_458: Key = gdk_sys::GDK_KEY_braille_dots_458 as u32;
    pub const braille_dots_1458: Key = gdk_sys::GDK_KEY_braille_dots_1458 as u32;
    pub const braille_dots_2458: Key = gdk_sys::GDK_KEY_braille_dots_2458 as u32;
    pub const braille_dots_12458: Key = gdk_sys::GDK_KEY_braille_dots_12458 as u32;
    pub const braille_dots_3458: Key = gdk_sys::GDK_KEY_braille_dots_3458 as u32;
    pub const braille_dots_13458: Key = gdk_sys::GDK_KEY_braille_dots_13458 as u32;
    pub const braille_dots_23458: Key = gdk_sys::GDK_KEY_braille_dots_23458 as u32;
    pub const braille_dots_123458: Key = gdk_sys::GDK_KEY_braille_dots_123458 as u32;
    pub const braille_dots_68: Key = gdk_sys::GDK_KEY_braille_dots_68 as u32;
    pub const braille_dots_168: Key = gdk_sys::GDK_KEY_braille_dots_168 as u32;
    pub const braille_dots_268: Key = gdk_sys::GDK_KEY_braille_dots_268 as u32;
    pub const braille_dots_1268: Key = gdk_sys::GDK_KEY_braille_dots_1268 as u32;
    pub const braille_dots_368: Key = gdk_sys::GDK_KEY_braille_dots_368 as u32;
    pub const braille_dots_1368: Key = gdk_sys::GDK_KEY_braille_dots_1368 as u32;
    pub const braille_dots_2368: Key = gdk_sys::GDK_KEY_braille_dots_2368 as u32;
    pub const braille_dots_12368: Key = gdk_sys::GDK_KEY_braille_dots_12368 as u32;
    pub const braille_dots_468: Key = gdk_sys::GDK_KEY_braille_dots_468 as u32;
    pub const braille_dots_1468: Key = gdk_sys::GDK_KEY_braille_dots_1468 as u32;
    pub const braille_dots_2468: Key = gdk_sys::GDK_KEY_braille_dots_2468 as u32;
    pub const braille_dots_12468: Key = gdk_sys::GDK_KEY_braille_dots_12468 as u32;
    pub const braille_dots_3468: Key = gdk_sys::GDK_KEY_braille_dots_3468 as u32;
    pub const braille_dots_13468: Key = gdk_sys::GDK_KEY_braille_dots_13468 as u32;
    pub const braille_dots_23468: Key = gdk_sys::GDK_KEY_braille_dots_23468 as u32;
    pub const braille_dots_123468: Key = gdk_sys::GDK_KEY_braille_dots_123468 as u32;
    pub const braille_dots_568: Key = gdk_sys::GDK_KEY_braille_dots_568 as u32;
    pub const braille_dots_1568: Key = gdk_sys::GDK_KEY_braille_dots_1568 as u32;
    pub const braille_dots_2568: Key = gdk_sys::GDK_KEY_braille_dots_2568 as u32;
    pub const braille_dots_12568: Key = gdk_sys::GDK_KEY_braille_dots_12568 as u32;
    pub const braille_dots_3568: Key = gdk_sys::GDK_KEY_braille_dots_3568 as u32;
    pub const braille_dots_13568: Key = gdk_sys::GDK_KEY_braille_dots_13568 as u32;
    pub const braille_dots_23568: Key = gdk_sys::GDK_KEY_braille_dots_23568 as u32;
    pub const braille_dots_123568: Key = gdk_sys::GDK_KEY_braille_dots_123568 as u32;
    pub const braille_dots_4568: Key = gdk_sys::GDK_KEY_braille_dots_4568 as u32;
    pub const braille_dots_14568: Key = gdk_sys::GDK_KEY_braille_dots_14568 as u32;
    pub const braille_dots_24568: Key = gdk_sys::GDK_KEY_braille_dots_24568 as u32;
    pub const braille_dots_124568: Key = gdk_sys::GDK_KEY_braille_dots_124568 as u32;
    pub const braille_dots_34568: Key = gdk_sys::GDK_KEY_braille_dots_34568 as u32;
    pub const braille_dots_134568: Key = gdk_sys::GDK_KEY_braille_dots_134568 as u32;
    pub const braille_dots_234568: Key = gdk_sys::GDK_KEY_braille_dots_234568 as u32;
    pub const braille_dots_1234568: Key = gdk_sys::GDK_KEY_braille_dots_1234568 as u32;
    pub const braille_dots_78: Key = gdk_sys::GDK_KEY_braille_dots_78 as u32;
    pub const braille_dots_178: Key = gdk_sys::GDK_KEY_braille_dots_178 as u32;
    pub const braille_dots_278: Key = gdk_sys::GDK_KEY_braille_dots_278 as u32;
    pub const braille_dots_1278: Key = gdk_sys::GDK_KEY_braille_dots_1278 as u32;
    pub const braille_dots_378: Key = gdk_sys::GDK_KEY_braille_dots_378 as u32;
    pub const braille_dots_1378: Key = gdk_sys::GDK_KEY_braille_dots_1378 as u32;
    pub const braille_dots_2378: Key = gdk_sys::GDK_KEY_braille_dots_2378 as u32;
    pub const braille_dots_12378: Key = gdk_sys::GDK_KEY_braille_dots_12378 as u32;
    pub const braille_dots_478: Key = gdk_sys::GDK_KEY_braille_dots_478 as u32;
    pub const braille_dots_1478: Key = gdk_sys::GDK_KEY_braille_dots_1478 as u32;
    pub const braille_dots_2478: Key = gdk_sys::GDK_KEY_braille_dots_2478 as u32;
    pub const braille_dots_12478: Key = gdk_sys::GDK_KEY_braille_dots_12478 as u32;
    pub const braille_dots_3478: Key = gdk_sys::GDK_KEY_braille_dots_3478 as u32;
    pub const braille_dots_13478: Key = gdk_sys::GDK_KEY_braille_dots_13478 as u32;
    pub const braille_dots_23478: Key = gdk_sys::GDK_KEY_braille_dots_23478 as u32;
    pub const braille_dots_123478: Key = gdk_sys::GDK_KEY_braille_dots_123478 as u32;
    pub const braille_dots_578: Key = gdk_sys::GDK_KEY_braille_dots_578 as u32;
    pub const braille_dots_1578: Key = gdk_sys::GDK_KEY_braille_dots_1578 as u32;
    pub const braille_dots_2578: Key = gdk_sys::GDK_KEY_braille_dots_2578 as u32;
    pub const braille_dots_12578: Key = gdk_sys::GDK_KEY_braille_dots_12578 as u32;
    pub const braille_dots_3578: Key = gdk_sys::GDK_KEY_braille_dots_3578 as u32;
    pub const braille_dots_13578: Key = gdk_sys::GDK_KEY_braille_dots_13578 as u32;
    pub const braille_dots_23578: Key = gdk_sys::GDK_KEY_braille_dots_23578 as u32;
    pub const braille_dots_123578: Key = gdk_sys::GDK_KEY_braille_dots_123578 as u32;
    pub const braille_dots_4578: Key = gdk_sys::GDK_KEY_braille_dots_4578 as u32;
    pub const braille_dots_14578: Key = gdk_sys::GDK_KEY_braille_dots_14578 as u32;
    pub const braille_dots_24578: Key = gdk_sys::GDK_KEY_braille_dots_24578 as u32;
    pub const braille_dots_124578: Key = gdk_sys::GDK_KEY_braille_dots_124578 as u32;
    pub const braille_dots_34578: Key = gdk_sys::GDK_KEY_braille_dots_34578 as u32;
    pub const braille_dots_134578: Key = gdk_sys::GDK_KEY_braille_dots_134578 as u32;
    pub const braille_dots_234578: Key = gdk_sys::GDK_KEY_braille_dots_234578 as u32;
    pub const braille_dots_1234578: Key = gdk_sys::GDK_KEY_braille_dots_1234578 as u32;
    pub const braille_dots_678: Key = gdk_sys::GDK_KEY_braille_dots_678 as u32;
    pub const braille_dots_1678: Key = gdk_sys::GDK_KEY_braille_dots_1678 as u32;
    pub const braille_dots_2678: Key = gdk_sys::GDK_KEY_braille_dots_2678 as u32;
    pub const braille_dots_12678: Key = gdk_sys::GDK_KEY_braille_dots_12678 as u32;
    pub const braille_dots_3678: Key = gdk_sys::GDK_KEY_braille_dots_3678 as u32;
    pub const braille_dots_13678: Key = gdk_sys::GDK_KEY_braille_dots_13678 as u32;
    pub const braille_dots_23678: Key = gdk_sys::GDK_KEY_braille_dots_23678 as u32;
    pub const braille_dots_123678: Key = gdk_sys::GDK_KEY_braille_dots_123678 as u32;
    pub const braille_dots_4678: Key = gdk_sys::GDK_KEY_braille_dots_4678 as u32;
    pub const braille_dots_14678: Key = gdk_sys::GDK_KEY_braille_dots_14678 as u32;
    pub const braille_dots_24678: Key = gdk_sys::GDK_KEY_braille_dots_24678 as u32;
    pub const braille_dots_124678: Key = gdk_sys::GDK_KEY_braille_dots_124678 as u32;
    pub const braille_dots_34678: Key = gdk_sys::GDK_KEY_braille_dots_34678 as u32;
    pub const braille_dots_134678: Key = gdk_sys::GDK_KEY_braille_dots_134678 as u32;
    pub const braille_dots_234678: Key = gdk_sys::GDK_KEY_braille_dots_234678 as u32;
    pub const braille_dots_1234678: Key = gdk_sys::GDK_KEY_braille_dots_1234678 as u32;
    pub const braille_dots_5678: Key = gdk_sys::GDK_KEY_braille_dots_5678 as u32;
    pub const braille_dots_15678: Key = gdk_sys::GDK_KEY_braille_dots_15678 as u32;
    pub const braille_dots_25678: Key = gdk_sys::GDK_KEY_braille_dots_25678 as u32;
    pub const braille_dots_125678: Key = gdk_sys::GDK_KEY_braille_dots_125678 as u32;
    pub const braille_dots_35678: Key = gdk_sys::GDK_KEY_braille_dots_35678 as u32;
    pub const braille_dots_135678: Key = gdk_sys::GDK_KEY_braille_dots_135678 as u32;
    pub const braille_dots_235678: Key = gdk_sys::GDK_KEY_braille_dots_235678 as u32;
    pub const braille_dots_1235678: Key = gdk_sys::GDK_KEY_braille_dots_1235678 as u32;
    pub const braille_dots_45678: Key = gdk_sys::GDK_KEY_braille_dots_45678 as u32;
    pub const braille_dots_145678: Key = gdk_sys::GDK_KEY_braille_dots_145678 as u32;
    pub const braille_dots_245678: Key = gdk_sys::GDK_KEY_braille_dots_245678 as u32;
    pub const braille_dots_1245678: Key = gdk_sys::GDK_KEY_braille_dots_1245678 as u32;
    pub const braille_dots_345678: Key = gdk_sys::GDK_KEY_braille_dots_345678 as u32;
    pub const braille_dots_1345678: Key = gdk_sys::GDK_KEY_braille_dots_1345678 as u32;
    pub const braille_dots_2345678: Key = gdk_sys::GDK_KEY_braille_dots_2345678 as u32;
    pub const braille_dots_12345678: Key = gdk_sys::GDK_KEY_braille_dots_12345678 as u32;
    pub const Sinh_ng: Key = gdk_sys::GDK_KEY_Sinh_ng as u32;
    pub const Sinh_h2: Key = gdk_sys::GDK_KEY_Sinh_h2 as u32;
    pub const Sinh_a: Key = gdk_sys::GDK_KEY_Sinh_a as u32;
    pub const Sinh_aa: Key = gdk_sys::GDK_KEY_Sinh_aa as u32;
    pub const Sinh_ae: Key = gdk_sys::GDK_KEY_Sinh_ae as u32;
    pub const Sinh_aee: Key = gdk_sys::GDK_KEY_Sinh_aee as u32;
    pub const Sinh_i: Key = gdk_sys::GDK_KEY_Sinh_i as u32;
    pub const Sinh_ii: Key = gdk_sys::GDK_KEY_Sinh_ii as u32;
    pub const Sinh_u: Key = gdk_sys::GDK_KEY_Sinh_u as u32;
    pub const Sinh_uu: Key = gdk_sys::GDK_KEY_Sinh_uu as u32;
    pub const Sinh_ri: Key = gdk_sys::GDK_KEY_Sinh_ri as u32;
    pub const Sinh_rii: Key = gdk_sys::GDK_KEY_Sinh_rii as u32;
    pub const Sinh_lu: Key = gdk_sys::GDK_KEY_Sinh_lu as u32;
    pub const Sinh_luu: Key = gdk_sys::GDK_KEY_Sinh_luu as u32;
    pub const Sinh_e: Key = gdk_sys::GDK_KEY_Sinh_e as u32;
    pub const Sinh_ee: Key = gdk_sys::GDK_KEY_Sinh_ee as u32;
    pub const Sinh_ai: Key = gdk_sys::GDK_KEY_Sinh_ai as u32;
    pub const Sinh_o: Key = gdk_sys::GDK_KEY_Sinh_o as u32;
    pub const Sinh_oo: Key = gdk_sys::GDK_KEY_Sinh_oo as u32;
    pub const Sinh_au: Key = gdk_sys::GDK_KEY_Sinh_au as u32;
    pub const Sinh_ka: Key = gdk_sys::GDK_KEY_Sinh_ka as u32;
    pub const Sinh_kha: Key = gdk_sys::GDK_KEY_Sinh_kha as u32;
    pub const Sinh_ga: Key = gdk_sys::GDK_KEY_Sinh_ga as u32;
    pub const Sinh_gha: Key = gdk_sys::GDK_KEY_Sinh_gha as u32;
    pub const Sinh_ng2: Key = gdk_sys::GDK_KEY_Sinh_ng2 as u32;
    pub const Sinh_nga: Key = gdk_sys::GDK_KEY_Sinh_nga as u32;
    pub const Sinh_ca: Key = gdk_sys::GDK_KEY_Sinh_ca as u32;
    pub const Sinh_cha: Key = gdk_sys::GDK_KEY_Sinh_cha as u32;
    pub const Sinh_ja: Key = gdk_sys::GDK_KEY_Sinh_ja as u32;
    pub const Sinh_jha: Key = gdk_sys::GDK_KEY_Sinh_jha as u32;
    pub const Sinh_nya: Key = gdk_sys::GDK_KEY_Sinh_nya as u32;
    pub const Sinh_jnya: Key = gdk_sys::GDK_KEY_Sinh_jnya as u32;
    pub const Sinh_nja: Key = gdk_sys::GDK_KEY_Sinh_nja as u32;
    pub const Sinh_tta: Key = gdk_sys::GDK_KEY_Sinh_tta as u32;
    pub const Sinh_ttha: Key = gdk_sys::GDK_KEY_Sinh_ttha as u32;
    pub const Sinh_dda: Key = gdk_sys::GDK_KEY_Sinh_dda as u32;
    pub const Sinh_ddha: Key = gdk_sys::GDK_KEY_Sinh_ddha as u32;
    pub const Sinh_nna: Key = gdk_sys::GDK_KEY_Sinh_nna as u32;
    pub const Sinh_ndda: Key = gdk_sys::GDK_KEY_Sinh_ndda as u32;
    pub const Sinh_tha: Key = gdk_sys::GDK_KEY_Sinh_tha as u32;
    pub const Sinh_thha: Key = gdk_sys::GDK_KEY_Sinh_thha as u32;
    pub const Sinh_dha: Key = gdk_sys::GDK_KEY_Sinh_dha as u32;
    pub const Sinh_dhha: Key = gdk_sys::GDK_KEY_Sinh_dhha as u32;
    pub const Sinh_na: Key = gdk_sys::GDK_KEY_Sinh_na as u32;
    pub const Sinh_ndha: Key = gdk_sys::GDK_KEY_Sinh_ndha as u32;
    pub const Sinh_pa: Key = gdk_sys::GDK_KEY_Sinh_pa as u32;
    pub const Sinh_pha: Key = gdk_sys::GDK_KEY_Sinh_pha as u32;
    pub const Sinh_ba: Key = gdk_sys::GDK_KEY_Sinh_ba as u32;
    pub const Sinh_bha: Key = gdk_sys::GDK_KEY_Sinh_bha as u32;
    pub const Sinh_ma: Key = gdk_sys::GDK_KEY_Sinh_ma as u32;
    pub const Sinh_mba: Key = gdk_sys::GDK_KEY_Sinh_mba as u32;
    pub const Sinh_ya: Key = gdk_sys::GDK_KEY_Sinh_ya as u32;
    pub const Sinh_ra: Key = gdk_sys::GDK_KEY_Sinh_ra as u32;
    pub const Sinh_la: Key = gdk_sys::GDK_KEY_Sinh_la as u32;
    pub const Sinh_va: Key = gdk_sys::GDK_KEY_Sinh_va as u32;
    pub const Sinh_sha: Key = gdk_sys::GDK_KEY_Sinh_sha as u32;
    pub const Sinh_ssha: Key = gdk_sys::GDK_KEY_Sinh_ssha as u32;
    pub const Sinh_sa: Key = gdk_sys::GDK_KEY_Sinh_sa as u32;
    pub const Sinh_ha: Key = gdk_sys::GDK_KEY_Sinh_ha as u32;
    pub const Sinh_lla: Key = gdk_sys::GDK_KEY_Sinh_lla as u32;
    pub const Sinh_fa: Key = gdk_sys::GDK_KEY_Sinh_fa as u32;
    pub const Sinh_al: Key = gdk_sys::GDK_KEY_Sinh_al as u32;
    pub const Sinh_aa2: Key = gdk_sys::GDK_KEY_Sinh_aa2 as u32;
    pub const Sinh_ae2: Key = gdk_sys::GDK_KEY_Sinh_ae2 as u32;
    pub const Sinh_aee2: Key = gdk_sys::GDK_KEY_Sinh_aee2 as u32;
    pub const Sinh_i2: Key = gdk_sys::GDK_KEY_Sinh_i2 as u32;
    pub const Sinh_ii2: Key = gdk_sys::GDK_KEY_Sinh_ii2 as u32;
    pub const Sinh_u2: Key = gdk_sys::GDK_KEY_Sinh_u2 as u32;
    pub const Sinh_uu2: Key = gdk_sys::GDK_KEY_Sinh_uu2 as u32;
    pub const Sinh_ru2: Key = gdk_sys::GDK_KEY_Sinh_ru2 as u32;
    pub const Sinh_e2: Key = gdk_sys::GDK_KEY_Sinh_e2 as u32;
    pub const Sinh_ee2: Key = gdk_sys::GDK_KEY_Sinh_ee2 as u32;
    pub const Sinh_ai2: Key = gdk_sys::GDK_KEY_Sinh_ai2 as u32;
    pub const Sinh_o2: Key = gdk_sys::GDK_KEY_Sinh_o2 as u32;
    pub const Sinh_oo2: Key = gdk_sys::GDK_KEY_Sinh_oo2 as u32;
    pub const Sinh_au2: Key = gdk_sys::GDK_KEY_Sinh_au2 as u32;
    pub const Sinh_lu2: Key = gdk_sys::GDK_KEY_Sinh_lu2 as u32;
    pub const Sinh_ruu2: Key = gdk_sys::GDK_KEY_Sinh_ruu2 as u32;
    pub const Sinh_luu2: Key = gdk_sys::GDK_KEY_Sinh_luu2 as u32;
    pub const Sinh_kunddaliya: Key = gdk_sys::GDK_KEY_Sinh_kunddaliya as u32;
    pub const ModeLock: Key = gdk_sys::GDK_KEY_ModeLock as u32;
    pub const MonBrightnessUp: Key = gdk_sys::GDK_KEY_MonBrightnessUp as u32;
    pub const MonBrightnessDown: Key = gdk_sys::GDK_KEY_MonBrightnessDown as u32;
    pub const KbdLightOnOff: Key = gdk_sys::GDK_KEY_KbdLightOnOff as u32;
    pub const KbdBrightnessUp: Key = gdk_sys::GDK_KEY_KbdBrightnessUp as u32;
    pub const KbdBrightnessDown: Key = gdk_sys::GDK_KEY_KbdBrightnessDown as u32;
    pub const Standby: Key = gdk_sys::GDK_KEY_Standby as u32;
    pub const AudioLowerVolume: Key = gdk_sys::GDK_KEY_AudioLowerVolume as u32;
    pub const AudioMute: Key = gdk_sys::GDK_KEY_AudioMute as u32;
    pub const AudioRaiseVolume: Key = gdk_sys::GDK_KEY_AudioRaiseVolume as u32;
    pub const AudioPlay: Key = gdk_sys::GDK_KEY_AudioPlay as u32;
    pub const AudioStop: Key = gdk_sys::GDK_KEY_AudioStop as u32;
    pub const AudioPrev: Key = gdk_sys::GDK_KEY_AudioPrev as u32;
    pub const AudioNext: Key = gdk_sys::GDK_KEY_AudioNext as u32;
    pub const HomePage: Key = gdk_sys::GDK_KEY_HomePage as u32;
    pub const Mail: Key = gdk_sys::GDK_KEY_Mail as u32;
    pub const Start: Key = gdk_sys::GDK_KEY_Start as u32;
    pub const Search: Key = gdk_sys::GDK_KEY_Search as u32;
    pub const AudioRecord: Key = gdk_sys::GDK_KEY_AudioRecord as u32;
    pub const Calculator: Key = gdk_sys::GDK_KEY_Calculator as u32;
    pub const Memo: Key = gdk_sys::GDK_KEY_Memo as u32;
    pub const ToDoList: Key = gdk_sys::GDK_KEY_ToDoList as u32;
    pub const Calendar: Key = gdk_sys::GDK_KEY_Calendar as u32;
    pub const PowerDown: Key = gdk_sys::GDK_KEY_PowerDown as u32;
    pub const ContrastAdjust: Key = gdk_sys::GDK_KEY_ContrastAdjust as u32;
    pub const RockerUp: Key = gdk_sys::GDK_KEY_RockerUp as u32;
    pub const RockerDown: Key = gdk_sys::GDK_KEY_RockerDown as u32;
    pub const RockerEnter: Key = gdk_sys::GDK_KEY_RockerEnter as u32;
    pub const Back: Key = gdk_sys::GDK_KEY_Back as u32;
    pub const Forward: Key = gdk_sys::GDK_KEY_Forward as u32;
    pub const Stop: Key = gdk_sys::GDK_KEY_Stop as u32;
    pub const Refresh: Key = gdk_sys::GDK_KEY_Refresh as u32;
    pub const PowerOff: Key = gdk_sys::GDK_KEY_PowerOff as u32;
    pub const WakeUp: Key = gdk_sys::GDK_KEY_WakeUp as u32;
    pub const Eject: Key = gdk_sys::GDK_KEY_Eject as u32;
    pub const ScreenSaver: Key = gdk_sys::GDK_KEY_ScreenSaver as u32;
    pub const WWW: Key = gdk_sys::GDK_KEY_WWW as u32;
    pub const Sleep: Key = gdk_sys::GDK_KEY_Sleep as u32;
    pub const Favorites: Key = gdk_sys::GDK_KEY_Favorites as u32;
    pub const AudioPause: Key = gdk_sys::GDK_KEY_AudioPause as u32;
    pub const AudioMedia: Key = gdk_sys::GDK_KEY_AudioMedia as u32;
    pub const MyComputer: Key = gdk_sys::GDK_KEY_MyComputer as u32;
    pub const VendorHome: Key = gdk_sys::GDK_KEY_VendorHome as u32;
    pub const LightBulb: Key = gdk_sys::GDK_KEY_LightBulb as u32;
    pub const Shop: Key = gdk_sys::GDK_KEY_Shop as u32;
    pub const History: Key = gdk_sys::GDK_KEY_History as u32;
    pub const OpenURL: Key = gdk_sys::GDK_KEY_OpenURL as u32;
    pub const AddFavorite: Key = gdk_sys::GDK_KEY_AddFavorite as u32;
    pub const HotLinks: Key = gdk_sys::GDK_KEY_HotLinks as u32;
    pub const BrightnessAdjust: Key = gdk_sys::GDK_KEY_BrightnessAdjust as u32;
    pub const Finance: Key = gdk_sys::GDK_KEY_Finance as u32;
    pub const Community: Key = gdk_sys::GDK_KEY_Community as u32;
    pub const AudioRewind: Key = gdk_sys::GDK_KEY_AudioRewind as u32;
    pub const BackForward: Key = gdk_sys::GDK_KEY_BackForward as u32;
    pub const Launch0: Key = gdk_sys::GDK_KEY_Launch0 as u32;
    pub const Launch1: Key = gdk_sys::GDK_KEY_Launch1 as u32;
    pub const Launch2: Key = gdk_sys::GDK_KEY_Launch2 as u32;
    pub const Launch3: Key = gdk_sys::GDK_KEY_Launch3 as u32;
    pub const Launch4: Key = gdk_sys::GDK_KEY_Launch4 as u32;
    pub const Launch5: Key = gdk_sys::GDK_KEY_Launch5 as u32;
    pub const Launch6: Key = gdk_sys::GDK_KEY_Launch6 as u32;
    pub const Launch7: Key = gdk_sys::GDK_KEY_Launch7 as u32;
    pub const Launch8: Key = gdk_sys::GDK_KEY_Launch8 as u32;
    pub const Launch9: Key = gdk_sys::GDK_KEY_Launch9 as u32;
    pub const LaunchA: Key = gdk_sys::GDK_KEY_LaunchA as u32;
    pub const LaunchB: Key = gdk_sys::GDK_KEY_LaunchB as u32;
    pub const LaunchC: Key = gdk_sys::GDK_KEY_LaunchC as u32;
    pub const LaunchD: Key = gdk_sys::GDK_KEY_LaunchD as u32;
    pub const LaunchE: Key = gdk_sys::GDK_KEY_LaunchE as u32;
    pub const LaunchF: Key = gdk_sys::GDK_KEY_LaunchF as u32;
    pub const ApplicationLeft: Key = gdk_sys::GDK_KEY_ApplicationLeft as u32;
    pub const ApplicationRight: Key = gdk_sys::GDK_KEY_ApplicationRight as u32;
    pub const Book: Key = gdk_sys::GDK_KEY_Book as u32;
    pub const CD: Key = gdk_sys::GDK_KEY_CD as u32;
    pub const WindowClear: Key = gdk_sys::GDK_KEY_WindowClear as u32;
    pub const Close: Key = gdk_sys::GDK_KEY_Close as u32;
    pub const Copy: Key = gdk_sys::GDK_KEY_Copy as u32;
    pub const Cut: Key = gdk_sys::GDK_KEY_Cut as u32;
    pub const Display: Key = gdk_sys::GDK_KEY_Display as u32;
    pub const DOS: Key = gdk_sys::GDK_KEY_DOS as u32;
    pub const Documents: Key = gdk_sys::GDK_KEY_Documents as u32;
    pub const Excel: Key = gdk_sys::GDK_KEY_Excel as u32;
    pub const Explorer: Key = gdk_sys::GDK_KEY_Explorer as u32;
    pub const Game: Key = gdk_sys::GDK_KEY_Game as u32;
    pub const Go: Key = gdk_sys::GDK_KEY_Go as u32;
    pub const iTouch: Key = gdk_sys::GDK_KEY_iTouch as u32;
    pub const LogOff: Key = gdk_sys::GDK_KEY_LogOff as u32;
    pub const Market: Key = gdk_sys::GDK_KEY_Market as u32;
    pub const Meeting: Key = gdk_sys::GDK_KEY_Meeting as u32;
    pub const MenuKB: Key = gdk_sys::GDK_KEY_MenuKB as u32;
    pub const MenuPB: Key = gdk_sys::GDK_KEY_MenuPB as u32;
    pub const MySites: Key = gdk_sys::GDK_KEY_MySites as u32;
    pub const New: Key = gdk_sys::GDK_KEY_New as u32;
    pub const News: Key = gdk_sys::GDK_KEY_News as u32;
    pub const OfficeHome: Key = gdk_sys::GDK_KEY_OfficeHome as u32;
    pub const Open: Key = gdk_sys::GDK_KEY_Open as u32;
    pub const Option: Key = gdk_sys::GDK_KEY_Option as u32;
    pub const Paste: Key = gdk_sys::GDK_KEY_Paste as u32;
    pub const Phone: Key = gdk_sys::GDK_KEY_Phone as u32;
    pub const Reply: Key = gdk_sys::GDK_KEY_Reply as u32;
    pub const Reload: Key = gdk_sys::GDK_KEY_Reload as u32;
    pub const RotateWindows: Key = gdk_sys::GDK_KEY_RotateWindows as u32;
    pub const RotationPB: Key = gdk_sys::GDK_KEY_RotationPB as u32;
    pub const RotationKB: Key = gdk_sys::GDK_KEY_RotationKB as u32;
    pub const Save: Key = gdk_sys::GDK_KEY_Save as u32;
    pub const ScrollUp: Key = gdk_sys::GDK_KEY_ScrollUp as u32;
    pub const ScrollDown: Key = gdk_sys::GDK_KEY_ScrollDown as u32;
    pub const ScrollClick: Key = gdk_sys::GDK_KEY_ScrollClick as u32;
    pub const Send: Key = gdk_sys::GDK_KEY_Send as u32;
    pub const Spell: Key = gdk_sys::GDK_KEY_Spell as u32;
    pub const SplitScreen: Key = gdk_sys::GDK_KEY_SplitScreen as u32;
    pub const Support: Key = gdk_sys::GDK_KEY_Support as u32;
    pub const TaskPane: Key = gdk_sys::GDK_KEY_TaskPane as u32;
    pub const Terminal: Key = gdk_sys::GDK_KEY_Terminal as u32;
    pub const Tools: Key = gdk_sys::GDK_KEY_Tools as u32;
    pub const Travel: Key = gdk_sys::GDK_KEY_Travel as u32;
    pub const UserPB: Key = gdk_sys::GDK_KEY_UserPB as u32;
    pub const User1KB: Key = gdk_sys::GDK_KEY_User1KB as u32;
    pub const User2KB: Key = gdk_sys::GDK_KEY_User2KB as u32;
    pub const Video: Key = gdk_sys::GDK_KEY_Video as u32;
    pub const WheelButton: Key = gdk_sys::GDK_KEY_WheelButton as u32;
    pub const Word: Key = gdk_sys::GDK_KEY_Word as u32;
    pub const Xfer: Key = gdk_sys::GDK_KEY_Xfer as u32;
    pub const ZoomIn: Key = gdk_sys::GDK_KEY_ZoomIn as u32;
    pub const ZoomOut: Key = gdk_sys::GDK_KEY_ZoomOut as u32;
    pub const Away: Key = gdk_sys::GDK_KEY_Away as u32;
    pub const Messenger: Key = gdk_sys::GDK_KEY_Messenger as u32;
    pub const WebCam: Key = gdk_sys::GDK_KEY_WebCam as u32;
    pub const MailForward: Key = gdk_sys::GDK_KEY_MailForward as u32;
    pub const Pictures: Key = gdk_sys::GDK_KEY_Pictures as u32;
    pub const Music: Key = gdk_sys::GDK_KEY_Music as u32;
    pub const Battery: Key = gdk_sys::GDK_KEY_Battery as u32;
    pub const Bluetooth: Key = gdk_sys::GDK_KEY_Bluetooth as u32;
    pub const WLAN: Key = gdk_sys::GDK_KEY_WLAN as u32;
    pub const UWB: Key = gdk_sys::GDK_KEY_UWB as u32;
    pub const AudioForward: Key = gdk_sys::GDK_KEY_AudioForward as u32;
    pub const AudioRepeat: Key = gdk_sys::GDK_KEY_AudioRepeat as u32;
    pub const AudioRandomPlay: Key = gdk_sys::GDK_KEY_AudioRandomPlay as u32;
    pub const Subtitle: Key = gdk_sys::GDK_KEY_Subtitle as u32;
    pub const AudioCycleTrack: Key = gdk_sys::GDK_KEY_AudioCycleTrack as u32;
    pub const CycleAngle: Key = gdk_sys::GDK_KEY_CycleAngle as u32;
    pub const FrameBack: Key = gdk_sys::GDK_KEY_FrameBack as u32;
    pub const FrameForward: Key = gdk_sys::GDK_KEY_FrameForward as u32;
    pub const Time: Key = gdk_sys::GDK_KEY_Time as u32;
    pub const SelectButton: Key = gdk_sys::GDK_KEY_SelectButton as u32;
    pub const View: Key = gdk_sys::GDK_KEY_View as u32;
    pub const TopMenu: Key = gdk_sys::GDK_KEY_TopMenu as u32;
    pub const Red: Key = gdk_sys::GDK_KEY_Red as u32;
    pub const Green: Key = gdk_sys::GDK_KEY_Green as u32;
    pub const Yellow: Key = gdk_sys::GDK_KEY_Yellow as u32;
    pub const Blue: Key = gdk_sys::GDK_KEY_Blue as u32;
    pub const Suspend: Key = gdk_sys::GDK_KEY_Suspend as u32;
    pub const Hibernate: Key = gdk_sys::GDK_KEY_Hibernate as u32;
    pub const TouchpadToggle: Key = gdk_sys::GDK_KEY_TouchpadToggle as u32;
    pub const TouchpadOn: Key = gdk_sys::GDK_KEY_TouchpadOn as u32;
    pub const TouchpadOff: Key = gdk_sys::GDK_KEY_TouchpadOff as u32;
    pub const AudioMicMute: Key = gdk_sys::GDK_KEY_AudioMicMute as u32;
    pub const Switch_VT_1: Key = gdk_sys::GDK_KEY_Switch_VT_1 as u32;
    pub const Switch_VT_2: Key = gdk_sys::GDK_KEY_Switch_VT_2 as u32;
    pub const Switch_VT_3: Key = gdk_sys::GDK_KEY_Switch_VT_3 as u32;
    pub const Switch_VT_4: Key = gdk_sys::GDK_KEY_Switch_VT_4 as u32;
    pub const Switch_VT_5: Key = gdk_sys::GDK_KEY_Switch_VT_5 as u32;
    pub const Switch_VT_6: Key = gdk_sys::GDK_KEY_Switch_VT_6 as u32;
    pub const Switch_VT_7: Key = gdk_sys::GDK_KEY_Switch_VT_7 as u32;
    pub const Switch_VT_8: Key = gdk_sys::GDK_KEY_Switch_VT_8 as u32;
    pub const Switch_VT_9: Key = gdk_sys::GDK_KEY_Switch_VT_9 as u32;
    pub const Switch_VT_10: Key = gdk_sys::GDK_KEY_Switch_VT_10 as u32;
    pub const Switch_VT_11: Key = gdk_sys::GDK_KEY_Switch_VT_11 as u32;
    pub const Switch_VT_12: Key = gdk_sys::GDK_KEY_Switch_VT_12 as u32;
    pub const Ungrab: Key = gdk_sys::GDK_KEY_Ungrab as u32;
    pub const ClearGrab: Key = gdk_sys::GDK_KEY_ClearGrab as u32;
    pub const Next_VMode: Key = gdk_sys::GDK_KEY_Next_VMode as u32;
    pub const Prev_VMode: Key = gdk_sys::GDK_KEY_Prev_VMode as u32;
    pub const LogWindowTree: Key = gdk_sys::GDK_KEY_LogWindowTree as u32;
    pub const LogGrabInfo: Key = gdk_sys::GDK_KEY_LogGrabInfo as u32;
}
